--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: action_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE action_type AS ENUM (
    'http_request',
    'nailgun_task'
);


ALTER TYPE public.action_type OWNER TO nailgun;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp',
    'balance-rr',
    'balance-xor',
    'broadcast',
    '802.3ad',
    'balance-tlb',
    'balance-alb'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove',
    'update',
    'update_error'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs',
    'nsx'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion',
    'discover'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error',
    'removing'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning',
    'release'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: openstack_config_types; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE openstack_config_types AS ENUM (
    'cluster',
    'role',
    'node'
);


ALTER TYPE public.openstack_config_types OWNER TO nailgun;

--
-- Name: oswl_resource_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE oswl_resource_type AS ENUM (
    'vm',
    'tenant',
    'volume',
    'security_group',
    'keystone_user',
    'flavor',
    'cluster_stats',
    'image'
);


ALTER TYPE public.oswl_resource_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks',
    'interfaces',
    'vmware_attributes'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'available',
    'unavailable',
    'manageonly'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre',
    'tun'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'update',
    'spawn_vms',
    'node_deletion',
    'cluster_deletion',
    'remove_images',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'multicast_verification',
    'check_repo_availability',
    'check_repo_availability_with_setup',
    'dump',
    'capacity_log',
    'create_stats_user',
    'remove_stats_user',
    'update_dnsmasq'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error',
    'pending'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: action_logs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE action_logs (
    id integer NOT NULL,
    actor_id character varying(64),
    action_group character varying(64) NOT NULL,
    action_name character varying(64) NOT NULL,
    action_type action_type NOT NULL,
    start_timestamp timestamp without time zone NOT NULL,
    end_timestamp timestamp without time zone,
    is_sent boolean,
    additional_info text NOT NULL,
    cluster_id integer,
    task_uuid character varying(36)
);


ALTER TABLE public.action_logs OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE action_logs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.action_logs_id_seq OWNER TO nailgun;

--
-- Name: action_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE action_logs_id_seq OWNED BY action_logs.id;


--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.alembic_version OWNER TO nailgun;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_plugin_links; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_plugin_links (
    id integer NOT NULL,
    cluster_id integer NOT NULL,
    title text NOT NULL,
    url text NOT NULL,
    description text,
    hidden boolean DEFAULT false NOT NULL
);


ALTER TABLE public.cluster_plugin_links OWNER TO nailgun;

--
-- Name: cluster_plugin_links_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_plugin_links_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_plugin_links_id_seq OWNER TO nailgun;

--
-- Name: cluster_plugin_links_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_plugin_links_id_seq OWNED BY cluster_plugin_links.id;


--
-- Name: cluster_plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_plugins (
    id integer NOT NULL,
    plugin_id integer NOT NULL,
    cluster_id integer NOT NULL,
    enabled boolean DEFAULT false NOT NULL,
    attributes text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.cluster_plugins OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_plugins_id_seq OWNER TO nailgun;

--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_plugins_id_seq OWNED BY cluster_plugins.id;


--
-- Name: cluster_upgrade_alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_upgrade_alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.cluster_upgrade_alembic_version OWNER TO nailgun;

--
-- Name: cluster_upgrade_relations; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_upgrade_relations (
    id integer NOT NULL,
    orig_cluster_id integer NOT NULL,
    seed_cluster_id integer NOT NULL
);


ALTER TABLE public.cluster_upgrade_relations OWNER TO nailgun;

--
-- Name: cluster_upgrade_relations_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_upgrade_relations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_upgrade_relations_id_seq OWNER TO nailgun;

--
-- Name: cluster_upgrade_relations_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_upgrade_relations_id_seq OWNED BY cluster_upgrade_relations.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    name text NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version text NOT NULL,
    pending_release_id integer,
    deployment_tasks text,
    ui_settings text DEFAULT '{"sort": [{"roles": "asc"}], "sort_by_labels": [], "search": "", "filter_by_labels": {}, "filter": {}, "view_mode": "standard"}'::text NOT NULL,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    components text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: extensions_migration_buffer; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE extensions_migration_buffer (
    id integer NOT NULL,
    extension_name text NOT NULL,
    data text
);


ALTER TABLE public.extensions_migration_buffer OWNER TO nailgun;

--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE extensions_migration_buffer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.extensions_migration_buffer_id_seq OWNER TO nailgun;

--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE extensions_migration_buffer_id_seq OWNED BY extensions_migration_buffer.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first inet NOT NULL,
    last inet NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr inet NOT NULL,
    vip_type character varying(50)
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: master_node_settings; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE master_node_settings (
    id integer NOT NULL,
    master_node_uid character varying(36) NOT NULL,
    settings json DEFAULT '{}'::json
);


ALTER TABLE public.master_node_settings OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE master_node_settings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.master_node_settings_id_seq OWNER TO nailgun;

--
-- Name: master_node_settings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE master_node_settings_id_seq OWNED BY master_node_settings.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name character varying(50) NOT NULL,
    release integer,
    vlan_start integer,
    cidr cidr,
    gateway inet,
    meta text,
    group_id integer
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text,
    configuration_template text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac macaddr NOT NULL,
    internal_cidr cidr,
    internal_gateway inet,
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL,
    internal_name character varying(50) NOT NULL,
    floating_name character varying(50) NOT NULL,
    baremetal_gateway inet,
    baremetal_range text DEFAULT '[]'::text
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    interfaces text,
    vms_conf text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac macaddr,
    state character varying(25),
    mode bond_mode NOT NULL,
    bond_properties text DEFAULT '{}'::text NOT NULL,
    interface_properties text DEFAULT '{}'::text NOT NULL,
    offloading_modes text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac macaddr NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr inet,
    netmask inet,
    state character varying(25),
    parent_id integer,
    driver text,
    bus_info text,
    interface_properties text DEFAULT '{}'::text NOT NULL,
    offloading_modes text DEFAULT '[]'::text NOT NULL,
    pxe boolean DEFAULT false NOT NULL
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: nodegroups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodegroups (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(50) NOT NULL,
    is_default boolean DEFAULT false NOT NULL
);


ALTER TABLE public.nodegroups OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodegroups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodegroups_id_seq OWNER TO nailgun;

--
-- Name: nodegroups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodegroups_id_seq OWNED BY nodegroups.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac macaddr NOT NULL,
    ip inet,
    manufacturer character varying(50),
    platform_name character varying(150),
    kernel_params text,
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40),
    replaced_deployment_info text,
    replaced_provisioning_info text,
    group_id integer,
    hostname character varying(255) DEFAULT ''::character varying NOT NULL,
    roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    pending_roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    primary_roles character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    network_template text,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    labels text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr cidr,
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: openstack_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE openstack_configs (
    id integer NOT NULL,
    is_active boolean NOT NULL,
    config_type openstack_config_types NOT NULL,
    cluster_id integer NOT NULL,
    node_id integer,
    node_role character varying(64),
    created_at timestamp without time zone NOT NULL,
    configuration text DEFAULT '{}'::text NOT NULL
);


ALTER TABLE public.openstack_configs OWNER TO nailgun;

--
-- Name: openstack_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE openstack_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.openstack_configs_id_seq OWNER TO nailgun;

--
-- Name: openstack_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE openstack_configs_id_seq OWNED BY openstack_configs.id;


--
-- Name: oswl_stats; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE oswl_stats (
    id integer NOT NULL,
    cluster_id integer NOT NULL,
    created_date date NOT NULL,
    updated_time time without time zone NOT NULL,
    resource_type oswl_resource_type NOT NULL,
    resource_data text,
    resource_checksum text NOT NULL,
    is_sent boolean NOT NULL,
    version_info json DEFAULT '{}'::json
);


ALTER TABLE public.oswl_stats OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE oswl_stats_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.oswl_stats_id_seq OWNER TO nailgun;

--
-- Name: oswl_stats_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE oswl_stats_id_seq OWNED BY oswl_stats.id;


--
-- Name: plugin_links; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugin_links (
    id integer NOT NULL,
    plugin_id integer NOT NULL,
    title text NOT NULL,
    url text NOT NULL,
    description text,
    hidden boolean DEFAULT false NOT NULL
);


ALTER TABLE public.plugin_links OWNER TO nailgun;

--
-- Name: plugin_links_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugin_links_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugin_links_id_seq OWNER TO nailgun;

--
-- Name: plugin_links_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugin_links_id_seq OWNED BY plugin_links.id;


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    title character varying(100) NOT NULL,
    version character varying(32) NOT NULL,
    description character varying(400),
    releases text,
    fuel_version text,
    package_version character varying(32) NOT NULL,
    groups text DEFAULT '[]'::text NOT NULL,
    authors text DEFAULT '[]'::text NOT NULL,
    licenses text DEFAULT '[]'::text NOT NULL,
    homepage text,
    network_roles_metadata text DEFAULT '[]'::text NOT NULL,
    attributes_metadata text DEFAULT '{}'::text NOT NULL,
    volumes_metadata text DEFAULT '{}'::text NOT NULL,
    roles_metadata text DEFAULT '{}'::text NOT NULL,
    deployment_tasks text DEFAULT '[]'::text NOT NULL,
    tasks text DEFAULT '[]'::text NOT NULL,
    components_metadata text DEFAULT '[]'::text,
    is_hotpluggable boolean
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text,
    can_update_from_versions text DEFAULT '[]'::text NOT NULL,
    wizard_metadata text,
    deployment_tasks text,
    vmware_attributes_metadata text,
    modes text,
    network_roles_metadata text DEFAULT '[]'::text,
    extensions character varying(64)[] DEFAULT '{}'::character varying[] NOT NULL,
    components_metadata text DEFAULT '[]'::text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: vmware_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE vmware_attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text
);


ALTER TABLE public.vmware_attributes OWNER TO nailgun;

--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE vmware_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.vmware_attributes_id_seq OWNER TO nailgun;

--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE vmware_attributes_id_seq OWNED BY vmware_attributes.id;


--
-- Name: volume_manager_alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE volume_manager_alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.volume_manager_alembic_version OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE volume_manager_node_volumes (
    id integer NOT NULL,
    node_id integer NOT NULL,
    volumes text DEFAULT '[]'::text NOT NULL
);


ALTER TABLE public.volume_manager_node_volumes OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE volume_manager_node_volumes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.volume_manager_node_volumes_id_seq OWNER TO nailgun;

--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE volume_manager_node_volumes_id_seq OWNED BY volume_manager_node_volumes.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY action_logs ALTER COLUMN id SET DEFAULT nextval('action_logs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugin_links ALTER COLUMN id SET DEFAULT nextval('cluster_plugin_links_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins ALTER COLUMN id SET DEFAULT nextval('cluster_plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_upgrade_relations ALTER COLUMN id SET DEFAULT nextval('cluster_upgrade_relations_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY extensions_migration_buffer ALTER COLUMN id SET DEFAULT nextval('extensions_migration_buffer_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY master_node_settings ALTER COLUMN id SET DEFAULT nextval('master_node_settings_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups ALTER COLUMN id SET DEFAULT nextval('nodegroups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY openstack_configs ALTER COLUMN id SET DEFAULT nextval('openstack_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY oswl_stats ALTER COLUMN id SET DEFAULT nextval('oswl_stats_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_links ALTER COLUMN id SET DEFAULT nextval('plugin_links_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vmware_attributes ALTER COLUMN id SET DEFAULT nextval('vmware_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY volume_manager_node_volumes ALTER COLUMN id SET DEFAULT nextval('volume_manager_node_volumes_id_seq'::regclass);


--
-- Data for Name: action_logs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY action_logs (id, actor_id, action_group, action_name, action_type, start_timestamp, end_timestamp, is_sent, additional_info, cluster_id, task_uuid) FROM stdin;
1	bc81797ddb98b88ff4597b5259c825a47221f51fde29c182b1aeff67b472e542	master_node_settings	master_node_settings	http_request	2016-02-17 10:31:02.007793	2016-02-17 10:31:02.026484	t	{"request_data": {"url": "/api/v1/settings/", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
2	d35175ba4b48f36bafd5c680fc41d3e66a24bfbed71ac72879e171c1f11b89c7	master_node_settings	master_node_settings	http_request	2016-02-17 10:44:28.01497	2016-02-17 10:44:28.031132	t	{"request_data": {"url": "/api/v1/settings/", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
3	91fbbbcd9220f0a4ad82e4c63eecd2016a55eee0467f604c30bdcb208ec3b654	master_node_settings	master_node_settings	http_request	2016-02-17 10:45:13.079261	2016-02-17 10:45:13.093162	t	{"request_data": {"url": "/api/settings", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
4	91fbbbcd9220f0a4ad82e4c63eecd2016a55eee0467f604c30bdcb208ec3b654	master_node_settings	master_node_settings	http_request	2016-02-17 10:45:13.098151	2016-02-17 10:45:13.118171	t	{"request_data": {"url": "/api/settings", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
5	91fbbbcd9220f0a4ad82e4c63eecd2016a55eee0467f604c30bdcb208ec3b654	release_changes	release_instance	http_request	2016-02-17 10:45:45.004504	2016-02-17 10:45:45.024629	t	{"request_data": {"url": "/api/releases/2", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
6	91fbbbcd9220f0a4ad82e4c63eecd2016a55eee0467f604c30bdcb208ec3b654	release_changes	release_instance	http_request	2016-02-17 10:45:45.074922	2016-02-17 10:45:45.09442	t	{"request_data": {"url": "/api/releases/1", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	\N	\N
7	\N	operations	dump	nailgun_task	2016-02-17 10:49:29.011308	2016-02-17 10:49:29.07632	t	{"parent_task_id": null, "output": {"respond_to": "dump_environment_resp", "args": {"task_uuid": "44eb8c0e-ff37-447d-a261-eca4e772c478", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/dump/fuel-snapshot", "dump": {"local": {"objects": [{"type": "postgres"}, {"type": "xmlrpc"}], "hosts": []}, "controller": {"objects": [{"type": "command", "command": "pcs status"}, {"type": "command", "command": "rabbitmqctl report"}, {"path": "/var/log/neutron/neutron-ns-metadata-proxy*.log", "type": "file"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip a; done"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip r; done"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} netstat -anp; done"}], "hosts": []}, "master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "docker images"}, {"type": "command", "command": "docker ps"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "for c in $(dockerctl list); do echo Container: ${c}; dockerctl shell ${c} rpm -qa; done;"}, {"type": "command", "command": "yum repolist"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log/docker-logs", "type": "dir"}, {"path": "/var/log/*.log", "type": "file"}, {"path": "/var/log/puppet/bootstrap_admin_node.log", "type": "file"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}], "hosts": [{}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/etc/hiera", "type": "dir"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/etc/mcollective/server.cfg", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"path": "/var/log/cron.log", "type": "file"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "arp -an"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "yum repolist"}, {"type": "command", "command": "env COLUMNS=500 dpkg -l|cat"}, {"type": "command", "command": "apt-cache policy"}, {"type": "command", "command": "sysctl -a"}, {"path": "/var/lib/cloud", "type": "dir"}, {"path": "/var/log/cloud-init*.log", "type": "file"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"type": "command", "command": "blkid -o list"}, {"type": "command", "command": "ceph health"}, {"type": "command", "command": "ceph -s"}, {"type": "command", "command": "ceph osd tree"}, {"type": "command", "command": "cat /proc/interrupts"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}, {"type": "command", "command": "dmesg"}, {"path": "/var/log/libvirt/qemu/instance*.log", "type": "file"}, {"path": "/var/log/libvirt/libvirtd.log", "type": "file"}, {"path": "/var/log/neutron", "type": "dir"}, {"path": "/var/log/nova", "type": "dir"}, {"path": "/var/log/*-all.log", "type": "file"}, {"path": "/var/log/syslog", "type": "file"}, {"path": "/var/lib/nova/instances/*-*", "type": "dir"}], "hosts": []}}}}, "method": "dump_environment", "api_version": "1"}, "ended_with_status": "running", "operation": "dump", "subtasks_ids": [], "message": ""}	\N	44eb8c0e-ff37-447d-a261-eca4e772c478
8	2262a0eaaea24a8c673d372d5a9bfcd75f0befbb7567e10ace9a15794e5a594c	cluster_changes	cluster_collection	http_request	2016-02-17 12:25:23.371898	2016-02-17 12:25:23.490274	t	{"request_data": {"url": "/api/clusters", "http_method": "POST", "data": {}}, "response_data": {"status": "201 Created", "data": {}}}	\N	\N
13	\N	operations	dump	nailgun_task	2016-02-17 12:46:07.181913	2016-02-17 12:46:07.206898	f	{"parent_task_id": null, "output": {"respond_to": "dump_environment_resp", "args": {"task_uuid": "c84dd506-7a97-415f-b78b-41f79e140e36", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/dump/fuel-snapshot", "dump": {"local": {"objects": [{"type": "postgres"}, {"type": "xmlrpc"}], "hosts": []}, "controller": {"objects": [{"type": "command", "command": "pcs status"}, {"type": "command", "command": "rabbitmqctl report"}, {"path": "/var/log/neutron/neutron-ns-metadata-proxy*.log", "type": "file"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip a; done"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip r; done"}, {"type": "command", "command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} netstat -anp; done"}], "hosts": []}, "master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "docker images"}, {"type": "command", "command": "docker ps"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "for c in $(dockerctl list); do echo Container: ${c}; dockerctl shell ${c} rpm -qa; done;"}, {"type": "command", "command": "yum repolist"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log/docker-logs", "type": "dir"}, {"path": "/var/log/*.log", "type": "file"}, {"path": "/var/log/puppet/bootstrap_admin_node.log", "type": "file"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}], "hosts": [{}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/etc/hiera", "type": "dir"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/etc/mcollective/server.cfg", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"path": "/var/log/cron.log", "type": "file"}, {"type": "command", "command": "df -h"}, {"type": "command", "command": "mount"}, {"type": "command", "command": "iptables -t nat -S"}, {"type": "command", "command": "iptables -t filter -S"}, {"type": "command", "command": "dmidecode"}, {"type": "command", "command": "uptime"}, {"type": "command", "command": "ps auxwwf"}, {"type": "command", "command": "pvdisplay"}, {"type": "command", "command": "vgdisplay"}, {"type": "command", "command": "lvdisplay"}, {"type": "command", "command": "ip a"}, {"type": "command", "command": "ip r"}, {"type": "command", "command": "arp -an"}, {"type": "command", "command": "netstat -anp"}, {"type": "command", "command": "brctl show"}, {"type": "command", "command": "rpm -qa"}, {"type": "command", "command": "yum repolist"}, {"type": "command", "command": "env COLUMNS=500 dpkg -l|cat"}, {"type": "command", "command": "apt-cache policy"}, {"type": "command", "command": "sysctl -a"}, {"path": "/var/lib/cloud", "type": "dir"}, {"path": "/var/log/cloud-init*.log", "type": "file"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"type": "command", "command": "blkid -o list"}, {"type": "command", "command": "ceph health"}, {"type": "command", "command": "ceph -s"}, {"type": "command", "command": "ceph osd tree"}, {"type": "command", "command": "cat /proc/interrupts"}, {"type": "command", "command": "uname -a"}, {"type": "command", "command": "lsmod"}, {"path": "/etc/*-release", "type": "file"}, {"type": "command", "command": "dmesg"}, {"path": "/var/log/libvirt/qemu/instance*.log", "type": "file"}, {"path": "/var/log/libvirt/libvirtd.log", "type": "file"}, {"path": "/var/log/neutron", "type": "dir"}, {"path": "/var/log/nova", "type": "dir"}, {"path": "/var/log/*-all.log", "type": "file"}, {"path": "/var/log/syslog", "type": "file"}, {"path": "/var/lib/nova/instances/*-*", "type": "dir"}], "hosts": []}}}}, "method": "dump_environment", "api_version": "1"}, "ended_with_status": "running", "operation": "dump", "subtasks_ids": [], "message": ""}	\N	c84dd506-7a97-415f-b78b-41f79e140e36
9	2262a0eaaea24a8c673d372d5a9bfcd75f0befbb7567e10ace9a15794e5a594c	cluster_checking	check_networks	nailgun_task	2016-02-17 12:26:25.781674	2016-02-17 12:26:25.870868	t	{"parent_task_id": null, "output": null, "ended_with_status": "ready", "operation": "check_networks", "subtasks_ids": [], "message": ""}	1	f5640b3c-fcfe-4a64-a028-6839966d044b
11	2262a0eaaea24a8c673d372d5a9bfcd75f0befbb7567e10ace9a15794e5a594c	network_verification	neutron	http_request	2016-02-17 12:26:25.682369	2016-02-17 12:26:26.189465	t	{"request_data": {"url": "/api/clusters/1/network_configuration/neutron/verify", "http_method": "PUT", "data": {}}, "response_data": {"status": "202 Accepted", "data": {}}}	1	\N
12	2262a0eaaea24a8c673d372d5a9bfcd75f0befbb7567e10ace9a15794e5a594c	cluster_attributes	attributes	http_request	2016-02-17 12:26:34.4843	2016-02-17 12:26:34.730572	t	{"request_data": {"url": "/api/clusters/1/attributes", "http_method": "PUT", "data": {}}, "response_data": {"status": "200 OK", "data": {}}}	1	\N
10	2262a0eaaea24a8c673d372d5a9bfcd75f0befbb7567e10ace9a15794e5a594c	cluster_checking	verify_networks	nailgun_task	2016-02-17 12:26:26.0486	2016-02-17 12:28:31.219816	t	{"parent_task_id": null, "output": {"respond_to": "verify_networks_resp", "subtasks": [{"respond_to": "check_dhcp_resp", "method": "check_dhcp", "args": {"task_uuid": "57c08560-28b0-4f98-b554-0aa0a694a094"}, "api_version": "1"}, {"respond_to": "check_repositories_resp", "method": "check_repositories", "args": {"task_uuid": "c12cc772-2f9b-4e18-b816-e39b4d69337c"}, "api_version": "1"}, {"respond_to": "check_repositories_with_setup_resp", "method": "check_repositories_with_setup", "args": {"task_uuid": "1d55643d-6795-4249-9bb2-6e53ae6ad939"}, "api_version": "1"}], "method": "verify_networks", "args": {"nodes": [{"uid": 1}, {"uid": 2}, {"uid": 3}, {"uid": 4}, {"uid": 5}], "task_uuid": "f5640b3c-fcfe-4a64-a028-6839966d044b"}, "api_version": "1"}, "nodes_from_resp": ["1", "5", "3", "2", "4"], "ended_with_status": "ready", "message": "", "subtasks_ids": [3, 4, 5], "operation": "verify_networks"}	1	f5640b3c-fcfe-4a64-a028-6839966d044b
\.


--
-- Name: action_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('action_logs_id_seq', 13, true);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY alembic_version (version_num) FROM stdin;
43b2cb64dae6
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"additional_components": {"ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 60, "label": "Install Ceilometer"}, "murano_glance_artifacts_plugin": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected glance artifact repository will be enabled", "weight": 40, "value": false, "label": "Enable glance artifact repository", "type": "checkbox"}, "mongo": {"restrictions": ["settings:additional_components.ceilometer.value == false"], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 50, "label": ""}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 20, "label": "Additional Components"}}, "repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "Please note: the first repository will be considered the operating system mirror that will be used during node provisioning.\\nTo create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-createmirror --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\nFor more details, please refer to the documentation (https://docs.mirantis.com/openstack/fuel/fuel-8.0/operations.html#external-ubuntu-ops).\\n", "value": [{"name": "ubuntu", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty", "type": "deb"}, {"name": "ubuntu-updates", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-updates", "type": "deb"}, {"name": "ubuntu-security", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-security", "type": "deb"}, {"name": "mos", "section": "main restricted", "uri": "http://10.109.0.2:8080/liberty-8.0/ubuntu/x86_64", "priority": 1050, "suite": "mos8.0", "type": "deb"}, {"name": "mos-updates", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "priority": 1050, "suite": "mos8.0-updates", "type": "deb"}, {"name": "mos-security", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "priority": 1050, "suite": "mos8.0-security", "type": "deb"}, {"name": "mos-holdback", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "priority": 1100, "suite": "mos8.0-holdback", "type": "deb"}, {"name": "Auxiliary", "section": "main restricted", "uri": "http://10.109.0.2:8080/liberty-8.0/ubuntu/auxiliary", "priority": 1150, "suite": "auxiliary", "type": "deb"}], "extra_priority": null}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"value": "", "type": "text", "description": "Name for Mongo replication set", "weight": 30, "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 20, "label": "External MongoDB"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"group": "logging", "enabled": false, "weight": 50, "toggleable": true, "label": "Syslog"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'", {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": true, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"value": true, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 80, "label": "Ceph RadosGW for objects (Swift API)"}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Storage - Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "ephemeral_ceph": {"value": true, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 75, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Storage - Cinder LVM node.", "weight": 10, "value": false, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": true, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"value": false, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "weight": 10, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "access": {"email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "metadata": {"group": "general", "weight": 10, "label": "Access"}}, "external_dns": {"dns_list": {"regex": {"source": "^\\\\*$|^(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3}(?:\\\\s*,\\\\s*(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3})*$", "error": "Invalid IP address list"}, "description": "List of upstream DNS servers, separated by comma", "weight": 10, "value": "10.109.0.1", "label": "DNS list", "type": "text"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "murano_settings": {"murano_repo_url": {"value": "http://storage.apps.openstack.org/", "type": "text", "description": "", "weight": 10, "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "common": {"use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"group": "security", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "value": "", "label": "Public Key", "type": "textarea"}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "libvirt_type": {"group": "compute", "weight": 30, "value": "qemu", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Enables new deployment engine based on cross-node dependencies for deployment tasks which allows to deploy all nodes simultaneously. Works only for deployment tasks with version >= 2.0.0.", "weight": 11, "value": false, "label": "Enable task based deploy", "type": "checkbox"}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"type": "radio", "values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "value": "disabled", "weight": 60, "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "group": "network", "weight": 50, "enabled": true, "label": "Mellanox Neutron components", "toggleable": false}}, "workloads_collector": {"password": {"type": "password", "value": "Z33wbIEUO6tNsGmfKQm9yrkL"}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}, "public_network_assignment": {"assign_to_all_nodes": {"value": false, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "weight": 10, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 net.ifnames=0 biosdevname=0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "provision": {"method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 80, "label": "Provision"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(?:\\\\.\\\\d{1,3}){3})\\\\s*(?:,\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(\\\\.\\\\d{1,3}){3})\\\\s*)*$", "error": "Invalid NTP server list"}, "description": "List of upstream NTP servers, separated by comma", "weight": 10, "value": "10.109.0.1", "label": "NTP server list", "type": "text"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "corosync": {"verified": {"value": false, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "weight": 10, "label": "Need to pass network verification."}, "group": {"value": "226.94.1.1", "type": "text", "description": "", "weight": 10, "label": "Group"}, "port": {"value": "12000", "type": "text", "description": "", "weight": 20, "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}, "neutron_advanced_configuration": {"neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "gDajfBonCJJpS4UCvjpF6vrg"}, "keystone": {"admin_password": "7EEoORmfCPOkrr8BSwM6m3Vz"}, "database": {"passwd": "dTCy0JH8Sr3bXlKaFxcme5vi"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.109.0.2"}, "ceilometer": {"db_password": "44wNTbIKlOhXbDT7a2KY3FUR", "user_password": "JLzzjee0HSG3tFCbwKKGcjuh", "metering_secret": "E2Rpc18yqytxnYCxoNsZY9Pn"}, "repo_setup": {"installer_kernel": {"local": "/var/www/nailgun/ubuntu/x86_64/images/linux", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/linux"}, "installer_initrd": {"local": "/var/www/nailgun/ubuntu/x86_64/images/initrd.gz", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz"}}, "horizon": {"secret_key": "4dd75224540f57cbaffeca2f2bfbe57dd317ed11c240fe22f89081d1b8849933"}, "provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://10.109.0.2:8080/targetimages/env_1_ubuntu_1404_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://10.109.0.2:8080/targetimages/env_1_ubuntu_1404_amd64.img.gz", "format": "ext4"}}, "codename": "trusty"}, "sahara": {"db_password": "yDfxgMeGf6LWUxXKUW1YAyNy", "user_password": "mav32Z03D07uZONJQ49sxWv3"}, "murano": {"db_password": "ZbwAPtUpkAvngENeGHOSPeAT", "user_password": "kE0pv9an4JNb8IwUnGNj7TeI", "rabbit_password": "bOXMTBhxIdyTSuKhxYJ0GLhU"}, "murano-cfapi": {"db_password": "ziwUV6YZfAvZWjxnpuIVzqlY", "user_password": "ZDiSJRh9wblRAidVtIbaGa88", "rabbit_password": "pGiRyPcKz3ZKsfIcqyKJIpsx"}, "deployed_before": {"value": false}, "heat": {"db_password": "As30D5zVuEMNLZZ847mpgd47", "user_password": "4RbP2HGZtsm5L8rBLrMTqznX", "auth_encryption_key": "cfee169b7003a2edb9f2700c98988d99", "rabbit_password": "IP0VSvZWyVsiQotDJEVMrQaZ"}, "keystone": {"db_password": "gnYlvDMK1V3yuWp7byG2LmgL", "admin_token": "UNePtbrUcGFIyduMXtP4UiVw"}, "nova": {"db_password": "qu9vLX3ePeUJzBGPPjqaDSYN", "user_password": "ppnu9067LUhusQWDmlUm0Yqz", "state_path": "/var/lib/nova"}, "rabbit": {"password": "3KVUJLIh2aYe6DwbTkNV7hWd"}, "mysql": {"root_password": "IhpaZXzmwG1KEfzuo2BjF0rN", "wsrep_password": "fYKkxrJ5htjhz1i1o2QTj84c"}, "ironic": {"swift_tempurl_key": "iWAtcMXJifZKUXNaUkVm6TiG", "db_password": "4mdRDB2W0Z4Yc5wXisKrA1wz", "user_password": "oWadK6ZEfxBfuoSIkM82lAkq"}, "puppet": {"modules": "rsync://10.109.0.2:/puppet/liberty-8.0/modules/", "manifests": "rsync://10.109.0.2:/puppet/liberty-8.0/manifests/"}, "cobbler": {"profile": "ubuntu_1404_x86_64"}, "cinder": {"db_password": "bn0UKziFTAkJZOugKWfYx11Q", "user_password": "zCkUkLzNJpcNnjd6vychd3DJ", "fixed_key": "7f769047f9d16bda1cdff43ff4252a357d2159bd78486766870edab57a8d068f"}, "swift": {"user_password": "THws53N39saN3guSyWMWMXsW"}, "glance": {"db_password": "dEM3Nb43b77qNlyuQYthqtTm", "user_password": "VMV7MaDFHv62PhQqpIEh0Xig"}}
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 1, true);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
1	1	\N	attributes
2	1	\N	networks
3	1	\N	vmware_attributes
4	1	1	interfaces
5	1	1	disks
6	1	2	interfaces
7	1	2	disks
8	1	3	interfaces
9	1	3	disks
10	1	4	interfaces
11	1	4	disks
12	1	5	interfaces
13	1	5	disks
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 13, true);


--
-- Data for Name: cluster_plugin_links; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_plugin_links (id, cluster_id, title, url, description, hidden) FROM stdin;
\.


--
-- Name: cluster_plugin_links_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_plugin_links_id_seq', 1, false);


--
-- Data for Name: cluster_plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_plugins (id, plugin_id, cluster_id, enabled, attributes) FROM stdin;
\.


--
-- Name: cluster_plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_plugins_id_seq', 1, false);


--
-- Data for Name: cluster_upgrade_alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_upgrade_alembic_version (version_num) FROM stdin;
3b5d115d7e49
\.


--
-- Data for Name: cluster_upgrade_relations; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_upgrade_relations (id, orig_cluster_id, seed_cluster_id) FROM stdin;
\.


--
-- Name: cluster_upgrade_relations_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_upgrade_relations_id_seq', 1, false);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version, pending_release_id, deployment_tasks, ui_settings, extensions, components) FROM stdin;
1	ha_compact	new	neutron	round_robin_bonds	2	{}	{}	f	8.0	\N	[]	{"sort": [{"roles": "asc"}], "sort_by_labels": [], "search": "", "filter_by_labels": {}, "filter": {}, "view_mode": "standard"}	{volume_manager}	["hypervisor:qemu", "network:neutron:core:ml2", "network:neutron:ml2:tun", "storage:block:ceph", "storage:object:ceph", "storage:ephemeral:ceph", "storage:image:ceph"]
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 1, true);


--
-- Data for Name: extensions_migration_buffer; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY extensions_migration_buffer (id, extension_name, data) FROM stdin;
\.


--
-- Name: extensions_migration_buffer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('extensions_migration_buffer_id_seq', 1, false);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.109.0.3	10.109.0.254
2	2	10.109.1.2	10.109.1.127
3	3	192.168.0.1	192.168.0.254
4	4	192.168.1.1	192.168.1.254
5	5	192.168.2.1	192.168.2.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 5, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr, vip_type) FROM stdin;
1	1	\N	10.109.0.2	\N
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 1, true);


--
-- Data for Name: master_node_settings; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY master_node_settings (id, master_node_uid, settings) FROM stdin;
1	b6f4fc3d-3252-40e3-8eb2-86f7dbea86c2	{"tracking": {"password": {"regex": {"source": "\\\\S", "error": "Password cannot be empty"}, "type": "password", "value": "", "weight": 20, "label": "Password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+\\\\.\\\\S+$", "error": "Invalid email"}, "type": "text", "value": "", "weight": 10, "label": "Mirantis Account Email"}}, "statistics": {"send_user_info": {"restrictions": ["fuel_settings:statistics.send_anonymous_statistic.value == false", {"action": "hide", "condition": "not ('mirantis' in version:feature_groups)"}], "type": "checkbox", "weight": 20, "value": true, "label": "statistics.setting_labels.send_user_info"}, "name": {"regex": {}, "restrictions": {}, "weight": 30, "value": "", "label": "statistics.setting_labels.name", "type": "hidden"}, "company": {"regex": {}, "restrictions": {}, "weight": 50, "value": "", "label": "statistics.setting_labels.company", "type": "hidden"}, "user_choice_saved": {"type": "hidden", "value": true}, "send_anonymous_statistic": {"type": "checkbox", "weight": 10, "value": true, "label": "statistics.setting_labels.send_anonymous_statistic"}, "email": {"regex": {}, "restrictions": {}, "weight": 40, "value": "test@localhost", "label": "statistics.setting_labels.email", "type": "hidden"}}, "ui_settings": {"sort": [{"status": "asc"}], "sort_by_labels": [], "search": "", "filter_by_labels": {}, "filter": {}, "view_mode": "standard"}, "bootstrap": {"error": {"type": "hidden", "weight": 10, "value": ""}}}
\.


--
-- Name: master_node_settings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('master_node_settings_id_seq', 1, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
1	1	1
2	1	2
3	1	3
4	1	4
5	2	5
6	4	5
7	3	5
8	5	5
9	2	6
10	4	6
11	3	6
12	5	6
13	2	7
14	4	7
15	3	7
16	5	7
17	2	8
18	4	8
19	3	8
20	5	8
21	1	9
22	2	10
23	4	10
24	3	10
25	5	10
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 25, true);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 25, true);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, vlan_start, cidr, gateway, meta, group_id) FROM stdin;
1	fuelweb_admin	\N	\N	10.109.0.0/24	10.109.0.1	{"unmovable": true, "use_gateway": true, "notation": "ip_ranges", "render_addr_mask": null, "render_type": null, "map_priority": 0, "configurable": false}	\N
2	public	2	\N	10.109.1.0/24	10.109.1.1	{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.127"]}	1
3	management	2	101	192.168.0.0/24	\N	{"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}	1
4	storage	2	102	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}	1
5	private	2	103	192.168.2.0/24	\N	{"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "tun"}	1
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 5, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges, configuration_template) FROM stdin;
1	neutron_config	1	["8.8.4.4", "8.8.8.8"]	[["10.109.1.128", "10.109.1.254"]]	\N
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 1, true);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider, internal_name, floating_name, baremetal_gateway, baremetal_range) FROM stdin;
1	[1000, 1030]	[2, 65535]	fa:16:3e:00:00:00	192.168.111.0/24	192.168.111.1	tun	ovs	admin_internal_net	admin_floating_net	192.168.3.51	["192.168.3.52", "192.168.3.254"]
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, interfaces, vms_conf) FROM stdin;
1	1	{}	[]
2	2	{}	[]
3	3	{}	[]
4	4	{}	[]
5	5	{}	[]
\.


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 5, true);


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, mode, bond_properties, interface_properties, offloading_modes) FROM stdin;
1	1	bond0	\N	\N	active-backup	{"type__": "linux", "mode": "active-backup"}	{"disable_offloading": true, "mtu": null}	[]
2	2	bond0	\N	\N	active-backup	{"type__": "linux", "mode": "active-backup"}	{"disable_offloading": true, "mtu": null}	[]
3	3	bond0	\N	\N	active-backup	{"type__": "linux", "mode": "active-backup"}	{"disable_offloading": true, "mtu": null}	[]
4	4	bond0	\N	\N	active-backup	{"type__": "linux", "mode": "active-backup"}	{"disable_offloading": true, "mtu": null}	[]
5	1	bond1	\N	\N	balance-rr	{"type__": "linux", "mode": "balance-rr"}	{"disable_offloading": true, "mtu": null}	[]
6	2	bond1	\N	\N	balance-rr	{"type__": "linux", "mode": "balance-rr"}	{"disable_offloading": true, "mtu": null}	[]
7	3	bond1	\N	\N	balance-rr	{"type__": "linux", "mode": "balance-rr"}	{"disable_offloading": true, "mtu": null}	[]
8	4	bond1	\N	\N	balance-rr	{"type__": "linux", "mode": "balance-rr"}	{"disable_offloading": true, "mtu": null}	[]
9	5	bond0	\N	\N	active-backup	{"type__": "linux", "mode": "active-backup"}	{"disable_offloading": true, "mtu": null}	[]
10	5	bond1	\N	\N	balance-rr	{"type__": "linux", "mode": "balance-rr"}	{"disable_offloading": true, "mtu": null}	[]
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 10, true);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id, driver, bus_info, interface_properties, offloading_modes, pxe) FROM stdin;
7	2	enp0s3	64:e7:53:e2:50:12	1000	1000	10.109.0.4	255.255.255.0	up	2	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
8	2	enp0s4	64:6f:ec:38:65:fe	1000	1000	10.109.0.7	255.255.255.0	up	2	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
20	4	enp0s4	64:e2:7d:0b:7a:1f	1000	1000	10.109.0.11	255.255.255.0	up	4	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
9	2	enp0s5	64:fd:ce:c4:4c:58	1000	1000	\N	\N	up	6	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
22	4	enp0s6	64:14:d7:98:f4:42	1000	1000	\N	\N	up	8	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
23	4	enp0s7	64:f1:9d:a7:54:ef	1000	1000	\N	\N	up	8	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
24	4	enp0s8	64:25:60:a4:99:90	1000	1000	\N	\N	up	8	e1000	0000:00:08.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
3	1	enp0s5	64:f2:ce:01:8e:63	1000	1000	\N	\N	up	5	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
10	2	enp0s6	64:62:a6:eb:b3:af	1000	1000	\N	\N	up	6	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
11	2	enp0s7	64:55:2c:7e:6b:62	1000	1000	\N	\N	up	6	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
16	3	enp0s6	64:4e:47:8b:67:1d	1000	1000	\N	\N	up	7	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
17	3	enp0s7	64:f4:1a:33:59:16	1000	1000	\N	\N	up	7	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
15	3	enp0s5	64:a4:13:33:b9:9f	1000	1000	\N	\N	up	7	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
13	3	enp0s3	64:17:43:c1:be:be	1000	1000	10.109.0.3	255.255.255.0	up	3	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
14	3	enp0s4	64:80:d7:1c:e5:4e	1000	1000	10.109.0.6	255.255.255.0	up	3	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
19	4	enp0s3	64:d4:42:9e:8f:8c	1000	1000	10.109.0.9	255.255.255.0	up	4	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
18	3	enp0s8	64:59:f0:6b:91:8a	1000	1000	\N	\N	up	7	e1000	0000:00:08.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
21	4	enp0s5	64:48:a2:96:ac:f2	1000	1000	\N	\N	up	8	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
1	1	enp0s3	64:d0:06:5e:16:46	1000	1000	10.109.0.5	255.255.255.0	up	1	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
2	1	enp0s4	64:63:1a:84:2d:43	1000	1000	10.109.0.8	255.255.255.0	up	1	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
4	1	enp0s6	64:1a:3a:b7:9d:88	1000	1000	\N	\N	up	5	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
27	5	enp0s5	64:09:c6:c2:4e:5d	1000	1000	\N	\N	up	10	e1000	0000:00:05.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
28	5	enp0s6	64:5a:5a:9b:c9:5e	1000	1000	\N	\N	up	10	e1000	0000:00:06.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
5	1	enp0s7	64:6c:75:47:db:62	1000	1000	\N	\N	up	5	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
6	1	enp0s8	64:68:2a:8e:02:be	1000	1000	\N	\N	up	5	e1000	0000:00:08.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
12	2	enp0s8	64:7b:14:e9:3c:9d	1000	1000	\N	\N	up	6	e1000	0000:00:08.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
25	5	enp0s3	64:31:78:f5:24:6e	1000	1000	10.109.0.10	255.255.255.0	up	9	e1000	0000:00:03.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	t
26	5	enp0s4	64:6f:3d:9e:3f:51	1000	1000	10.109.0.12	255.255.255.0	up	9	e1000	0000:00:04.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
29	5	enp0s7	64:93:4e:e6:e5:05	1000	1000	\N	\N	up	10	e1000	0000:00:07.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
30	5	enp0s8	64:fb:37:57:a2:ba	1000	1000	\N	\N	up	10	e1000	0000:00:08.0	{"disable_offloading": false, "mtu": null}	[{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}]	f
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 30, true);


--
-- Data for Name: nodegroups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodegroups (id, cluster_id, name, is_default) FROM stdin;
1	1	default	t
\.


--
-- Name: nodegroups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodegroups_id_seq', 1, true);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, manufacturer, platform_name, kernel_params, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum, replaced_deployment_info, replaced_provisioning_info, group_id, hostname, roles, pending_roles, primary_roles, network_template, extensions, labels) FROM stdin;
4	dde58748-eda5-496d-90c2-da7e7118c33d	1	Untitled (8f:8c)	discover	{"pci_devices": {"product": "Standard PC (i440FX + PIIX, 1996) ()", "handle": "DMI:0100", "description": "Computer", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"units": "bytes", "vendor": "Bochs", "description": "BIOS", "class": "memory", "date": "01/01/2011", "version": "Bochs", "claimed": true, "physid": "0", "id": "firmware", "size": 98304}, {"slot": "CPU 1", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0401", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@0", "physid": "401", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:0", "size": 2000000000}, {"slot": "CPU 2", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0402", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@1", "physid": "402", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:1", "size": 2000000000}, {"capacity": 3221225472, "handle": "DMI:1000", "description": "System Memory", "children": [{"slot": "DIMM 0", "handle": "DMI:1100", "description": "DIMM RAM", "width": 64, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "bank", "size": 3221225472}], "class": "memory", "units": "bytes", "claimed": true, "physid": "1000", "id": "memory", "size": 3221225472}, {"product": "440FX - 82441FX PMC [Natoma]", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "82371SB PIIX3 ISA [Natoma/Triton II]", "handle": "PCI:0000:00:01.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"isa": true}, "class": "bridge", "width": 32, "version": "00", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0"}, "id": "isa"}, {"product": "82371SB PIIX3 IDE [Natoma/Triton II]", "handle": "PCI:0000:00:01.1", "description": "IDE interface", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "ide": true}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ata_piix"}, "id": "ide"}, {"handle": "PCI:0000:00:02.0", "description": "VGA compatible controller", "clock": 33000000, "class": "display", "capabilities": {"vga_controller": true}, "businfo": "pci@0000:00:02.0", "width": 32, "version": "00", "physid": "2", "configuration": {"latency": "0"}, "id": "display"}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:03.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s3", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:03.0", "clock": 33000000, "physid": "3", "claimed": true, "vendor": "Intel Corporation", "serial": "64:d4:42:9e:8f:8c", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.9", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:04.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s4", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:04.0", "clock": 33000000, "physid": "4", "claimed": true, "vendor": "Intel Corporation", "serial": "64:e2:7d:0b:7a:1f", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.11", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:1", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:05.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s5", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:05.0", "clock": 33000000, "physid": "5", "claimed": true, "vendor": "Intel Corporation", "serial": "64:48:a2:96:ac:f2", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:2", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:06.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s6", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:06.0", "clock": 33000000, "physid": "6", "claimed": true, "vendor": "Intel Corporation", "serial": "64:14:d7:98:f4:42", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:3", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:07.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s7", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:07.0", "clock": 33000000, "physid": "7", "claimed": true, "vendor": "Intel Corporation", "serial": "64:f1:9d:a7:54:ef", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:4", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:08.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s8", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:08.0", "clock": 33000000, "physid": "8", "claimed": true, "vendor": "Intel Corporation", "serial": "64:25:60:a4:99:90", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:5", "size": 1000000000}, {"product": "uPD720200 USB 3.0 Host Controller", "handle": "PCI:0000:00:09.0", "description": "USB controller", "clock": 33000000, "capabilities": {"msix": "MSI-X", "xhci": true, "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "bus", "width": 64, "version": "03", "businfo": "pci@0000:00:09.0", "physid": "9", "claimed": true, "vendor": "NEC Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0a.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0a.0", "physid": "a", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:0"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0b.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0b.0", "physid": "b", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:1"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0c.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0c.0", "physid": "c", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:2"}, {"product": "Virtio memory balloon", "handle": "PCI:0000:00:0d.0", "description": "Unclassified device", "clock": 33000000, "capabilities": {"bus_master": "bus mastering"}, "class": "generic", "width": 32, "version": "00", "businfo": "pci@0000:00:0d.0", "physid": "d", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "generic"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci"}]}], "capabilities": {"vsyscall32": "32-bit processes", "smbios-2.4": "SMBIOS version 2.4", "dmi-2.4": "DMI version 2.4"}, "class": "system", "width": 64, "version": "pc-i440fx-trusty", "claimed": true, "vendor": "QEMU", "configuration": {"boot": "normal", "uuid": "5D87613F-DFCA-4190-81A7-35E87F98E7B6"}, "id": "bootstrap"}, "interfaces": [{"name": "enp0s3", "ip": "10.109.0.9", "driver": "e1000", "state": "up", "mac": "64:d4:42:9e:8f:8c", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:03.0"}, {"name": "enp0s4", "ip": "10.109.0.11", "driver": "e1000", "state": "up", "mac": "64:e2:7d:0b:7a:1f", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:04.0"}, {"name": "enp0s5", "driver": "e1000", "state": "up", "mac": "64:48:a2:96:ac:f2", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:05.0"}, {"name": "enp0s6", "driver": "e1000", "state": "up", "mac": "64:14:d7:98:f4:42", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:06.0"}, {"name": "enp0s7", "driver": "e1000", "state": "up", "mac": "64:f1:9d:a7:54:ef", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:07.0"}, {"name": "enp0s8", "driver": "e1000", "state": "up", "mac": "64:25:60:a4:99:90", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:08.0"}], "disks": [{"name": "vda", "extra": ["disk/by-id/virtio-2126f4b84fdf4e3199ce"], "removable": "0", "model": null, "disk": "vda", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-e5d95aa180bf42dfb4ef"], "removable": "0", "model": null, "disk": "vdb", "size": 53687091200}, {"name": "vdc", "extra": ["disk/by-id/virtio-21d401a3007545639909"], "removable": "0", "model": null, "disk": "vdc", "size": 53687091200}], "system": {"product": "Standard PC (i440FX + PIIX, 1996)", "uuid": "5D87613F-DFCA-4190-81A7-35E87F98E7B6", "fqdn": "bootstrap.local", "version": "pc-i440fx-trusty", "runtime_uuid": "0e8afe82-7184-4793-a389-ad8cf455662f", "manufacturer": "QEMU"}, "memory": {"slots": 1, "total": 3221225472, "maximum_capacity": 3221225472, "devices": [{"type": "RAM", "size": 3221225472}]}, "cpu": {"real": 2, "total": 2, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}, {"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}]}}	64:d4:42:9e:8f:8c	10.109.0.9	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	ubuntu	t	f	\N	\N	2016-02-17 12:45:05.919969	t	89fc81c0479135de628ded70817353cfee23a661	[]	{}	1	node-4	{}	{compute,ceph-osd}	{}	\N	{}	{}
3	b2a6a5bc-9af4-4371-ab3b-3295aab30a7d	1	Untitled (be:be)	discover	{"pci_devices": {"product": "Standard PC (i440FX + PIIX, 1996) ()", "handle": "DMI:0100", "description": "Computer", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"units": "bytes", "vendor": "Bochs", "description": "BIOS", "class": "memory", "date": "01/01/2011", "version": "Bochs", "claimed": true, "physid": "0", "id": "firmware", "size": 98304}, {"slot": "CPU 1", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0401", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@0", "physid": "401", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:0", "size": 2000000000}, {"slot": "CPU 2", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0402", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@1", "physid": "402", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:1", "size": 2000000000}, {"capacity": 3221225472, "handle": "DMI:1000", "description": "System Memory", "children": [{"slot": "DIMM 0", "handle": "DMI:1100", "description": "DIMM RAM", "width": 64, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "bank", "size": 3221225472}], "class": "memory", "units": "bytes", "claimed": true, "physid": "1000", "id": "memory", "size": 3221225472}, {"product": "440FX - 82441FX PMC [Natoma]", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "82371SB PIIX3 ISA [Natoma/Triton II]", "handle": "PCI:0000:00:01.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"isa": true}, "class": "bridge", "width": 32, "version": "00", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0"}, "id": "isa"}, {"product": "82371SB PIIX3 IDE [Natoma/Triton II]", "handle": "PCI:0000:00:01.1", "description": "IDE interface", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "ide": true}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ata_piix"}, "id": "ide"}, {"handle": "PCI:0000:00:02.0", "description": "VGA compatible controller", "clock": 33000000, "class": "display", "capabilities": {"vga_controller": true}, "businfo": "pci@0000:00:02.0", "width": 32, "version": "00", "physid": "2", "configuration": {"latency": "0"}, "id": "display"}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:03.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s3", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:03.0", "clock": 33000000, "physid": "3", "claimed": true, "vendor": "Intel Corporation", "serial": "64:17:43:c1:be:be", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.3", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:04.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s4", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:04.0", "clock": 33000000, "physid": "4", "claimed": true, "vendor": "Intel Corporation", "serial": "64:80:d7:1c:e5:4e", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.6", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:1", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:05.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s5", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:05.0", "clock": 33000000, "physid": "5", "claimed": true, "vendor": "Intel Corporation", "serial": "64:a4:13:33:b9:9f", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:2", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:06.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s6", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:06.0", "clock": 33000000, "physid": "6", "claimed": true, "vendor": "Intel Corporation", "serial": "64:4e:47:8b:67:1d", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:3", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:07.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s7", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:07.0", "clock": 33000000, "physid": "7", "claimed": true, "vendor": "Intel Corporation", "serial": "64:f4:1a:33:59:16", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:4", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:08.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s8", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:08.0", "clock": 33000000, "physid": "8", "claimed": true, "vendor": "Intel Corporation", "serial": "64:59:f0:6b:91:8a", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:5", "size": 1000000000}, {"product": "uPD720200 USB 3.0 Host Controller", "handle": "PCI:0000:00:09.0", "description": "USB controller", "clock": 33000000, "capabilities": {"msix": "MSI-X", "xhci": true, "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "bus", "width": 64, "version": "03", "businfo": "pci@0000:00:09.0", "physid": "9", "claimed": true, "vendor": "NEC Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0a.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0a.0", "physid": "a", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:0"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0b.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0b.0", "physid": "b", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:1"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0c.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0c.0", "physid": "c", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:2"}, {"product": "Virtio memory balloon", "handle": "PCI:0000:00:0d.0", "description": "Unclassified device", "clock": 33000000, "capabilities": {"bus_master": "bus mastering"}, "class": "generic", "width": 32, "version": "00", "businfo": "pci@0000:00:0d.0", "physid": "d", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "generic"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci"}]}], "capabilities": {"vsyscall32": "32-bit processes", "smbios-2.4": "SMBIOS version 2.4", "dmi-2.4": "DMI version 2.4"}, "class": "system", "width": 64, "version": "pc-i440fx-trusty", "claimed": true, "vendor": "QEMU", "configuration": {"boot": "normal", "uuid": "12E86294-CEAA-43A0-BFD0-8B241822E8A5"}, "id": "bootstrap"}, "interfaces": [{"name": "enp0s3", "ip": "10.109.0.3", "driver": "e1000", "state": "up", "mac": "64:17:43:c1:be:be", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:03.0"}, {"name": "enp0s4", "ip": "10.109.0.6", "driver": "e1000", "state": "up", "mac": "64:80:d7:1c:e5:4e", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:04.0"}, {"name": "enp0s5", "driver": "e1000", "state": "up", "mac": "64:a4:13:33:b9:9f", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:05.0"}, {"name": "enp0s6", "driver": "e1000", "state": "up", "mac": "64:4e:47:8b:67:1d", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:06.0"}, {"name": "enp0s7", "driver": "e1000", "state": "up", "mac": "64:f4:1a:33:59:16", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:07.0"}, {"name": "enp0s8", "driver": "e1000", "state": "up", "mac": "64:59:f0:6b:91:8a", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:08.0"}], "disks": [{"name": "vda", "extra": ["disk/by-id/virtio-bf22395761834515aae0"], "removable": "0", "model": null, "disk": "vda", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-f26e90ef82f3446caaa5"], "removable": "0", "model": null, "disk": "vdb", "size": 53687091200}, {"name": "vdc", "extra": ["disk/by-id/virtio-167447fed4b247b7bc10"], "removable": "0", "model": null, "disk": "vdc", "size": 53687091200}], "system": {"product": "Standard PC (i440FX + PIIX, 1996)", "uuid": "12E86294-CEAA-43A0-BFD0-8B241822E8A5", "fqdn": "bootstrap.local", "version": "pc-i440fx-trusty", "runtime_uuid": "0e8afe82-7184-4793-a389-ad8cf455662f", "manufacturer": "QEMU"}, "memory": {"slots": 1, "total": 3221225472, "maximum_capacity": 3221225472, "devices": [{"type": "RAM", "size": 3221225472}]}, "cpu": {"real": 2, "total": 2, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}, {"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}]}}	64:17:43:c1:be:be	10.109.0.3	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	ubuntu	t	f	\N	\N	2016-02-17 12:45:15.617193	t	b0d2911a1f0eb3b5f378d92ffbec0968dea96e57	[]	{}	1	node-3	{}	{controller}	{}	\N	{}	{}
1	55fab1c0-7233-4431-965d-3f2a1ba29afb	1	Untitled (16:46)	discover	{"pci_devices": {"product": "Standard PC (i440FX + PIIX, 1996) ()", "handle": "DMI:0100", "description": "Computer", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"units": "bytes", "vendor": "Bochs", "description": "BIOS", "class": "memory", "date": "01/01/2011", "version": "Bochs", "claimed": true, "physid": "0", "id": "firmware", "size": 98304}, {"slot": "CPU 1", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0401", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@0", "physid": "401", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:0", "size": 2000000000}, {"slot": "CPU 2", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0402", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@1", "physid": "402", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:1", "size": 2000000000}, {"capacity": 3221225472, "handle": "DMI:1000", "description": "System Memory", "children": [{"slot": "DIMM 0", "handle": "DMI:1100", "description": "DIMM RAM", "width": 64, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "bank", "size": 3221225472}], "class": "memory", "units": "bytes", "claimed": true, "physid": "1000", "id": "memory", "size": 3221225472}, {"product": "440FX - 82441FX PMC [Natoma]", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "82371SB PIIX3 ISA [Natoma/Triton II]", "handle": "PCI:0000:00:01.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"isa": true}, "class": "bridge", "width": 32, "version": "00", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0"}, "id": "isa"}, {"product": "82371SB PIIX3 IDE [Natoma/Triton II]", "handle": "PCI:0000:00:01.1", "description": "IDE interface", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "ide": true}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ata_piix"}, "id": "ide"}, {"handle": "PCI:0000:00:02.0", "description": "VGA compatible controller", "clock": 33000000, "class": "display", "capabilities": {"vga_controller": true}, "businfo": "pci@0000:00:02.0", "width": 32, "version": "00", "physid": "2", "configuration": {"latency": "0"}, "id": "display"}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:03.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s3", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:03.0", "clock": 33000000, "physid": "3", "claimed": true, "vendor": "Intel Corporation", "serial": "64:d0:06:5e:16:46", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.5", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:04.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s4", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:04.0", "clock": 33000000, "physid": "4", "claimed": true, "vendor": "Intel Corporation", "serial": "64:63:1a:84:2d:43", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.8", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:1", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:05.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s5", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:05.0", "clock": 33000000, "physid": "5", "claimed": true, "vendor": "Intel Corporation", "serial": "64:f2:ce:01:8e:63", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:2", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:06.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s6", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:06.0", "clock": 33000000, "physid": "6", "claimed": true, "vendor": "Intel Corporation", "serial": "64:1a:3a:b7:9d:88", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:3", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:07.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s7", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:07.0", "clock": 33000000, "physid": "7", "claimed": true, "vendor": "Intel Corporation", "serial": "64:6c:75:47:db:62", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:4", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:08.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s8", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:08.0", "clock": 33000000, "physid": "8", "claimed": true, "vendor": "Intel Corporation", "serial": "64:68:2a:8e:02:be", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:5", "size": 1000000000}, {"product": "uPD720200 USB 3.0 Host Controller", "handle": "PCI:0000:00:09.0", "description": "USB controller", "clock": 33000000, "capabilities": {"msix": "MSI-X", "xhci": true, "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "bus", "width": 64, "version": "03", "businfo": "pci@0000:00:09.0", "physid": "9", "claimed": true, "vendor": "NEC Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0a.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0a.0", "physid": "a", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:0"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0b.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0b.0", "physid": "b", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:1"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0c.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0c.0", "physid": "c", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:2"}, {"product": "Virtio memory balloon", "handle": "PCI:0000:00:0d.0", "description": "Unclassified device", "clock": 33000000, "capabilities": {"bus_master": "bus mastering"}, "class": "generic", "width": 32, "version": "00", "businfo": "pci@0000:00:0d.0", "physid": "d", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "generic"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci"}]}], "capabilities": {"vsyscall32": "32-bit processes", "smbios-2.4": "SMBIOS version 2.4", "dmi-2.4": "DMI version 2.4"}, "class": "system", "width": 64, "version": "pc-i440fx-trusty", "claimed": true, "vendor": "QEMU", "configuration": {"boot": "normal", "uuid": "14B1A08B-8074-47EC-AEF6-259FCB928537"}, "id": "bootstrap"}, "interfaces": [{"name": "enp0s3", "ip": "10.109.0.5", "driver": "e1000", "state": "up", "mac": "64:d0:06:5e:16:46", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:03.0"}, {"name": "enp0s4", "ip": "10.109.0.8", "driver": "e1000", "state": "up", "mac": "64:63:1a:84:2d:43", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:04.0"}, {"name": "enp0s5", "driver": "e1000", "state": "up", "mac": "64:f2:ce:01:8e:63", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:05.0"}, {"name": "enp0s6", "driver": "e1000", "state": "up", "mac": "64:1a:3a:b7:9d:88", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:06.0"}, {"name": "enp0s7", "driver": "e1000", "state": "up", "mac": "64:6c:75:47:db:62", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:07.0"}, {"name": "enp0s8", "driver": "e1000", "state": "up", "mac": "64:68:2a:8e:02:be", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:08.0"}], "disks": [{"name": "vda", "extra": ["disk/by-id/virtio-c30c1956027044589644"], "removable": "0", "model": null, "disk": "vda", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-355b11aa880b471abdf2"], "removable": "0", "model": null, "disk": "vdb", "size": 53687091200}, {"name": "vdc", "extra": ["disk/by-id/virtio-0845cf76ad474d57ad0b"], "removable": "0", "model": null, "disk": "vdc", "size": 53687091200}], "system": {"product": "Standard PC (i440FX + PIIX, 1996)", "uuid": "14B1A08B-8074-47EC-AEF6-259FCB928537", "fqdn": "bootstrap.local", "version": "pc-i440fx-trusty", "runtime_uuid": "0e8afe82-7184-4793-a389-ad8cf455662f", "manufacturer": "QEMU"}, "memory": {"slots": 1, "total": 3221225472, "maximum_capacity": 3221225472, "devices": [{"type": "RAM", "size": 3221225472}]}, "cpu": {"real": 2, "total": 2, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}, {"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}]}}	64:d0:06:5e:16:46	10.109.0.5	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	ubuntu	t	f	\N	\N	2016-02-17 12:45:17.870933	t	882c9583289934772fe152a9fa8a04c6e0b8990f	[]	{}	1	node-1	{}	{controller}	{}	\N	{}	{}
5	95d0496b-d15d-4ef4-8f55-058707af80df	1	Untitled (24:6e)	discover	{"pci_devices": {"product": "Standard PC (i440FX + PIIX, 1996) ()", "handle": "DMI:0100", "description": "Computer", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"units": "bytes", "vendor": "Bochs", "description": "BIOS", "class": "memory", "date": "01/01/2011", "version": "Bochs", "claimed": true, "physid": "0", "id": "firmware", "size": 98304}, {"slot": "CPU 1", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0401", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@0", "physid": "401", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:0", "size": 2000000000}, {"slot": "CPU 2", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0402", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@1", "physid": "402", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:1", "size": 2000000000}, {"capacity": 3221225472, "handle": "DMI:1000", "description": "System Memory", "children": [{"slot": "DIMM 0", "handle": "DMI:1100", "description": "DIMM RAM", "width": 64, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "bank", "size": 3221225472}], "class": "memory", "units": "bytes", "claimed": true, "physid": "1000", "id": "memory", "size": 3221225472}, {"product": "440FX - 82441FX PMC [Natoma]", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "82371SB PIIX3 ISA [Natoma/Triton II]", "handle": "PCI:0000:00:01.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"isa": true}, "class": "bridge", "width": 32, "version": "00", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0"}, "id": "isa"}, {"product": "82371SB PIIX3 IDE [Natoma/Triton II]", "handle": "PCI:0000:00:01.1", "description": "IDE interface", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "ide": true}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ata_piix"}, "id": "ide"}, {"handle": "PCI:0000:00:02.0", "description": "VGA compatible controller", "clock": 33000000, "class": "display", "capabilities": {"vga_controller": true}, "businfo": "pci@0000:00:02.0", "width": 32, "version": "00", "physid": "2", "configuration": {"latency": "0"}, "id": "display"}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:03.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s3", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:03.0", "clock": 33000000, "physid": "3", "claimed": true, "vendor": "Intel Corporation", "serial": "64:31:78:f5:24:6e", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.10", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:04.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s4", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:04.0", "clock": 33000000, "physid": "4", "claimed": true, "vendor": "Intel Corporation", "serial": "64:6f:3d:9e:3f:51", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.12", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:1", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:05.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s5", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:05.0", "clock": 33000000, "physid": "5", "claimed": true, "vendor": "Intel Corporation", "serial": "64:09:c6:c2:4e:5d", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:2", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:06.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s6", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:06.0", "clock": 33000000, "physid": "6", "claimed": true, "vendor": "Intel Corporation", "serial": "64:5a:5a:9b:c9:5e", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:3", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:07.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s7", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:07.0", "clock": 33000000, "physid": "7", "claimed": true, "vendor": "Intel Corporation", "serial": "64:93:4e:e6:e5:05", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:4", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:08.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s8", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:08.0", "clock": 33000000, "physid": "8", "claimed": true, "vendor": "Intel Corporation", "serial": "64:fb:37:57:a2:ba", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:5", "size": 1000000000}, {"product": "uPD720200 USB 3.0 Host Controller", "handle": "PCI:0000:00:09.0", "description": "USB controller", "clock": 33000000, "capabilities": {"msix": "MSI-X", "xhci": true, "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "bus", "width": 64, "version": "03", "businfo": "pci@0000:00:09.0", "physid": "9", "claimed": true, "vendor": "NEC Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0a.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0a.0", "physid": "a", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:0"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0b.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0b.0", "physid": "b", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:1"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0c.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0c.0", "physid": "c", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:2"}, {"product": "Virtio memory balloon", "handle": "PCI:0000:00:0d.0", "description": "Unclassified device", "clock": 33000000, "capabilities": {"bus_master": "bus mastering"}, "class": "generic", "width": 32, "version": "00", "businfo": "pci@0000:00:0d.0", "physid": "d", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "generic"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci"}]}], "capabilities": {"vsyscall32": "32-bit processes", "smbios-2.4": "SMBIOS version 2.4", "dmi-2.4": "DMI version 2.4"}, "class": "system", "width": 64, "version": "pc-i440fx-trusty", "claimed": true, "vendor": "QEMU", "configuration": {"boot": "normal", "uuid": "99BDE994-FC85-4DA5-BE80-6953671DF4CE"}, "id": "bootstrap"}, "interfaces": [{"name": "enp0s3", "ip": "10.109.0.10", "driver": "e1000", "state": "up", "mac": "64:31:78:f5:24:6e", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:03.0"}, {"name": "enp0s4", "ip": "10.109.0.12", "driver": "e1000", "state": "up", "mac": "64:6f:3d:9e:3f:51", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:04.0"}, {"name": "enp0s5", "driver": "e1000", "state": "up", "mac": "64:09:c6:c2:4e:5d", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:05.0"}, {"name": "enp0s6", "driver": "e1000", "state": "up", "mac": "64:5a:5a:9b:c9:5e", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:06.0"}, {"name": "enp0s7", "driver": "e1000", "state": "up", "mac": "64:93:4e:e6:e5:05", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:07.0"}, {"name": "enp0s8", "driver": "e1000", "state": "up", "mac": "64:fb:37:57:a2:ba", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:08.0"}], "disks": [{"name": "vda", "extra": ["disk/by-id/virtio-564fa6ff436145538c5f"], "removable": "0", "model": null, "disk": "vda", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-21c1e707d4604148bc49"], "removable": "0", "model": null, "disk": "vdb", "size": 53687091200}, {"name": "vdc", "extra": ["disk/by-id/virtio-b9bfc5a3b6934583b77a"], "removable": "0", "model": null, "disk": "vdc", "size": 53687091200}], "system": {"product": "Standard PC (i440FX + PIIX, 1996)", "uuid": "99BDE994-FC85-4DA5-BE80-6953671DF4CE", "fqdn": "bootstrap.local", "version": "pc-i440fx-trusty", "runtime_uuid": "0e8afe82-7184-4793-a389-ad8cf455662f", "manufacturer": "QEMU"}, "memory": {"slots": 1, "total": 3221225472, "maximum_capacity": 3221225472, "devices": [{"type": "RAM", "size": 3221225472}]}, "cpu": {"real": 2, "total": 2, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}, {"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}]}}	64:31:78:f5:24:6e	10.109.0.10	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	ubuntu	t	f	\N	\N	2016-02-17 12:45:25.141931	t	1791bda389246b20c36da8e7065e7256b072865b	[]	{}	1	node-5	{}	{compute,ceph-osd}	{}	\N	{}	{}
2	7bb671b0-1ed0-45dd-8640-ef657c1fd5fe	1	Untitled (50:12)	discover	{"pci_devices": {"product": "Standard PC (i440FX + PIIX, 1996) ()", "handle": "DMI:0100", "description": "Computer", "children": [{"description": "Motherboard", "class": "bus", "id": "core", "claimed": true, "physid": "0", "children": [{"units": "bytes", "vendor": "Bochs", "description": "BIOS", "class": "memory", "date": "01/01/2011", "version": "Bochs", "claimed": true, "physid": "0", "id": "firmware", "size": 98304}, {"slot": "CPU 1", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0401", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@0", "physid": "401", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:0", "size": 2000000000}, {"slot": "CPU 2", "product": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "capacity": 2000000000, "handle": "DMI:0402", "description": "CPU", "width": 64, "capabilities": {"pge": "page global enable", "avx": true, "clflush": true, "sep": "fast system calls", "syscall": "fast system calls", "tsc_adjust": true, "vme": "virtual mode extensions", "msr": "model-specific registers", "fsgsbase": true, "xsave": true, "fpu_exception": "FPU exceptions reporting", "xsaveopt": true, "erms": true, "cmov": "conditional move instruction", "smep": true, "nx": "no-execute bit (NX)", "constant_tsc": true, "pat": "page attribute table", "eagerfpu": true, "tsc": "time stamp counter", "fpu": "mathematical co-processor", "fxsr": "fast floating point save/restore", "pae": "4GB+ memory addressing (Physical Address Extension)", "rep_good": true, "arch_perfmon": true, "pcid": true, "nopl": true, "mmx": "multimedia extensions (MMX)", "cx8": "compare and exchange 8-byte", "mce": "machine check exceptions", "de": "debugging extensions", "pclmulqdq": true, "mca": "machine check architecture", "pse": "page size extensions", "pni": true, "x86-64": "64bits extensions (x86-64)", "popcnt": true, "tsc_deadline_timer": true, "pdpe1gb": true, "apic": "on-chip advanced programmable interrupt controller (APIC)", "sse": "streaming SIMD extensions (SSE)", "sse4_2": true, "f16c": true, "wp": true, "lahf_lm": true, "rdtscp": true, "aes": true, "sse2": "streaming SIMD extensions (SSE2)", "ss": "self-snoop", "hypervisor": true, "sse4_1": true, "ssse3": true, "cx16": true, "pse36": "36-bit page size extensions", "mtrr": "memory type range registers", "rdrand": true, "x2apic": true}, "class": "processor", "units": "Hz", "businfo": "cpu@1", "physid": "402", "claimed": true, "vendor": "Intel Corp.", "id": "cpu:1", "size": 2000000000}, {"capacity": 3221225472, "handle": "DMI:1000", "description": "System Memory", "children": [{"slot": "DIMM 0", "handle": "DMI:1100", "description": "DIMM RAM", "width": 64, "class": "memory", "units": "bytes", "claimed": true, "physid": "0", "id": "bank", "size": 3221225472}], "class": "memory", "units": "bytes", "claimed": true, "physid": "1000", "id": "memory", "size": 3221225472}, {"product": "440FX - 82441FX PMC [Natoma]", "handle": "PCIBUS:0000:00", "description": "Host bridge", "clock": 33000000, "children": [{"product": "82371SB PIIX3 ISA [Natoma/Triton II]", "handle": "PCI:0000:00:01.0", "description": "ISA bridge", "clock": 33000000, "capabilities": {"isa": true}, "class": "bridge", "width": 32, "version": "00", "businfo": "pci@0000:00:01.0", "physid": "1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0"}, "id": "isa"}, {"product": "82371SB PIIX3 IDE [Natoma/Triton II]", "handle": "PCI:0000:00:01.1", "description": "IDE interface", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "ide": true}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:01.1", "physid": "1.1", "claimed": true, "vendor": "Intel Corporation", "configuration": {"latency": "0", "driver": "ata_piix"}, "id": "ide"}, {"handle": "PCI:0000:00:02.0", "description": "VGA compatible controller", "clock": 33000000, "class": "display", "capabilities": {"vga_controller": true}, "businfo": "pci@0000:00:02.0", "width": 32, "version": "00", "physid": "2", "configuration": {"latency": "0"}, "id": "display"}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:03.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s3", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:03.0", "clock": 33000000, "physid": "3", "claimed": true, "vendor": "Intel Corporation", "serial": "64:e7:53:e2:50:12", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.4", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:0", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:04.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s4", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:04.0", "clock": 33000000, "physid": "4", "claimed": true, "vendor": "Intel Corporation", "serial": "64:6f:ec:38:65:fe", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "ip": "10.109.0.7", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:1", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:05.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s5", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:05.0", "clock": 33000000, "physid": "5", "claimed": true, "vendor": "Intel Corporation", "serial": "64:fd:ce:c4:4c:58", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:2", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:06.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s6", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:06.0", "clock": 33000000, "physid": "6", "claimed": true, "vendor": "Intel Corporation", "serial": "64:62:a6:eb:b3:af", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:3", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:07.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s7", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:07.0", "clock": 33000000, "physid": "7", "claimed": true, "vendor": "Intel Corporation", "serial": "64:55:2c:7e:6b:62", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:4", "size": 1000000000}, {"product": "82540EM Gigabit Ethernet Controller", "capacity": 1000000000, "handle": "PCI:0000:00:08.0", "description": "Ethernet interface", "width": 32, "logicalname": "enp0s8", "capabilities": {"1000bt-fd": "1Gbit/s (full duplex)", "rom": "extension ROM", "10bt": "10Mbit/s", "100bt": "100Mbit/s", "autonegotiation": "Auto-negotiation", "tp": "twisted pair", "bus_master": "bus mastering", "10bt-fd": "10Mbit/s (full duplex)", "ethernet": true, "100bt-fd": "100Mbit/s (full duplex)", "physical": "Physical interface"}, "class": "network", "units": "bit/s", "version": "03", "businfo": "pci@0000:00:08.0", "clock": 33000000, "physid": "8", "claimed": true, "vendor": "Intel Corporation", "serial": "64:7b:14:e9:3c:9d", "configuration": {"latency": "0", "driverversion": "7.3.21-k8-NAPI", "duplex": "full", "autonegotiation": "on", "driver": "e1000", "broadcast": "yes", "multicast": "yes", "link": "yes", "speed": "1Gbit/s", "port": "twisted pair"}, "id": "network:5", "size": 1000000000}, {"product": "uPD720200 USB 3.0 Host Controller", "handle": "PCI:0000:00:09.0", "description": "USB controller", "clock": 33000000, "capabilities": {"msix": "MSI-X", "xhci": true, "msi": "Message Signalled Interrupts", "bus_master": "bus mastering", "cap_list": "PCI capabilities listing", "pciexpress": "PCI Express"}, "class": "bus", "width": 64, "version": "03", "businfo": "pci@0000:00:09.0", "physid": "9", "claimed": true, "vendor": "NEC Corporation", "configuration": {"latency": "0", "driver": "xhci_hcd"}, "id": "usb"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0a.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0a.0", "physid": "a", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:0"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0b.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0b.0", "physid": "b", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:1"}, {"product": "Virtio block device", "handle": "PCI:0000:00:0c.0", "description": "SCSI storage controller", "clock": 33000000, "capabilities": {"bus_master": "bus mastering", "scsi": true, "msix": "MSI-X", "cap_list": "PCI capabilities listing"}, "class": "storage", "width": 32, "version": "00", "businfo": "pci@0000:00:0c.0", "physid": "c", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "scsi:2"}, {"product": "Virtio memory balloon", "handle": "PCI:0000:00:0d.0", "description": "Unclassified device", "clock": 33000000, "capabilities": {"bus_master": "bus mastering"}, "class": "generic", "width": 32, "version": "00", "businfo": "pci@0000:00:0d.0", "physid": "d", "claimed": true, "vendor": "Red Hat, Inc", "configuration": {"latency": "0", "driver": "virtio-pci"}, "id": "generic"}], "class": "bridge", "width": 32, "version": "02", "businfo": "pci@0000:00:00.0", "physid": "100", "claimed": true, "vendor": "Intel Corporation", "id": "pci"}]}], "capabilities": {"vsyscall32": "32-bit processes", "smbios-2.4": "SMBIOS version 2.4", "dmi-2.4": "DMI version 2.4"}, "class": "system", "width": 64, "version": "pc-i440fx-trusty", "claimed": true, "vendor": "QEMU", "configuration": {"boot": "normal", "uuid": "696AA0D9-FF27-452C-9975-94155EA73607"}, "id": "bootstrap"}, "interfaces": [{"name": "enp0s3", "ip": "10.109.0.4", "driver": "e1000", "state": "up", "mac": "64:e7:53:e2:50:12", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:03.0"}, {"name": "enp0s4", "ip": "10.109.0.7", "driver": "e1000", "state": "up", "mac": "64:6f:ec:38:65:fe", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "netmask": "255.255.255.0", "pxe": false, "bus_info": "0000:00:04.0"}, {"name": "enp0s5", "driver": "e1000", "state": "up", "mac": "64:fd:ce:c4:4c:58", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:05.0"}, {"name": "enp0s6", "driver": "e1000", "state": "up", "mac": "64:62:a6:eb:b3:af", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:06.0"}, {"name": "enp0s7", "driver": "e1000", "state": "up", "mac": "64:55:2c:7e:6b:62", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:07.0"}, {"name": "enp0s8", "driver": "e1000", "state": "up", "mac": "64:7b:14:e9:3c:9d", "max_speed": 1000, "current_speed": 1000, "offloading_modes": [{"state": null, "name": "rx-all", "sub": []}, {"state": null, "name": "rx-fcs", "sub": []}, {"state": null, "name": "tx-nocache-copy", "sub": []}, {"state": null, "name": "rx-vlan-offload", "sub": []}, {"state": null, "name": "generic-receive-offload", "sub": []}, {"state": null, "name": "generic-segmentation-offload", "sub": []}, {"state": null, "name": "tcp-segmentation-offload", "sub": [{"state": null, "name": "tx-tcp-segmentation", "sub": []}]}, {"state": null, "name": "scatter-gather", "sub": [{"state": null, "name": "tx-scatter-gather", "sub": []}]}, {"state": null, "name": "tx-checksumming", "sub": [{"state": null, "name": "tx-checksum-ip-generic", "sub": []}]}, {"state": null, "name": "rx-checksumming", "sub": []}], "pxe": false, "bus_info": "0000:00:08.0"}], "disks": [{"name": "vda", "extra": ["disk/by-id/virtio-aa53c5f6208f4d07be91"], "removable": "0", "model": null, "disk": "vda", "size": 53687091200}, {"name": "vdb", "extra": ["disk/by-id/virtio-c8c41c84e124467eb0fe"], "removable": "0", "model": null, "disk": "vdb", "size": 53687091200}, {"name": "vdc", "extra": ["disk/by-id/virtio-c994ab99aa1d479a84a6"], "removable": "0", "model": null, "disk": "vdc", "size": 53687091200}], "system": {"product": "Standard PC (i440FX + PIIX, 1996)", "uuid": "696AA0D9-FF27-452C-9975-94155EA73607", "fqdn": "bootstrap.local", "version": "pc-i440fx-trusty", "runtime_uuid": "0e8afe82-7184-4793-a389-ad8cf455662f", "manufacturer": "QEMU"}, "memory": {"slots": 1, "total": 3221225472, "maximum_capacity": 3221225472, "devices": [{"type": "RAM", "size": 3221225472}]}, "cpu": {"real": 2, "total": 2, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}, {"model": "Intel(R) Xeon(R) CPU E5-1650 v2 @ 3.50GHz", "frequency": 3499}]}}	64:e7:53:e2:50:12	10.109.0.4	QEMU	Standard PC (i440FX + PIIX, 1996)	\N	0	ubuntu	t	f	\N	\N	2016-02-17 12:45:05.619646	t	ebcf519faa4e017d3628b4e80d7e367562028f1a	[]	{}	1	node-2	{}	{controller}	{}	\N	{}	{}
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 5, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully.	unread	2016-02-17 10:29:20.440764
2	\N	\N	\N	done	Default bootstrap image building done. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	unread	2016-02-17 10:44:28.503332
3	\N	\N	\N	done	We recommend reviewing and applying Maintenance Updates for this release of Mirantis OpenStack: https://docs.mirantis.com/openstack/fuel/fuel-8.0/release-notes.html#maintenance-updates	unread	2016-02-17 10:44:30.593147
4	\N	1	\N	discover	New node is discovered: 2 CPUs / 3.0 GB RAM / 0.161 TB HDD 	unread	2016-02-17 10:49:04.923755
5	\N	2	\N	discover	New node is discovered: 2 CPUs / 3.0 GB RAM / 0.161 TB HDD 	unread	2016-02-17 10:49:08.347531
6	\N	3	\N	discover	New node is discovered: 2 CPUs / 3.0 GB RAM / 0.161 TB HDD 	unread	2016-02-17 10:49:15.938694
7	\N	\N	\N	done	Snapshot is ready. Visit Support page to download	unread	2016-02-17 10:49:46.84893
8	\N	4	\N	discover	New node is discovered: 2 CPUs / 3.0 GB RAM / 0.161 TB HDD 	unread	2016-02-17 12:18:28.69422
9	\N	5	\N	discover	New node is discovered: 2 CPUs / 3.0 GB RAM / 0.161 TB HDD 	unread	2016-02-17 12:19:20.718765
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 9, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
\.


--
-- Data for Name: openstack_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY openstack_configs (id, is_active, config_type, cluster_id, node_id, node_role, created_at, configuration) FROM stdin;
\.


--
-- Name: openstack_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('openstack_configs_id_seq', 1, false);


--
-- Data for Name: oswl_stats; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY oswl_stats (id, cluster_id, created_date, updated_time, resource_type, resource_data, resource_checksum, is_sent, version_info) FROM stdin;
\.


--
-- Name: oswl_stats_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('oswl_stats_id_seq', 1, false);


--
-- Data for Name: plugin_links; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugin_links (id, plugin_id, title, url, description, hidden) FROM stdin;
\.


--
-- Name: plugin_links_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugin_links_id_seq', 1, false);


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, name, title, version, description, releases, fuel_version, package_version, groups, authors, licenses, homepage, network_roles_metadata, attributes_metadata, volumes_metadata, roles_metadata, deployment_tasks, tasks, components_metadata, is_hotpluggable) FROM stdin;
\.


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 1, false);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata, can_update_from_versions, wizard_metadata, deployment_tasks, vmware_attributes_metadata, modes, network_roles_metadata, extensions, components_metadata) FROM stdin;
1	Liberty on CentOS 6.5	liberty-8.0	This option will install the OpenStack Liberty packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	unavailable	{"bonding": {"availability": [{"linux": "settings:storage.iser.value == false and settings:neutron_mellanox.plugin.value != 'ethernet'"}, {"ovs": "false"}], "properties": {"linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "nova_network": {"config": {"floating_ranges": [["10.109.1.128", "10.109.1.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.127"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"database": {"username": null, "passwd": "", "provider": "mysql", "port": "3306", "database": null}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "metadata": {"metadata_proxy_shared_secret": ""}}, "baremetal_gateway": "192.168.3.51", "internal_cidr": "192.168.111.0/24", "floating_ranges": [["10.109.1.128", "10.109.1.254"]], "floating_name": "admin_floating_net", "base_mac": "fa:16:3e:00:00:00", "internal_gateway": "192.168.111.1", "internal_name": "admin_internal_net", "baremetal_range": ["192.168.3.52", "192.168.3.254"], "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.127"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "tun"}, {"restrictions": [{"condition": "settings:additional_components.ironic.value == false"}], "name": "baremetal", "notation": "ip_ranges", "render_type": null, "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 104, "cidr": "192.168.3.0/24", "ip_range": ["192.168.3.1", "192.168.3.50"]}]}}	{"generated": {"provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/centos_65_x86_64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/centos_65_x86_64.img.gz", "format": "ext4"}}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "murano-cfapi": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "deployed_before": {"value": false}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "ironic": {"swift_tempurl_key": {"generator": "password"}, "db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"ceilometer": {"weight": 60, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "murano_glance_artifacts_plugin": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected glance artifact repository will be enabled", "weight": 40, "value": false, "label": "Enable glance artifact repository", "type": "checkbox"}, "mongo": {"restrictions": ["settings:additional_components.ceilometer.value == false"], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "heat": {"weight": 50, "type": "hidden", "description": "", "value": true, "label": ""}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 20, "label": "Additional Components"}}, "repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "To create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-package-updates --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\nFor more details, please refer to the documentation (https://docs.mirantis.com/openstack/fuel/fuel-8.0/reference-architecture.html#fuel-rep-mirror).\\n", "value": [{"priority": null, "type": "rpm", "name": "mos", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/centos/x86_64"}, {"priority": null, "type": "rpm", "name": "mos-updates", "uri": "http://mirror.fuel-infra.org/mos-repos/centos/mos{cluster.release.environment_version}-centos7-fuel/updates/x86_64"}, {"priority": null, "type": "rpm", "name": "mos-security", "uri": "http://mirror.fuel-infra.org/mos-repos/centos/mos{cluster.release.environment_version}-centos7-fuel/security/x86_64"}, {"priority": 15, "type": "rpm", "name": "Auxiliary", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/centos/auxiliary"}], "extra_priority": null}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 20, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^\\\\*$|^(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3}(?:\\\\s*,\\\\s*(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3})*$", "error": "Invalid IP address list"}, "description": "List of upstream DNS servers, separated by comma", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "use_fedora_lt": {"kernel": {"values": [{"data": "default_kernel", "description": "Install default 2.6.32 kernel.", "label": "CentOS default kernel"}, {"data": "fedora_lt_kernel", "description": "EXPERIMENTAL: Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This kernel may not work with all hardware platforms, use with caution.", "label": "Fedora LT kernel"}], "type": "radio", "value": "default_kernel", "weight": 55, "label": "Select kernel"}, "metadata": {"weight": 50, "label": "Use Fedora longterm kernel"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'", {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"weight": 80, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RadosGW for objects (Swift API)"}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Storage - Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"weight": 10, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": false, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "metadata": {"group": "general", "weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"enabled": false, "group": "logging", "toggleable": true, "weight": 50, "label": "Syslog"}}, "murano_settings": {"murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "common": {"use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"group": "security", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "value": "", "label": "Public Key", "type": "textarea"}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "libvirt_type": {"group": "compute", "weight": 30, "value": "qemu", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": false, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Enables new deployment engine based on cross-node dependencies for deployment tasks which allows to deploy all nodes simultaneously. Works only for deployment tasks with version >= 2.0.0.", "weight": 11, "value": false, "label": "Enable task based deploy", "type": "checkbox"}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "group": "network", "weight": 50, "enabled": true, "label": "Mellanox Neutron components", "toggleable": false}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "provision": {"method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 80, "label": "Provision"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(?:\\\\.\\\\d{1,3}){3})\\\\s*(?:,\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(\\\\.\\\\d{1,3}){3})\\\\s*)*$", "error": "Invalid NTP server list"}, "description": "List of upstream NTP servers, separated by comma", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}, "neutron_advanced_configuration": {"neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}}}	{"volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}, {"id": "mysql", "allocate_size": "min"}, {"id": "horizon", "allocate_size": "min"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "ironic": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}], "cinder-block-device": [{"id": "os", "allocate_size": "min"}, {"id": "cinder-block-device", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator_args": [10], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "logs", "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": {"generator_args": ["logs"], "generator": "calc_total_vg"}}], "label": "Logs"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator_args": [11], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "horizon", "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": {"generator_args": ["horizon"], "generator": "calc_total_vg"}}], "label": "Horizon Temp Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}, {"mount": "none", "label": "Cinder Block Device", "min_size": {"generator": "calc_min_cinder_size"}, "volumes": [], "type": "vg", "id": "cinder-block-device"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}}	{"compute-vmware": {"conflicts": ["controller", "compute", "cinder", "cinder-block-device", "ceph-osd", "mongo", "base-os", "virt", "ironic"], "restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "name": "Compute VMware", "weight": 90, "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "limits": {"recommended": 1}, "name": "Storage - Cinder Proxy to VMware Datastore", "weight": 40, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMware vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "virt": {"restrictions": [{"action": "hide", "condition": "not ('advanced' in version:feature_groups)"}], "name": "Virtual", "weight": 80, "public_ip_required": true, "conflicts": ["controller", "base-os"], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes."}, "base-os": {"name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"recommended": 3, "overrides": [{"message": "Neutron L3 HA requires at least 2 Controller nodes to function properly.", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true", "min": 2}], "min": 1}, "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "has_primary": true, "public_ip_required": true, "conflicts": ["compute"], "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in settings", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "limits": {"recommended": 1}, "name": "Storage - Cinder", "weight": 30, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "ironic": {"restrictions": [{"message": "Ironic should be enabled.", "condition": "settings:additional_components.ironic.value == false"}], "name": "Ironic", "weight": 100, "limits": {"recommended": 3, "min": 1}, "conflicts": ["compute"], "description": "Ironic conductor"}, "ceph-osd": {"restrictions": [{"message": "Ceph must be enabled in settings", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false"}], "name": "Storage - Ceph OSD", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "update_once": ["controller"], "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}, "cinder-block-device": {"restrictions": [{"message": "Cinder Block Device should be enabled in settings", "condition": "settings:storage.volumes_block_device.value == false"}, {"message": "Ceph RBD cannot be used with Cinder Block Device", "condition": "settings:storage.volumes_ceph.value == true"}], "name": "Storage - Cinder Block Device", "weight": 35, "has_primary": false, "public_ip_required": false, "conflicts": ["controller", "cinder", "cinder-vmware", "ceph-osd"], "description": "Host node for Cinder Block Devices"}, "mongo": {"restrictions": [{"message": "Ceilometer should be enabled.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "name": "Telemetry - MongoDB", "weight": 60, "conflicts": ["compute", "ceph-osd"], "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "has_primary": true, "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}], "weight": 5, "value": "qemu", "type": "radio"}, "vcenter": {"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "nova-network"}, "settings:common.use_vcenter.value"], "type": "checkbox", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 10, "label": "dialog.create_cluster_wizard.compute.vcenter"}}, "Network": {"manager": {"values": [{"restrictions": [{"Compute.vcenter == true": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "label": "common.network.neutron_vlan"}, {"restrictions": [{"Compute.vcenter == true": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "tun"}], "data": "neutron-tun", "description": "dialog.create_cluster_wizard.network.neutron_tun_description", "label": "common.network.neutron_tun"}, {"restrictions": [{"Compute.vcenter == false": "dialog.create_cluster_wizard.network.nova_network_vcenter_alert"}], "bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "description": "dialog.create_cluster_wizard.network.nova_network_description", "label": "dialog.create_cluster_wizard.network.nova_network"}], "type": "radio"}}, "Storage": {"ceph": {"values": [{"bind": [{"settings:storage.volumes_lvm.value": true}, {"settings:storage.volumes_ceph.value": false}, {"settings:storage.objects_ceph.value": false}, {"settings:storage.ephemeral_ceph.value": false}, {"settings:storage.images_ceph.value": false}], "data": "disable", "label": "dialog.create_cluster_wizard.storage.ceph_disable"}, {"bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.objects_ceph.value": true}, {"settings:storage.ephemeral_ceph.value": true}, {"settings:storage.images_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}], "data": "enable", "label": "dialog.create_cluster_wizard.storage.ceph_enable"}], "type": "radio"}}, "AdditionalServices": {"ironic": {"restrictions": [{"Network.manager != 'neutron-vlan'": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description", "weight": 40, "bind": "settings:additional_components.ironic.value", "label": "dialog.create_cluster_wizard.additional.install_ironic", "type": "checkbox"}, "murano": {"bind": "settings:additional_components.murano.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "label": "dialog.create_cluster_wizard.additional.install_murano"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}], "type": "radio"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}]}}, "Ready": {}}	[{"type": "stage", "id": "pre_deployment_start"}, {"requires": ["pre_deployment_start"], "type": "stage", "id": "pre_deployment_end"}, {"requires": ["pre_deployment_end"], "type": "stage", "id": "deploy_start"}, {"requires": ["deploy_start"], "type": "stage", "id": "deploy_end"}, {"requires": ["deploy_end"], "type": "stage", "id": "post_deployment_start"}, {"requires": ["post_deployment_start"], "type": "stage", "id": "post_deployment_end"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["deploy_start"], "role": ["primary-controller"], "required_for": ["deploy_end"], "type": "group", "id": "primary-controller"}, {"parameters": {"strategy": {"amount": 6, "type": "parallel"}}, "requires": ["primary-controller"], "role": ["controller"], "required_for": ["deploy_end"], "type": "group", "id": "controller"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder"], "required_for": ["deploy_end"], "type": "group", "id": "cinder"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["compute"], "role": ["cinder-block-device"], "required_for": ["deploy_end"], "type": "group", "id": "cinder-block-device"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder-vmware"], "required_for": ["deploy_end"], "type": "group", "id": "cinder-vmware"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute"], "required_for": ["deploy_end"], "type": "group", "id": "compute"}, {"tasks": ["globals", "hiera", "tools", "logging", "netconfig", "connectivity_tests", "hosts", "firewall", "top-role-compute"], "parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute-vmware"], "required_for": ["deploy_end"], "type": "group", "id": "compute-vmware"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["primary-mongo"], "role": ["mongo"], "required_for": ["deploy_end", "primary-controller", "controller"], "type": "group", "id": "mongo"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["deploy_start"], "role": ["primary-mongo"], "required_for": ["deploy_end", "primary-controller", "controller"], "type": "group", "id": "primary-mongo"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["ceph-osd"], "required_for": ["deploy_end"], "type": "group", "id": "ceph-osd"}, {"tasks": ["hiera", "globals", "logging"], "parameters": {"strategy": {"type": "parallel"}}, "type": "group", "role": ["base-os"], "required_for": ["deploy_end", "primary-controller", "controller", "primary-mongo", "mongo"], "requires": ["deploy_start"], "id": "base-os"}, {"role": ["virt"], "type": "group", "id": "virt", "parameters": {"strategy": {"type": "parallel"}}, "required_for": ["deploy_end"]}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["ironic"], "required_for": ["deploy_end"], "type": "group", "id": "ironic"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}, "requires": ["globals"], "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["deploy_end"], "type": "puppet", "id": "logging"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "type": "puppet", "cross-depends": [{"name": "primary-database"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}, "version": "2.0.0", "groups": ["controller"], "required_for": ["openstack-controller"], "requires": ["deploy_start", "openstack-haproxy"], "id": "database"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-controller"], "requires": ["deploy_start", "openstack-haproxy"], "id": "primary-database"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster$/"}], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["primary-cluster", "cluster"], "id": "virtual_ips"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["virtual_ips", "cluster", "primary-cluster"], "id": "conntrackd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/openstack-controller.pp", "timeout": 3600}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "nova-db"}, {"name": "nova-keystone"}, {"name": "memcached"}], "refresh_on": ["nova_config", "nova_paste_api_ini"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-haproxy"], "id": "openstack-controller"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-controller"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "nova-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-controller"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "nova-keystone"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "required_for": ["pre_deployment_end"], "version": "2.0.0", "role": "*", "cross-depends": [{"role": "master", "name": "generate_keys_ceph"}], "requires": ["generate_keys_ceph"], "id": "copy_keys_ceph"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "master", "required_for": ["copy_keys_ceph"], "type": "shell", "id": "generate_keys_ceph"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["ceph-osd"], "cross-depends": [{"name": "ceph-mon"}, {"name": "/(primary-)?ceph-radosgw/"}], "requires": ["hosts", "firewall"], "id": "top-role-ceph-osd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["apache", "ceph-mon", "primary-ceph-mon"], "id": "primary-ceph-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "requires": ["apache", "ceph-mon", "primary-ceph-mon"], "cross-depends": [{"name": "primary-ceph-radosgw"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}, "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "ceph-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}, "requires": ["openstack-controller"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "primary-ceph-mon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end", "controller_remaining_tasks"], "version": "2.0.0", "groups": ["controller"], "cross-depends": [{"name": "primary-ceph-mon"}], "requires": ["openstack-controller"], "id": "ceph-mon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}, "type": "puppet", "required_for": ["post_deployment_end"], "version": "2.0.0", "role": ["compute"], "cross-depends": [{"name": "ceph_create_pools"}], "requires": ["ceph_create_pools"], "id": "ceph-compute", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}, "cross-depended-by": [{"name": "ceph_ready_check"}], "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["ceph_ready_check"], "type": "puppet", "id": "ceph_create_pools", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["enable_rados", "upload_cirros"], "type": "shell", "id": "ceph_ready_check", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}, "cross-depended-by": [{"name": "upload_cirros"}], "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["upload_cirros", "post_deployment_end"], "type": "puppet", "id": "enable_rados", "condition": "settings:storage.objects_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/updatedb.pp", "timeout": 60, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller", "ceph-osd"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "updatedb", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}, "requires": ["hosts", "firewall", "deploy_start"], "cross-depends": [{"name": "primary-cluster"}], "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "cluster"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "requires": ["hosts", "firewall", "deploy_start"], "id": "primary-cluster"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/health.pp", "timeout": 600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/health_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster/"}], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["primary-cluster", "cluster"], "id": "cluster_health"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/sahara.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/sahara/sahara_post.rb"}, "requires": ["openstack-network-end", "horizon"], "cross-depends": [{"name": "sahara-db"}, {"name": "sahara-keystone"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/sahara/sahara_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "sahara", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/db.pp", "timeout": 1800}, "requires": ["primary-database", "database"], "required_for": ["sahara"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "type": "puppet", "id": "sahara-db", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["sahara"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "sahara-keystone", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "ironic"], "required_for": ["deploy_end"], "requires": ["netconfig"], "id": "hosts"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/glance.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/glance/glance_post.rb"}, "type": "puppet", "cross-depends": [{"name": "glance-db"}, {"name": "glance-keystone"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/glance/glance_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "primary-database", "database"], "id": "glance"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["glance"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "glance-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["glance"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "glance-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/keystone.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_post.rb"}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "memcached"}], "refresh_on": ["keystone_config"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "database", "primary-rabbitmq", "rabbitmq", "primary-database"], "id": "primary-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/keystone.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_post.rb"}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "primary-keystone"}], "refresh_on": ["keystone_config"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_pre.rb"}, "version": "2.0.0", "groups": ["controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "database", "primary-rabbitmq", "rabbitmq", "primary-database"], "id": "keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["keystone", "primary-keystone"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"role": "self", "name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "keystone-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/workloads_collector_add.pp", "timeout": 1800}, "requires": ["keystone", "primary-keystone"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "workloads_collector_add"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}, "requires": ["openstack-haproxy"], "cross-depends": [{"name": "primary-rabbitmq"}], "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end", "openstack-controller", "glance"], "type": "puppet", "id": "rabbitmq"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end", "openstack-controller", "glance"], "requires": ["openstack-haproxy"], "id": "primary-rabbitmq"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/murano.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/murano/murano_post.rb"}, "requires": ["heat", "horizon", "primary-rabbitmq", "rabbitmq"], "cross-depends": [{"name": "murano-db"}, {"name": "murano-keystone"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/murano/murano_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "murano", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/db.pp", "timeout": 1800}, "requires": ["primary-database", "database"], "cross-depends": [{"name": "/(primary-)?database/"}], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["murano"], "type": "puppet", "id": "murano-db", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "required_for": ["murano"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "type": "puppet", "id": "murano-keystone", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/rabbitmq.pp", "timeout": 1800}, "requires": ["rabbitmq", "primary-rabbitmq"], "required_for": ["murano"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "cross-depends": [{"role": "self", "name": "/(primary-)?rabbitmq/"}], "type": "puppet", "id": "murano-rabbitmq", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/cfapi.pp", "timeout": 1800}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller"], "requires": ["murano"], "id": "murano-cfapi", "condition": "settings:additional_components.murano-cfapi.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/keystone_cfapi.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "required_for": ["murano-cfapi"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "type": "puppet", "id": "murano-cfapi-keystone", "condition": "settings:additional_components.murano-cfapi.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}, "type": "puppet", "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["ntp-client"], "requires": ["dns-client"], "id": "ntp-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}, "requires": ["dns-client"], "required_for": ["post_deployment_end"], "version": "2.0.0", "role": ["primary-mongo", "mongo", "compute", "ceph-osd", "cinder", "cinder-vmware"], "cross-depends": [{"policy": "any", "name": "ntp-server"}], "type": "puppet", "id": "ntp-client"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}, "type": "puppet", "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["ntp-server"], "requires": ["dns-client"], "id": "ntp-check"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}, "requires": ["tools"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "umm"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/controller.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/controller_post.rb"}, "requires": ["mongo", "primary-mongo", "openstack-haproxy"], "cross-depends": [{"name": "ceilometer-keystone"}, {"name": "/(primary-)?mongo/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/controller_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller", "swift"], "type": "puppet", "id": "ceilometer-controller", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/compute.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/compute_post.rb"}, "type": "puppet", "cross-depends": [{"name": "ceilometer-controller"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/compute_pre.rb"}, "version": "2.0.0", "groups": ["compute", "compute-vmware"], "required_for": ["deploy_end"], "requires": ["ceilometer-controller", "top-role-compute"], "id": "ceilometer-compute", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "required_for": ["ceilometer-controller"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "type": "puppet", "id": "ceilometer-keystone", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/radosgw_user.pp", "timeout": 300, "cwd": "/"}, "requires": ["post_deployment_start", "enable_rados"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "ceilometer-radosgw-user", "condition": "settings:additional_components.ceilometer.value == true and settings:storage.objects_ceph.value == true"}, {"reexecute_on": ["deploy_changes"], "parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["deploy_end"], "requires": ["tools"], "id": "netconfig"}, {"reexecute_on": ["deploy_changes"], "parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["firewall", "hosts"], "requires": ["netconfig"], "id": "connectivity_tests"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}, "requires": ["controller_remaining_tasks"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "vmware-vcenter", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}, "version": "2.0.0", "groups": ["cinder-vmware"], "required_for": ["deploy_end"], "requires": ["top-role-cinder"], "id": "top-role-cinder-vmware", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}, "requires": ["top-role-compute", "ceilometer-compute", "ceilometer-keystone"], "version": "2.0.0", "groups": ["compute-vmware"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-compute-vmware", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/heat.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/heat/heat_post.rb"}, "type": "puppet", "cross-depends": [{"name": "heat-db"}, {"name": "heat-keystone"}, {"name": "memcached"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/heat/heat_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "heat"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["heat"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "heat-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["heat"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "heat-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}, "requires": ["primary-cluster", "cluster"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["virtual_ips"], "type": "puppet", "id": "cluster-vrouter"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["apache"], "id": "api-proxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}, "test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "type": "puppet", "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["setup_repositories"], "requires": ["deploy_start"], "id": "hiera"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ironic/ironic.pp", "timeout": 3600}, "requires": ["openstack-haproxy", "ironic-db", "ironic-keystone"], "cross-depends": [{"name": "ironic-db"}, {"name": "ironic-keystone"}], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "type": "puppet", "id": "ironic-api", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ironic/db.pp", "timeout": 1800}, "requires": ["primary-database", "database"], "cross-depends": [{"name": "/(primary-)?database/"}], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["ironic-api"], "type": "puppet", "id": "ironic-db", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ironic/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "required_for": ["ironic-api"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "type": "puppet", "id": "ironic-keystone", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ironic/ironic-compute.pp", "timeout": 3600}, "requires": ["openstack-controller", "ironic-api"], "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "openstack-controller"}, {"name": "ironic-api"}, {"name": "memcached"}], "refresh_on": ["nova_config", "nova_paste_api_ini"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "ironic-compute", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "openstack-haproxy-ceilometer", "openstack-haproxy-cinder", "openstack-haproxy-glance", "openstack-haproxy-heat", "openstack-haproxy-horizon", "openstack-haproxy-keystone", "openstack-haproxy-murano", "openstack-haproxy-mysqld", "openstack-haproxy-neutron", "openstack-haproxy-nova", "openstack-haproxy-radosgw", "openstack-haproxy-sahara", "openstack-haproxy-swift", "openstack-haproxy-stats", "openstack-haproxy-ironic"], "id": "openstack-haproxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-horizon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-nova"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-heat"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-glance"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-neutron"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-mysqld"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-ceilometer"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-sahara"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-murano"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-stats"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic_post.rb"}, "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "openstack-haproxy-ironic", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "keystone", "primary-keystone"], "requires": ["openstack-haproxy"], "id": "memcached"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["deploy_end"], "requires": ["logging"], "id": "tools"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/swift.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "type": "puppet", "cross-depends": [{"name": "primary-swift"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_pre.rb"}, "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["openstack-controller"], "id": "swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/swift.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "swift-keystone"}, {"name": "memcached"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["openstack-controller"], "id": "primary-swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/rebalance_cronjob.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/rebalance_cronjob_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?swift/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["primary-swift", "swift"], "id": "swift-rebalance-cron"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "cross-depends": [{"name": "keystone"}], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["primary-swift"], "type": "puppet", "id": "swift-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/horizon/horizon.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/horizon/horizon_post.rb"}, "type": "puppet", "cross-depends": [{"name": "memcached"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/horizon/horizon_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "horizon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}, "requires": ["openstack-haproxy"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "primary-dns-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["controller"], "cross-depends": [{"name": "primary-dns-server"}], "requires": ["openstack-haproxy"], "id": "dns-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-mongo", "mongo", "primary-controller", "controller", "compute", "ceph-osd", "cinder", "cinder-vmware"], "required_for": ["ntp-client"], "type": "puppet", "id": "dns-client"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/controller.pp", "timeout": 3600}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "controller_remaining_tasks"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/compute.pp", "timeout": 3600}, "type": "puppet", "cross-depends": [{"name": "keystone"}, {"name": "openstack-controller"}, {"name": "/(primary-)?rabbitmq/"}, {"name": "memcached"}], "refresh_on": ["nova_config", "nova_paste_api_ini"], "version": "2.0.0", "groups": ["compute"], "required_for": ["deploy_end"], "requires": ["hosts", "firewall"], "id": "top-role-compute"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/cinder.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["cinder", "cinder-block-device", "cinder-vmware"], "cross-depends": [{"name": "openstack-cinder"}], "requires": ["hosts", "firewall"], "id": "top-role-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/mongo.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "version": "2.0.0", "groups": ["primary-mongo"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-primary-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/mongo.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["mongo"], "cross-depends": [{"name": "primary-mongo"}], "type": "puppet", "id": "top-role-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/ironic-conductor.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["ironic"], "cross-depends": [{"name": "ironic"}, {"name": "/(primary-)?database/"}, {"name": "/(primary-)?rabbitmq/"}], "requires": ["hosts", "firewall"], "id": "ironic-conductor"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}, "requires": ["netconfig"], "version": "2.0.0", "groups": ["virt"], "required_for": ["deploy_end"], "type": "puppet", "id": "generate_vms"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-network-end"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "neutron-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-network-end"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "neutron-keystone"}, {"requires": ["neutron-keystone", "neutron-db", "netconfig", "openstack-controller", "top-role-compute"], "cross-depends": [{"name": "neutron-keystone"}, {"name": "openstack-haproxy"}, {"name": "neutron-db"}], "version": "2.0.0", "groups": ["primary-controller", "controller", "compute"], "required_for": ["openstack-network-common-config"], "type": "skipped", "id": "openstack-network-start"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/common-config.pp", "timeout": 1800}, "requires": ["openstack-network-start"], "version": "2.0.0", "groups": ["primary-controller", "controller", "compute"], "required_for": ["openstack-network-end"], "type": "puppet", "id": "openstack-network-common-config"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/server-config.pp", "timeout": 1800}, "type": "puppet", "refresh_on": ["neutron_plugin_ml2", "neutron_config", "neutron_api_config"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config"], "id": "openstack-network-server-config"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/plugins/ml2.pp", "timeout": 1800}, "type": "puppet", "refresh_on": ["neutron_agent_ovs"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-config"], "id": "primary-openstack-network-plugins-l2"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/plugins/ml2.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "primary-openstack-network-plugins-l2"}], "refresh_on": ["neutron_agent_ovs"], "version": "2.0.0", "groups": ["controller", "compute"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-config"], "id": "openstack-network-plugins-l2"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/networks.pp", "timeout": 1800}, "requires": ["primary-openstack-network-plugins-l2"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "type": "puppet", "id": "openstack-network-networks"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/routers.pp", "timeout": 1800}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-networks"], "id": "openstack-network-routers", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == false"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/routers.pp", "timeout": 1800, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "openstack-network-routers-ha", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/l3.pp", "timeout": 1800}, "type": "puppet", "refresh_on": ["neutron_l3_agent_config"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-networks", "openstack-network-routers", "primary-openstack-network-plugins-l2", "openstack-network-plugins-l2"], "id": "primary-openstack-network-agents-l3"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/l3.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "primary-openstack-network-agents-l3"}], "refresh_on": ["neutron_l3_agent_config"], "version": "2.0.0", "groups": ["controller", "compute"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-networks", "openstack-network-routers", "primary-openstack-network-plugins-l2", "openstack-network-plugins-l2"], "id": "openstack-network-agents-l3"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/server-nova.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-network-end"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "cross-depends": [{"name": "/(primary-)?openstack-network-agents-l3/"}, {"name": "/(primary-)?openstack-network-plugins-l2/"}], "requires": ["openstack-network-agents-l3"], "id": "openstack-network-server-nova"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/dhcp.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?openstack-network-plugins-l2/"}], "refresh_on": ["neutron_dhcp_agent_config"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-nova", "openstack-network-agents-l3"], "id": "primary-openstack-network-agents-dhcp"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/dhcp.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "primary-openstack-network-agents-dhcp"}, {"name": "/(primary-)?openstack-network-plugins-l2/"}], "refresh_on": ["neutron_dhcp_agent_config"], "version": "2.0.0", "groups": ["controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-nova", "openstack-network-agents-l3"], "id": "openstack-network-agents-dhcp"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/metadata.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "/(primary-)?openstack-network-agents-l3/"}], "refresh_on": ["neutron_metadata_agent_config"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-nova", "openstack-network-agents-l3"], "id": "primary-openstack-network-agents-metadata"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/metadata.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "primary-openstack-network-agents-metadata"}, {"name": "/(primary-)?openstack-network-plugins-l2/"}], "refresh_on": ["neutron_metadata_agent_config"], "version": "2.0.0", "groups": ["controller", "compute"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-nova", "openstack-network-agents-l3"], "id": "openstack-network-agents-metadata"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/compute-nova.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-network-end"], "version": "2.0.0", "groups": ["compute"], "cross-depends": [{"name": "/(primary-)?openstack-network-plugins-l2/"}], "requires": ["openstack-network-common-config", "openstack-network-agents-l3", "openstack-network-agents-metadata"], "id": "openstack-network-compute-nova"}, {"requires": [], "version": "2.0.0", "groups": ["primary-controller", "controller", "compute"], "required_for": ["deploy_end"], "type": "skipped", "id": "openstack-network-end"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["keystone"], "requires": ["openstack-haproxy"], "id": "apache"}, {"reexecute_on": ["deploy_changes"], "parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "ironic"], "required_for": ["deploy_end"], "requires": ["netconfig"], "id": "firewall"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "virtual_ips", "primary-cluster"], "id": "primary-cluster-haproxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}, "type": "puppet", "cross-depends": [{"name": "primary-cluster-haproxy"}], "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "virtual_ips", "cluster"], "id": "cluster-haproxy"}, {"reexecute_on": ["deploy_changes"], "parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}, "test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "type": "puppet", "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["deploy_end"], "requires": ["hiera"], "id": "globals"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/openstack-cinder.pp", "timeout": 1200}, "type": "puppet", "required_for": ["deploy_end", "openstack-controller"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "cross-depends": [{"name": "cinder-db"}, {"name": "cinder-keystone"}], "requires": ["primary-rabbitmq", "rabbitmq", "keystone", "hosts", "firewall"], "id": "openstack-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-cinder"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "cinder-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "cross-depends": [{"name": "keystone"}], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-cinder"], "type": "puppet", "id": "cinder-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/create_cinder_types.pp", "timeout": 1200}, "requires": ["openstack-cinder"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "create-cinder-types"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "enable_quorum"}, {"parameters": {"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 180, "interval": 20}, "requires": ["enable_quorum"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "upload_cirros"}, {"parameters": {"path": "/etc/hiera/nodes.yaml"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": "*", "type": "upload_file", "id": "upload_nodes_info"}, {"parameters": {"timeout": 180}, "requires": ["override_configuration"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "upload_file", "id": "upload_configuration"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}, "type": "puppet", "version": "2.0.0", "role": "*", "required_for": ["post_deployment_end"], "requires": ["upload_nodes_info"], "id": "update_hosts"}, {"parameters": {"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}, "requires": ["post_deployment_start", "enable_nova_compute_service"], "version": "2.0.0", "role": ["primary-controller", "compute-vmware"], "required_for": ["post_deployment_end"], "type": "shell", "id": "vcenter_compute_zones_create", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/enable_compute.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "refresh_on": ["nova_config", "nova_paste_api_ini"], "version": "2.0.0", "role": ["compute", "compute-vmware"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "enable_nova_compute_service"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/enable_cinder.pp", "timeout": 3600, "cwd": "/"}, "requires": ["cinder", "post_deployment_start"], "version": "2.0.0", "role": ["cinder", "cinder-block-device"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "enable_cinder_volume_service"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/service_token_off.pp", "timeout": 180, "cwd": "/"}, "requires": ["upload_cirros"], "required_for": ["post_deployment_end"], "version": "2.0.0", "role": ["primary-controller", "controller"], "cross-depends": [{"name": "upload_cirros"}], "type": "puppet", "id": "disable_keystone_service_token"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "public_vip_ping"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-mongo", "mongo", "compute", "compute-vmware", "ceph-osd", "cinder", "cinder-vmware"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "configure_default_route"}, {"parameters": {"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/modules/", "dst": "/etc/puppet/modules", "timeout": 180}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "sync", "id": "rsync_core_puppet"}, {"parameters": {"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "shell", "id": "clear_nodes_info"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/0", "dst": "/var/lib/astute/keystone/0"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/1", "dst": "/var/lib/astute/keystone/1"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "required_for": ["pre_deployment_end"], "version": "2.0.0", "role": "*", "cross-depends": [{"role": "master", "name": "generate_keys"}], "requires": ["generate_keys"], "id": "copy_keys"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -p /var/lib/fuel/keys/ -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -f '0 1'", "timeout": 180}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "master", "required_for": ["copy_keys"], "type": "shell", "id": "generate_keys"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "master", "required_for": ["copy_haproxy_keys"], "type": "shell", "id": "generate_haproxy_keys", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'self_signed'"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "required_for": ["pre_deployment_end"], "version": "2.0.0", "role": "*", "cross-depends": [{"role": "master", "name": "generate_haproxy_keys"}], "requires": ["generate_haproxy_keys"], "id": "copy_haproxy_keys", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'self_signed'"}, {"parameters": {"retries": 10, "cmd": "timeout -s9 40 ntpdate -u -v -s $(awk '/^server/ { if ($2 !~ /127\\\\.127\\\\.[0-9]+\\\\.[0-9]+/) {ORS=\\" \\"; print $2}}' /etc/ntp.conf)", "timeout": 300, "interval": 30}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "shell", "id": "sync_time"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}, "requires": ["pre_deployment_start", "rsync_core_puppet"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "puppet", "id": "pre_hiera_config"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/override_configuration.pp", "timeout": 180, "cwd": "/"}, "requires": ["pre_hiera_config"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "puppet", "id": "override_configuration"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "dump_rabbitmq_definitions"}, {"parameters": {"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/ironic_post_swift_key.rb", "timeout": 180, "interval": 20}, "requires": ["enable_quorum", "enable_rados"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "ironic_post_swift_key", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ironic/upload_images.rb {CLUSTER_ID}", "timeout": 180, "interval": 20}, "requires": ["enable_quorum", "enable_rados"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "ironic_upload_images", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic.pub", "dst": "/var/lib/astute/ironic/ironic.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic", "dst": "/var/lib/astute/ironic/ironic"}], "dir_permissions": "0700", "permissions": "0600"}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": ["ironic"], "required_for": ["pre_deployment_end"], "type": "copy_files", "id": "ironic_copy_bootstrap_key", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "compute", "compute-vmware", "cinder", "cinder-vmware", "primary-mongo", "mongo", "ceph-osd", "virt"], "required_for": ["deploy_end"], "requires": ["firewall"], "id": "ssl-keys-saving", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'user_uploaded'"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "compute", "compute-vmware", "cinder", "cinder-vmware", "primary-mongo", "mongo", "ceph-osd", "virt"], "required_for": ["hosts"], "requires": ["firewall", "ssl-keys-saving"], "id": "ssl-add-trust-chain", "condition": "settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_dns_setup.pp", "timeout": 3600}, "requires": ["firewall", "ssl-add-trust-chain"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["hosts"], "type": "puppet", "id": "ssl-dns-setup", "condition": "settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/setup_repositories.pp", "timeout": 600}, "requires": ["hiera"], "version": "2.0.0", "groups": ["/.*/"], "required_for": ["fuel_pkgs"], "type": "puppet", "id": "setup_repositories"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}, "requires": ["setup_repositories"], "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "ironic"], "required_for": ["globals"], "type": "puppet", "id": "fuel_pkgs"}]	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "vcenter_password": "", "datastore": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}, "service_name": ""}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "type": "text", "description": "Availability zone name", "name": "az_name", "label": "Availability zone"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"editable_for_deployed": true, "type": "array", "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster", "label": "vSphere cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "type": "text", "description": "Service name", "name": "service_name", "label": "Service name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "type": "text", "description": "Datastore regex", "name": "datastore_regex", "label": "Datastore regex"}, {"type": "select", "description": "Target node for nova-compute service", "name": "target_node", "label": "Target node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "type": "text", "description": "Datacenter", "name": "datacenter", "label": "Datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "type": "text", "description": "Datastore", "name": "datastore", "label": "Datastore"}]}]}}	["ha_compact"]	[{"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "keystone/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "admin/pxe", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "sahara/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceilometer/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "heat/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/cfapi", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "horizon", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/memcache", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/database", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/messaging", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/corosync", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}, "id": "mgmt/vip", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -t nat -A POSTROUTING -o <%INT%> -j MASQUERADE"], "ns_stop": ["iptables -t nat -D POSTROUTING -o <%INT%> -j MASQUERADE"]}}, "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}, "id": "public/vip", "default_mapping": "public"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/private", "default_mapping": "private"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/mesh", "default_mapping": "private"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/floating", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/public", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/radosgw", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/iscsi", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mongo/db", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "fw-admin", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "management", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "ex", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "storage", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/migration", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ironic/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "baremetal_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -A INPUT -i <%INT%> -j DROP"], "ns_stop": ["iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -D INPUT -i <%INT%> -j DROP"]}}, "namespace": "haproxy", "name": "baremetal"}], "gateway": false}, "id": "ironic/baremetal", "default_mapping": "baremetal"}]	{volume_manager}	[{"name": "hypervisor:qemu", "weight": 5, "default": true, "bind": [["settings:common.libvirt_type.value", "qemu"]], "label": "dialog.create_cluster_wizard.compute.qemu", "compatible": [{"name": "hypervisor:vmware"}], "description": "dialog.create_cluster_wizard.compute.qemu_description"}, {"description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 15, "bind": ["settings:common.use_vcenter.value"], "label": "dialog.create_cluster_wizard.compute.vcenter", "compatible": [{"name": "hypervisor:qemu"}], "requires": [{"message": "dialog.create_cluster_wizard.compute.vcenter_warning", "name": "hypervisor:qemu"}], "name": "hypervisor:vmware"}, {"description": "dialog.create_cluster_wizard.network.neutron_ml2_description", "weight": 1000, "default": true, "label": "dialog.create_cluster_wizard.network.neutron_ml2", "compatible": [{"name": "hypervisor:*"}, {"name": "network:neutron:ml2:*"}], "name": "network:neutron:core:ml2"}, {"description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "weight": 5, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:tun"}], "default": true, "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "common.network.neutron_vlan", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:vlan"}, {"description": "dialog.create_cluster_wizard.network.neutron_tun_description", "weight": 10, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:vlan"}, {"message": "dialog.create_cluster_wizard.network.hypervisor_alert", "name": "hypervisor:vmware"}, {"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "additional_service:ironic"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "common.network.neutron_tun", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:tun"}, {"description": "dialog.create_cluster_wizard.storage.default_provider", "weight": 5, "incompatible": [{"message": "LVM not compatible with Ceph", "name": "storage:block:ceph"}], "default": true, "bind": ["settings:storage.volumes_lvm.value"], "label": "dialog.create_cluster_wizard.storage.lvm", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}], "name": "storage:block:lvm"}, {"name": "storage:block:ceph", "weight": 10, "incompatible": [{"message": "Ceph not compatible with LVM", "name": "storage:block:lvm"}], "bind": [["settings:storage.volumes_ceph.value", true], ["settings:storage.volumes_lvm.value", false]], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_block"}, {"description": "dialog.create_cluster_wizard.storage.ceph_object", "weight": 10, "bind": ["settings:storage.objects_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:object:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_ephemeral", "weight": 10, "bind": ["settings:storage.ephemeral_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:ephemeral:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_image", "weight": 10, "bind": ["settings:storage.images_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}], "name": "storage:image:ceph"}, {"description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "bind": ["settings:additional_components.sahara.value"], "label": "dialog.create_cluster_wizard.additional.install_sahara", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:sahara"}, {"description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": ["settings:additional_components.murano.value"], "label": "dialog.create_cluster_wizard.additional.install_murano", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:murano"}, {"description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "bind": ["settings:additional_components.ceilometer.value"], "label": "dialog.create_cluster_wizard.additional.install_ceilometer", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ironic"}], "name": "additional_service:ceilometer"}, {"name": "additional_service:ironic", "weight": 40, "incompatible": [{"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "network:neutron:ml2:tun"}], "bind": ["settings:additional_components.ironic.value"], "label": "dialog.create_cluster_wizard.additional.install_ironic", "compatible": [{"name": "hypervisor:qemu"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description"}]
2	Liberty on Ubuntu 14.04	liberty-8.0	This option will install the OpenStack Liberty packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"bonding": {"availability": [{"linux": "settings:storage.iser.value == false and settings:neutron_mellanox.plugin.value != 'ethernet'"}, {"ovs": "false"}], "properties": {"linux": {"lacp_rate": [{"for_modes": ["802.3ad"], "values": ["slow", "fast"]}], "mode": [{"values": ["balance-rr", "active-backup"]}, {"values": ["802.3ad"], "condition": "'experimental' in version:feature_groups or interface:pxe == false"}, {"values": ["balance-xor", "broadcast", "balance-tlb", "balance-alb"], "condition": "'experimental' in version:feature_groups"}], "xmit_hash_policy": [{"for_modes": ["802.3ad", "balance-xor", "balance-tlb", "balance-alb"], "values": ["layer2", "layer2+3", "layer3+4", "encap2+3", "encap3+4"]}]}}}, "nova_network": {"config": {"floating_ranges": [["10.109.1.128", "10.109.1.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.127"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "configurable": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null}]}, "neutron": {"config": {"parameters": {"database": {"username": null, "passwd": "", "provider": "mysql", "port": "3306", "database": null}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "metadata": {"metadata_proxy_shared_secret": ""}}, "baremetal_gateway": "192.168.3.51", "internal_cidr": "192.168.111.0/24", "floating_ranges": [["10.109.1.128", "10.109.1.254"]], "floating_name": "admin_floating_net", "base_mac": "fa:16:3e:00:00:00", "internal_gateway": "192.168.111.1", "internal_name": "admin_internal_net", "baremetal_range": ["192.168.3.52", "192.168.3.254"], "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"vips": ["haproxy", "vrouter"], "name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "configurable": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "10.109.1.0/24", "gateway": "10.109.1.1", "ip_range": ["10.109.1.2", "10.109.1.127"]}, {"vips": ["haproxy", "vrouter"], "name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24"}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24"}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "neutron_vlan_range": true, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false, "seg_type": "vlan"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "gre"}, {"name": "private", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 103, "render_addr_mask": null, "cidr": "192.168.2.0/24", "seg_type": "tun"}, {"restrictions": [{"condition": "settings:additional_components.ironic.value == false"}], "name": "baremetal", "notation": "ip_ranges", "render_type": null, "map_priority": 2, "configurable": true, "use_gateway": false, "vlan_start": 104, "cidr": "192.168.3.0/24", "ip_range": ["192.168.3.1", "192.168.3.50"]}]}}	{"generated": {"provision": {"image_data": {"/boot": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64-boot.img.gz", "format": "ext2"}, "/": {"container": "gzip", "uri": "http://{settings.MASTER_IP}:8080/targetimages/env_{cluster.id}_ubuntu_1404_amd64.img.gz", "format": "ext4"}}, "codename": "trusty"}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "repo_setup": {"installer_kernel": {"local": "/var/www/nailgun/ubuntu/x86_64/images/linux", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/linux"}, "installer_initrd": {"local": "/var/www/nailgun/ubuntu/x86_64/images/initrd.gz", "remote_relative": "dists/trusty/main/installer-amd64/current/images/netboot/ubuntu-installer/amd64/initrd.gz"}}, "horizon": {"secret_key": {"generator": "hexstring", "generator_arg": "64"}}, "puppet": {"modules": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/modules/", "manifests": "rsync://{settings.MASTER_IP}:/puppet/{cluster.release.version}/manifests/"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "murano-cfapi": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "deployed_before": {"value": false}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "auth_encryption_key": {"generator": "hexstring", "generator_arg": "32"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}, "wsrep_password": {"generator": "password"}}, "ironic": {"swift_tempurl_key": {"generator": "password"}, "db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1404_x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "fixed_key": {"generator": "hexstring", "generator_arg": "64"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"ceilometer": {"weight": 60, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "murano_glance_artifacts_plugin": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected glance artifact repository will be enabled", "weight": 40, "value": false, "label": "Enable glance artifact repository", "type": "checkbox"}, "mongo": {"restrictions": ["settings:additional_components.ceilometer.value == false"], "description": "If selected, You can use external Mongo DB as ceilometer backend", "weight": 70, "value": false, "label": "Use external Mongo DB", "type": "checkbox"}, "murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "murano-cfapi": {"restrictions": [{"message": "Murano should be enabled", "condition": "settings:additional_components.murano.value == false"}, {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "If selected, Murano service broker will be installed", "weight": 30, "value": false, "label": "Install Murano service broker for Cloud Foundry", "type": "checkbox"}, "heat": {"weight": 50, "type": "hidden", "description": "", "value": true, "label": ""}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "ironic": {"restrictions": [{"cluster:net_provider != 'neutron' or networking_parameters:segmentation_type != 'vlan'": "Ironic requires Neutron with VLAN segmentation."}, {"settings:storage.images_ceph.value == true and settings:storage.objects_ceph.value == false": "Ironic requires Swift or RadosGW for Glance images."}], "description": "If selected, Ironic component will be installed", "weight": 80, "value": false, "label": "Install Ironic", "type": "checkbox"}, "metadata": {"group": "openstack_services", "weight": 20, "label": "Additional Components"}}, "repo_setup": {"repos": {"type": "custom_repo_configuration", "description": "Please note: the first repository will be considered the operating system mirror that will be used during node provisioning.\\nTo create a local repository mirror on the Fuel master node, please follow the instructions provided by running \\"fuel-createmirror --help\\" on the Fuel master node.\\nPlease make sure your Fuel master node has Internet access to the repository before attempting to create a mirror.\\nFor more details, please refer to the documentation (https://docs.mirantis.com/openstack/fuel/fuel-8.0/operations.html#external-ubuntu-ops).\\n", "value": [{"name": "ubuntu", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty", "type": "deb"}, {"name": "ubuntu-updates", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-updates", "type": "deb"}, {"name": "ubuntu-security", "section": "main universe multiverse", "uri": "http://archive.ubuntu.com/ubuntu/", "priority": null, "suite": "trusty-security", "type": "deb"}, {"name": "mos", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/x86_64", "priority": 1050, "suite": "mos8.0", "type": "deb"}, {"name": "mos-updates", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos8.0-updates", "type": "deb"}, {"name": "mos-security", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1050, "suite": "mos8.0-security", "type": "deb"}, {"name": "mos-holdback", "section": "main restricted", "uri": "http://mirror.fuel-infra.org/mos-repos/ubuntu/{cluster.release.environment_version}/", "priority": 1100, "suite": "mos8.0-holdback", "type": "deb"}, {"name": "Auxiliary", "section": "main restricted", "uri": "http://{settings.MASTER_IP}:8080/{cluster.release.version}/ubuntu/auxiliary", "priority": 1150, "suite": "auxiliary", "type": "deb"}], "extra_priority": null}, "metadata": {"group": "general", "always_editable": true, "weight": 50, "label": "Repositories"}}, "external_mongo": {"mongo_db_name": {"regex": {"source": "^\\\\w+$", "error": "Invalid database name"}, "description": "Mongo database name", "weight": 30, "value": "ceilometer", "label": "Database name", "type": "text"}, "mongo_replset": {"weight": 30, "type": "text", "description": "Name for Mongo replication set", "value": "", "label": "Replset"}, "mongo_user": {"regex": {"source": "^\\\\w+$", "error": "Empty username"}, "description": "Mongo database username", "weight": 30, "value": "ceilometer", "label": "Username", "type": "text"}, "hosts_ip": {"regex": {"source": "^(((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?),)*((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\\\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$", "error": "Invalid hosts ip sequence"}, "description": "IP Addresses of MongoDB. Use comma to split IPs", "weight": 30, "value": "", "label": "MongoDB hosts IP", "type": "text"}, "mongo_password": {"regex": {"source": "^\\\\S*$", "error": "Password contains spaces"}, "description": "Mongo database password", "weight": 30, "value": "ceilometer", "label": "Password", "type": "password"}, "metadata": {"restrictions": [{"action": "hide", "message": "Ceilometer and MongoDB are not enabled on the Additional Components section", "condition": "settings:additional_components.mongo.value == false"}], "group": "openstack_services", "weight": 20, "label": "External MongoDB"}}, "external_dns": {"dns_list": {"regex": {"source": "^\\\\*$|^(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3}(?:\\\\s*,\\\\s*(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])(?:\\\\.(?:\\\\d|1?\\\\d\\\\d|2[0-4]\\\\d|25[0-5])){3})*$", "error": "Invalid IP address list"}, "description": "List of upstream DNS servers, separated by comma", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "DNS_UPSTREAM"}, "label": "DNS list", "type": "text"}, "metadata": {"group": "network", "weight": 30, "label": "Host OS DNS Servers"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'", {"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:storage.volumes_block_device.value == true"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"weight": 80, "type": "checkbox", "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "value": false, "label": "Ceph RadosGW for objects (Swift API)"}, "volumes_block_device": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "High performance block device storage. It is recommended to have at least one Storage - Cinder Block Device", "weight": 15, "value": false, "label": "Cinder Block device driver", "type": "checkbox"}, "ephemeral_ceph": {"weight": 75, "type": "checkbox", "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "It is recommended to have at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "images_vcenter": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value != true"}, {"message": "Only one Glance backend could be selected.", "condition": "settings:storage.images_ceph.value == true"}], "description": "Configures Glance to use the vCenter/ESXi backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 35, "value": false, "label": "VMware vCenter/ESXi datastore for images (Glance)", "type": "checkbox"}, "osd_pool_size": {"regex": {"source": "^[1-9]\\\\d*$", "error": "Invalid number"}, "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 85, "value": "3", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"restrictions": [{"settings:storage.images_vcenter.value == true": "Only one Glance backend could be selected."}], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "metadata": {"group": "storage", "weight": 60, "label": "Storage Backends"}}, "public_ssl": {"hostname": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "Your DNS entries should point to this name. Self-signed certificates also will use this hostname", "weight": 50, "value": "public.fuel.local", "label": "DNS hostname for public TLS endpoints", "type": "text"}, "horizon": {"restrictions": [{"settings:public_ssl.services.value == false": "TLS for OpenStack public endpoints should be enabled"}], "description": "Secure access to Horizon enabling HTTPS instead of HTTP", "weight": 20, "value": false, "label": "HTTPS for Horizon", "type": "checkbox"}, "services": {"weight": 10, "type": "checkbox", "description": "Enable TLS termination on HAProxy for OpenStack services", "value": false, "label": "TLS for OpenStack public endpoints"}, "cert_data": {"restrictions": [{"action": "hide", "condition": "(settings:public_ssl.cert_source.value != 'user_uploaded') or (settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false)"}], "description": "Certificate and private key data, concatenated into a single file", "weight": 40, "value": "", "label": "Certificate", "type": "file"}, "cert_source": {"restrictions": [{"action": "hide", "condition": "settings:public_ssl.horizon.value == false and settings:public_ssl.services.value == false"}], "description": "From where we'll get certificate and private key", "weight": 30, "value": "self_signed", "label": "Select source for certificate", "values": [{"data": "self_signed", "description": "Generate private key and certificate that will be signed by this key", "label": "Self-signed"}, {"data": "user_uploaded", "description": "Use pre-generated key and certificate", "label": "I have my own keypair with certificate"}], "type": "radio"}, "metadata": {"group": "security", "weight": 110, "label": "Public TLS"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "Username", "type": "text"}, "password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 20, "value": "admin", "label": "Password", "type": "password"}, "email": {"regex": {"source": "^\\\\S+@\\\\S+$", "error": "Invalid email"}, "description": "Email address for Administrator", "weight": 40, "value": "admin@localhost", "label": "Email", "type": "text"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?!ironic$)(?![Gg]uest$)(?!.* +.*$).+", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "Tenant", "type": "text"}, "metadata": {"group": "general", "weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"regex": {"source": "^([1-9][0-9]{0,3}|[1-5][0-9]{4}|6[0-4][0-9]{3}|65[0-4][0-9]{2}|655[0-2][0-9]|6553[0-5])$", "error": "Invalid syslog port"}, "description": "Remote syslog port", "weight": 20, "value": "514", "label": "Port", "type": "text"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid hostname"}, "description": "Remote syslog hostname", "weight": 10, "value": "", "label": "Hostname", "type": "text"}, "metadata": {"enabled": false, "group": "logging", "toggleable": true, "weight": 50, "label": "Syslog"}}, "murano_settings": {"murano_repo_url": {"weight": 10, "type": "text", "description": "", "value": "http://storage.apps.openstack.org/", "label": "Murano Repository URL"}, "metadata": {"restrictions": [{"action": "hide", "message": "Murano is not enabled on the Additional Components section", "condition": "settings:additional_components.murano.value == false"}], "group": "openstack_services", "weight": 20, "label": "Murano Settings"}}, "common": {"use_vcenter": {"type": "hidden", "weight": 30, "value": false}, "auto_assign_floating_ip": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider == 'neutron'"}], "group": "network", "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"group": "storage", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 60, "value": true, "label": "Use qcow format for images", "type": "checkbox"}, "auth_key": {"group": "security", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "value": "", "label": "Public Key", "type": "textarea"}, "puppet_debug": {"group": "logging", "description": "Debug puppet logging mode provides more information, but requires more disk space.", "weight": 20, "value": true, "label": "Puppet debug logging", "type": "checkbox"}, "libvirt_type": {"group": "compute", "weight": 30, "value": "qemu", "label": "Hypervisor type", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio"}, "resume_guests_state_on_host_boot": {"group": "compute", "description": "Whether to resume previous guests state when the host reboots. If enabled, this option causes guests assigned to the host to resume their previous state. If the guest was running a restart will be attempted when nova-compute starts. If the guest was not running previously, a restart will not be attempted.", "weight": 50, "value": true, "label": "Resume guests state on host boot", "type": "checkbox"}, "debug": {"group": "logging", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "value": false, "label": "OpenStack debug logging", "type": "checkbox"}, "task_deploy": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "description": "Enables new deployment engine based on cross-node dependencies for deployment tasks which allows to deploy all nodes simultaneously. Works only for deployment tasks with version >= 2.0.0.", "weight": 11, "value": false, "label": "Enable task based deploy", "type": "checkbox"}, "nova_quota": {"group": "compute", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 30, "value": false, "label": "Nova quotas", "type": "checkbox"}, "metadata": {"weight": 10, "label": "Common"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "group": "network", "weight": 50, "enabled": true, "label": "Mellanox Neutron components", "toggleable": false}}, "public_network_assignment": {"assign_to_all_nodes": {"weight": 10, "type": "checkbox", "description": "When disabled, public network will be assigned to controllers only", "value": false, "label": "Assign public network to all nodes"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 10, "label": "Public network assignment"}}, "workloads_collector": {"password": {"type": "password", "value": {"generator": "password"}}, "enabled": {"type": "hidden", "value": true}, "user": {"type": "text", "value": "fuel_stats_user"}, "tenant": {"type": "text", "value": "services"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 10, "label": "Workloads Collector User"}}, "kernel_params": {"kernel": {"type": "text", "description": "Default kernel parameters", "value": "console=tty0 net.ifnames=0 biosdevname=0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"group": "general", "weight": 60, "label": "Kernel parameters"}}, "provision": {"method": {"type": "hidden", "value": "image"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 80, "label": "Provision"}}, "external_ntp": {"ntp_list": {"regex": {"source": "^\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(?:\\\\.\\\\d{1,3}){3})\\\\s*(?:,\\\\s*(?:(?:\\\\w+(?:-+\\\\w+)*\\\\.)+[a-z]+|\\\\d{1,3}(\\\\.\\\\d{1,3}){3})\\\\s*)*$", "error": "Invalid NTP server list"}, "description": "List of upstream NTP servers, separated by comma", "weight": 10, "value": {"generator": "from_settings", "generator_arg": "NTP_UPSTREAM"}, "label": "NTP server list", "type": "text"}, "metadata": {"group": "network", "weight": 40, "label": "Host OS NTP Servers"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}], "group": "general", "weight": 50, "label": "Corosync"}}, "neutron_advanced_configuration": {"neutron_l3_ha": {"restrictions": [{"message": "Neutron DVR must be disabled in order to use Neutron L3 HA", "condition": "settings:neutron_advanced_configuration.neutron_dvr.value == true"}], "description": "Enable High Availability features for Virtual Routers in Neutron\\nRequires at least 2 Controller nodes to function properly\\n", "weight": 30, "value": false, "label": "Neutron L3 HA", "type": "checkbox"}, "neutron_dvr": {"restrictions": [{"networking_parameters:segmentation_type != 'vlan' and settings:neutron_advanced_configuration.neutron_l2_pop.value == false": "DVR requires L2 population to be enabled."}], "description": "Enable Distributed Virtual Routers in Neutron", "weight": 20, "value": false, "label": "Neutron DVR", "type": "checkbox"}, "neutron_l2_pop": {"restrictions": [{"action": "hide", "condition": "networking_parameters:segmentation_type == 'vlan'"}], "description": "Enable L2 population mechanism in Neutron", "weight": 10, "value": false, "label": "Neutron L2 population", "type": "checkbox"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "group": "network", "weight": 20, "label": "Neutron Advanced Configuration"}}}}	{"volumes_roles_mapping": {"compute-vmware": [{"id": "os", "allocate_size": "min"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder-vmware": [{"id": "os", "allocate_size": "min"}], "virt": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "base-os": [{"id": "os", "allocate_size": "min"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}, {"id": "mysql", "allocate_size": "min"}, {"id": "horizon", "allocate_size": "min"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "ironic": [{"id": "os", "allocate_size": "min"}, {"id": "logs", "allocate_size": "min"}], "cinder-block-device": [{"id": "os", "allocate_size": "min"}, {"id": "cinder-block-device", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator_args": [10], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "logs", "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": {"generator_args": ["logs"], "generator": "calc_total_vg"}}], "label": "Logs"}, {"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator_args": [11], "generator": "calc_gb_to_mb"}, "type": "vg", "id": "horizon", "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": {"generator_args": ["horizon"], "generator": "calc_total_vg"}}], "label": "Horizon Temp Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}, {"mount": "none", "label": "Cinder Block Device", "min_size": {"generator": "calc_min_cinder_size"}, "volumes": [], "type": "vg", "id": "cinder-block-device"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}}	{"compute-vmware": {"conflicts": ["controller", "compute", "cinder", "cinder-block-device", "ceph-osd", "mongo", "base-os", "virt", "ironic"], "restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "name": "Compute VMware", "weight": 90, "description": "A node that runs nova-compute with VCDriver, that manages ESXi computing resources via VMware vCenter."}, "compute": {"limits": {"recommended": 1}, "name": "Compute", "weight": 20, "fault_tolerance": "2%", "public_for_dvr_required": true, "description": "A Compute node creates, manages, and terminates virtual machine instances."}, "cinder-vmware": {"restrictions": [{"action": "hide", "condition": "settings:common.use_vcenter.value == false"}], "limits": {"recommended": 1}, "name": "Storage - Cinder Proxy to VMware Datastore", "weight": 40, "description": "Cinder-VMware provides scheduling of block storage resources delivered over VMware vCenter. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "virt": {"restrictions": [{"action": "hide", "condition": "not ('advanced' in version:feature_groups)"}], "name": "Virtual", "weight": 80, "public_ip_required": true, "conflicts": ["controller", "base-os"], "description": "ADVANCED: Make available possibilities to spawn vms on this node that can be assign as a normal nodes."}, "base-os": {"name": "Operating System", "weight": 70, "description": "Install base Operating System without additional packages and configuration."}, "controller": {"limits": {"recommended": 3, "overrides": [{"message": "Neutron L3 HA requires at least 2 Controller nodes to function properly.", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true", "min": 2}], "min": 1}, "name": "Controller", "weight": 10, "update_required": ["compute", "cinder"], "has_primary": true, "public_ip_required": true, "conflicts": ["compute"], "public_for_dvr_required": true, "description": "The Controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"restrictions": [{"message": "Cinder LVM should be enabled in settings", "condition": "settings:storage.volumes_lvm.value == false"}, {"message": "Ceph RBD cannot be used with Cinder", "condition": "settings:storage.volumes_ceph.value == true"}], "limits": {"recommended": 1}, "name": "Storage - Cinder", "weight": 30, "description": "Cinder provides scheduling of block storage resources, typically delivered over iSCSI and other compatible backend storage systems. Block storage can be used for database storage, expandable file systems, or to provide a server with access to raw block level devices."}, "ironic": {"restrictions": [{"message": "Ironic should be enabled.", "condition": "settings:additional_components.ironic.value == false"}], "name": "Ironic", "weight": 100, "limits": {"recommended": 3, "min": 1}, "conflicts": ["compute"], "description": "Ironic conductor"}, "ceph-osd": {"restrictions": [{"message": "Ceph must be enabled in settings", "condition": "settings:storage.volumes_ceph.value == false and settings:storage.images_ceph.value == false and settings:storage.ephemeral_ceph.value == false"}], "name": "Storage - Ceph OSD", "weight": 50, "limits": {"min": "settings:storage.osd_pool_size.value"}, "update_once": ["controller"], "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}, "cinder-block-device": {"restrictions": [{"message": "Cinder Block Device should be enabled in settings", "condition": "settings:storage.volumes_block_device.value == false"}, {"message": "Ceph RBD cannot be used with Cinder Block Device", "condition": "settings:storage.volumes_ceph.value == true"}], "name": "Storage - Cinder Block Device", "weight": 35, "has_primary": false, "public_ip_required": false, "conflicts": ["controller", "cinder", "cinder-vmware", "ceph-osd"], "description": "Host node for Cinder Block Devices"}, "mongo": {"restrictions": [{"message": "Ceilometer should be enabled.", "condition": "settings:additional_components.ceilometer.value == false"}, {"message": "You are already using external MongoDB.", "condition": "settings:additional_components.mongo.value == true"}], "name": "Telemetry - MongoDB", "weight": 60, "conflicts": ["compute", "ceph-osd"], "limits": {"overrides": [{"max": 1, "message": "At most 1 MongoDB node can be added for non-HA deployment", "condition": "cluster:mode != 'ha_compact'"}, {"recommended": 3, "message": "At least 3 MongoDB nodes are recommended for HA deployment.", "condition": "cluster:mode == 'ha_compact'"}], "min": 1}, "has_primary": true, "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "neutron-vlan"}], "data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}], "weight": 5, "value": "qemu", "type": "radio"}, "vcenter": {"bind": [{"wizard:Storage.ceph": "disable"}, {"wizard:Network.manager": "nova-network"}, "settings:common.use_vcenter.value"], "type": "checkbox", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 10, "label": "dialog.create_cluster_wizard.compute.vcenter"}}, "Network": {"manager": {"values": [{"restrictions": [{"Compute.vcenter == true": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "label": "common.network.neutron_vlan"}, {"restrictions": [{"Compute.vcenter == true": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "tun"}], "data": "neutron-tun", "description": "dialog.create_cluster_wizard.network.neutron_tun_description", "label": "common.network.neutron_tun"}, {"restrictions": [{"Compute.vcenter == false": "dialog.create_cluster_wizard.network.nova_network_vcenter_alert"}], "bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "description": "dialog.create_cluster_wizard.network.nova_network_description", "label": "dialog.create_cluster_wizard.network.nova_network"}], "type": "radio"}}, "Storage": {"ceph": {"values": [{"bind": [{"settings:storage.volumes_lvm.value": true}, {"settings:storage.volumes_ceph.value": false}, {"settings:storage.objects_ceph.value": false}, {"settings:storage.ephemeral_ceph.value": false}, {"settings:storage.images_ceph.value": false}], "data": "disable", "label": "dialog.create_cluster_wizard.storage.ceph_disable"}, {"bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.objects_ceph.value": true}, {"settings:storage.ephemeral_ceph.value": true}, {"settings:storage.images_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}], "data": "enable", "label": "dialog.create_cluster_wizard.storage.ceph_enable"}], "type": "radio"}}, "AdditionalServices": {"ironic": {"restrictions": [{"Network.manager != 'neutron-vlan'": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description", "weight": 40, "bind": "settings:additional_components.ironic.value", "label": "dialog.create_cluster_wizard.additional.install_ironic", "type": "checkbox"}, "murano": {"bind": "settings:additional_components.murano.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "label": "dialog.create_cluster_wizard.additional.install_murano"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}], "type": "radio"}, "metadata": {"restrictions": [{"action": "hide", "condition": "true"}]}}, "Ready": {}}	[{"type": "stage", "id": "pre_deployment_start"}, {"requires": ["pre_deployment_start"], "type": "stage", "id": "pre_deployment_end"}, {"requires": ["pre_deployment_end"], "type": "stage", "id": "deploy_start"}, {"requires": ["deploy_start"], "type": "stage", "id": "deploy_end"}, {"requires": ["deploy_end"], "type": "stage", "id": "post_deployment_start"}, {"requires": ["post_deployment_start"], "type": "stage", "id": "post_deployment_end"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["deploy_start"], "role": ["primary-controller"], "required_for": ["deploy_end"], "type": "group", "id": "primary-controller"}, {"parameters": {"strategy": {"amount": 6, "type": "parallel"}}, "requires": ["primary-controller"], "role": ["controller"], "required_for": ["deploy_end"], "type": "group", "id": "controller"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder"], "required_for": ["deploy_end"], "type": "group", "id": "cinder"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["compute"], "role": ["cinder-block-device"], "required_for": ["deploy_end"], "type": "group", "id": "cinder-block-device"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["cinder-vmware"], "required_for": ["deploy_end"], "type": "group", "id": "cinder-vmware"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute"], "required_for": ["deploy_end"], "type": "group", "id": "compute"}, {"tasks": ["globals", "hiera", "tools", "logging", "netconfig", "connectivity_tests", "hosts", "firewall", "top-role-compute"], "parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["compute-vmware"], "required_for": ["deploy_end"], "type": "group", "id": "compute-vmware"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["primary-mongo"], "role": ["mongo"], "required_for": ["deploy_end", "primary-controller", "controller"], "type": "group", "id": "mongo"}, {"parameters": {"strategy": {"type": "one_by_one"}}, "requires": ["deploy_start"], "role": ["primary-mongo"], "required_for": ["deploy_end", "primary-controller", "controller"], "type": "group", "id": "primary-mongo"}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["ceph-osd"], "required_for": ["deploy_end"], "type": "group", "id": "ceph-osd"}, {"tasks": ["hiera", "globals", "logging"], "parameters": {"strategy": {"type": "parallel"}}, "type": "group", "role": ["base-os"], "required_for": ["deploy_end", "primary-controller", "controller", "primary-mongo", "mongo"], "requires": ["deploy_start"], "id": "base-os"}, {"role": ["virt"], "type": "group", "id": "virt", "parameters": {"strategy": {"type": "parallel"}}, "required_for": ["deploy_end"]}, {"parameters": {"strategy": {"type": "parallel"}}, "requires": ["controller"], "role": ["ironic"], "required_for": ["deploy_end"], "type": "group", "id": "ironic"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/logging/logging.pp", "timeout": 3600}, "requires": ["globals"], "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["deploy_end"], "type": "puppet", "id": "logging"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "type": "puppet", "cross-depends": [{"name": "primary-database"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}, "version": "2.0.0", "groups": ["controller"], "required_for": ["openstack-controller"], "requires": ["deploy_start", "openstack-haproxy"], "id": "database"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/database/database.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/database/database_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-controller"], "requires": ["deploy_start", "openstack-haproxy"], "id": "primary-database"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/virtual_ips_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster$/"}], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["primary-cluster", "cluster"], "id": "virtual_ips"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/virtual_ips/conntrackd_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["virtual_ips", "cluster", "primary-cluster"], "id": "conntrackd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/openstack-controller.pp", "timeout": 3600}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "nova-db"}, {"name": "nova-keystone"}, {"name": "memcached"}], "refresh_on": ["nova_config", "nova_paste_api_ini"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-haproxy"], "id": "openstack-controller"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-controller"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "nova-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-controller/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-controller"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "nova-keystone"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph.pub", "dst": "/var/lib/astute/ceph/ceph.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ceph/ceph", "dst": "/var/lib/astute/ceph/ceph"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "required_for": ["pre_deployment_end"], "version": "2.0.0", "role": "*", "cross-depends": [{"role": "master", "name": "generate_keys_ceph"}], "requires": ["generate_keys_ceph"], "id": "copy_keys_ceph"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -i {CLUSTER_ID} -s 'ceph' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "master", "required_for": ["copy_keys_ceph"], "type": "shell", "id": "generate_keys_ceph"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph-osd.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["ceph-osd"], "cross-depends": [{"name": "ceph-mon"}, {"name": "/(primary-)?ceph-radosgw/"}], "requires": ["hosts", "firewall"], "id": "top-role-ceph-osd"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["apache", "ceph-mon", "primary-ceph-mon"], "id": "primary-ceph-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/radosgw.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_post.rb"}, "requires": ["apache", "ceph-mon", "primary-ceph-mon"], "cross-depends": [{"name": "primary-ceph-radosgw"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/radosgw_pre.rb"}, "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "ceph-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}, "requires": ["openstack-controller"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "primary-ceph-mon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/mon.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end", "controller_remaining_tasks"], "version": "2.0.0", "groups": ["controller"], "cross-depends": [{"name": "primary-ceph-mon"}], "requires": ["openstack-controller"], "id": "ceph-mon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute.pp", "timeout": 3600, "cwd": "/"}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_compute_post.rb"}, "type": "puppet", "required_for": ["post_deployment_end"], "version": "2.0.0", "role": ["compute"], "cross-depends": [{"name": "ceph_create_pools"}], "requires": ["ceph_create_pools"], "id": "ceph-compute", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/ceph_pools.pp", "timeout": 3600, "cwd": "/"}, "cross-depended-by": [{"name": "ceph_ready_check"}], "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["ceph_ready_check"], "type": "puppet", "id": "ceph_create_pools", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceph/ceph_ready_check.rb", "timeout": 1800}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["enable_rados", "upload_cirros"], "type": "shell", "id": "ceph_ready_check", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/enable_rados.pp", "timeout": 180, "cwd": "/"}, "cross-depended-by": [{"name": "upload_cirros"}], "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["upload_cirros", "post_deployment_end"], "type": "puppet", "id": "enable_rados", "condition": "settings:storage.objects_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceph/updatedb.pp", "timeout": 60, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller", "ceph-osd"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "updatedb", "condition": "settings:storage.objects_ceph.value == true or settings:storage.images_ceph.value == true or settings:storage.volumes_ceph.value == true or settings:storage.ephemeral_ceph.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}, "requires": ["hosts", "firewall", "deploy_start"], "cross-depends": [{"name": "primary-cluster"}], "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "cluster"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/cluster.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/cluster_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "requires": ["hosts", "firewall", "deploy_start"], "id": "primary-cluster"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster/health.pp", "timeout": 600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster/health_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster/"}], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["primary-cluster", "cluster"], "id": "cluster_health"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/sahara.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/sahara/sahara_post.rb"}, "requires": ["openstack-network-end", "horizon"], "cross-depends": [{"name": "sahara-db"}, {"name": "sahara-keystone"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/sahara/sahara_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "sahara", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/db.pp", "timeout": 1800}, "requires": ["primary-database", "database"], "required_for": ["sahara"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "type": "puppet", "id": "sahara-db", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/sahara/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["sahara"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "sahara-keystone", "condition": "settings:additional_components.sahara.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/hosts/hosts_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "ironic"], "required_for": ["deploy_end"], "requires": ["netconfig"], "id": "hosts"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/glance.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/glance/glance_post.rb"}, "type": "puppet", "cross-depends": [{"name": "glance-db"}, {"name": "glance-keystone"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/glance/glance_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "primary-database", "database"], "id": "glance"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["glance"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "glance-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/glance/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["glance"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "glance-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/keystone.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_post.rb"}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "memcached"}], "refresh_on": ["keystone_config"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "database", "primary-rabbitmq", "rabbitmq", "primary-database"], "id": "primary-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/keystone.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_post.rb"}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "keystone-db"}, {"name": "primary-keystone"}], "refresh_on": ["keystone_config"], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/keystone/keystone_pre.rb"}, "version": "2.0.0", "groups": ["controller"], "required_for": ["openstack-controller"], "requires": ["openstack-haproxy", "database", "primary-rabbitmq", "rabbitmq", "primary-database"], "id": "keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["keystone", "primary-keystone"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"role": "self", "name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "keystone-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/keystone/workloads_collector_add.pp", "timeout": 1800}, "requires": ["keystone", "primary-keystone"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "workloads_collector_add"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}, "requires": ["openstack-haproxy"], "cross-depends": [{"name": "primary-rabbitmq"}], "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end", "openstack-controller", "glance"], "type": "puppet", "id": "rabbitmq"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/rabbitmq/rabbitmq_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end", "openstack-controller", "glance"], "requires": ["openstack-haproxy"], "id": "primary-rabbitmq"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/murano.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/murano/murano_post.rb"}, "requires": ["heat", "horizon", "primary-rabbitmq", "rabbitmq"], "cross-depends": [{"name": "murano-db"}, {"name": "murano-keystone"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/murano/murano_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "type": "puppet", "id": "murano", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/db.pp", "timeout": 1800}, "requires": ["primary-database", "database"], "cross-depends": [{"name": "/(primary-)?database/"}], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["murano"], "type": "puppet", "id": "murano-db", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "required_for": ["murano"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "type": "puppet", "id": "murano-keystone", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/rabbitmq.pp", "timeout": 1800}, "requires": ["rabbitmq", "primary-rabbitmq"], "required_for": ["murano"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "cross-depends": [{"role": "self", "name": "/(primary-)?rabbitmq/"}], "type": "puppet", "id": "murano-rabbitmq", "condition": "settings:additional_components.murano.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/cfapi.pp", "timeout": 1800}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller"], "requires": ["murano"], "id": "murano-cfapi", "condition": "settings:additional_components.murano-cfapi.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/murano/keystone_cfapi.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "required_for": ["murano-cfapi"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "type": "puppet", "id": "murano-cfapi-keystone", "condition": "settings:additional_components.murano-cfapi.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-server.pp", "timeout": 3600, "cwd": "/"}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}, "type": "puppet", "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["ntp-client"], "requires": ["dns-client"], "id": "ntp-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-client.pp", "timeout": 3600, "cwd": "/"}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ntp/ntp_post.rb"}, "requires": ["dns-client"], "required_for": ["post_deployment_end"], "version": "2.0.0", "role": ["primary-mongo", "mongo", "compute", "ceph-osd", "cinder", "cinder-vmware"], "cross-depends": [{"policy": "any", "name": "ntp-server"}], "type": "puppet", "id": "ntp-client"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ntp/ntp-check.pp", "timeout": 600, "cwd": "/"}, "type": "puppet", "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["ntp-server"], "requires": ["dns-client"], "id": "ntp-check"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/umm/umm.pp", "timeout": 3600}, "requires": ["tools"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "umm"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/controller.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/controller_post.rb"}, "requires": ["mongo", "primary-mongo", "openstack-haproxy"], "cross-depends": [{"name": "ceilometer-keystone"}, {"name": "/(primary-)?mongo/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/controller_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller", "swift"], "type": "puppet", "id": "ceilometer-controller", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/compute.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/compute_post.rb"}, "type": "puppet", "cross-depends": [{"name": "ceilometer-controller"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ceilometer/compute_pre.rb"}, "version": "2.0.0", "groups": ["compute", "compute-vmware"], "required_for": ["deploy_end"], "requires": ["ceilometer-controller", "top-role-compute"], "id": "ceilometer-compute", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "required_for": ["ceilometer-controller"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "type": "puppet", "id": "ceilometer-keystone", "condition": "settings:additional_components.ceilometer.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ceilometer/radosgw_user.pp", "timeout": 300, "cwd": "/"}, "requires": ["post_deployment_start", "enable_rados"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "ceilometer-radosgw-user", "condition": "settings:additional_components.ceilometer.value == true and settings:storage.objects_ceph.value == true"}, {"reexecute_on": ["deploy_changes"], "parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/netconfig/netconfig_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["deploy_end"], "requires": ["tools"], "id": "netconfig"}, {"reexecute_on": ["deploy_changes"], "parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/connectivity_tests.pp", "timeout": 3600, "cwd": "/"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["firewall", "hosts"], "requires": ["netconfig"], "id": "connectivity_tests"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/vcenter.pp", "timeout": 3600}, "requires": ["controller_remaining_tasks"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "vmware-vcenter", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/vmware/cinder-vmware_pre.rb"}, "version": "2.0.0", "groups": ["cinder-vmware"], "required_for": ["deploy_end"], "requires": ["top-role-cinder"], "id": "top-role-cinder-vmware", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/vmware/compute-vmware.pp", "timeout": 180}, "requires": ["top-role-compute", "ceilometer-compute", "ceilometer-keystone"], "version": "2.0.0", "groups": ["compute-vmware"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-compute-vmware", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/heat.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/heat/heat_post.rb"}, "type": "puppet", "cross-depends": [{"name": "heat-db"}, {"name": "heat-keystone"}, {"name": "memcached"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/heat/heat_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "heat"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["heat"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "heat-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/heat/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["heat"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "heat-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-vrouter/cluster-vrouter.pp", "timeout": 3600}, "requires": ["primary-cluster", "cluster"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["virtual_ips"], "type": "puppet", "id": "cluster-vrouter"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/api-proxy/api-proxy_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["apache"], "id": "api-proxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600}, "test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_post.py"}, "type": "puppet", "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/hiera/hiera_pre.py"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["setup_repositories"], "requires": ["deploy_start"], "id": "hiera"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ironic/ironic.pp", "timeout": 3600}, "requires": ["openstack-haproxy", "ironic-db", "ironic-keystone"], "cross-depends": [{"name": "ironic-db"}, {"name": "ironic-keystone"}], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["openstack-controller"], "type": "puppet", "id": "ironic-api", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ironic/db.pp", "timeout": 1800}, "requires": ["primary-database", "database"], "cross-depends": [{"name": "/(primary-)?database/"}], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["ironic-api"], "type": "puppet", "id": "ironic-db", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ironic/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "required_for": ["ironic-api"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "type": "puppet", "id": "ironic-keystone", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ironic/ironic-compute.pp", "timeout": 3600}, "requires": ["openstack-controller", "ironic-api"], "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "openstack-controller"}, {"name": "ironic-api"}, {"name": "memcached"}], "refresh_on": ["nova_config", "nova_paste_api_ini"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "ironic-compute", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy.pp", "timeout": 300}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "openstack-haproxy-ceilometer", "openstack-haproxy-cinder", "openstack-haproxy-glance", "openstack-haproxy-heat", "openstack-haproxy-horizon", "openstack-haproxy-keystone", "openstack-haproxy-murano", "openstack-haproxy-mysqld", "openstack-haproxy-neutron", "openstack-haproxy-nova", "openstack-haproxy-radosgw", "openstack-haproxy-sahara", "openstack-haproxy-swift", "openstack-haproxy-stats", "openstack-haproxy-ironic"], "id": "openstack-haproxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-horizon_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-horizon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-keystone_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-nova_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-nova"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-heat_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-heat"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-glance_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-glance"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-cinder_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-neutron_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-neutron"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-mysqld_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-mysqld"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-swift_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-radosgw_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-radosgw"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ceilometer_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-ceilometer"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-sahara_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-sahara"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-murano_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-murano"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-stats_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "id": "openstack-haproxy-stats"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy-ironic_post.rb"}, "requires": ["deploy_start", "primary-cluster-haproxy", "cluster-haproxy"], "cross-depends": [{"role": "self", "name": "/(primary-)?cluster-haproxy/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/openstack-haproxy/openstack-haproxy_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "openstack-haproxy-ironic", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/memcached/memcached.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/memcached/memcached_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end", "keystone", "primary-keystone"], "requires": ["openstack-haproxy"], "id": "memcached"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/tools/tools.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/tools/tools_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["deploy_end"], "requires": ["logging"], "id": "tools"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/swift.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "type": "puppet", "cross-depends": [{"name": "primary-swift"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_pre.rb"}, "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["openstack-controller"], "id": "swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/swift.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?rabbitmq/"}, {"name": "swift-keystone"}, {"name": "memcached"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end", "controller_remaining_tasks"], "requires": ["openstack-controller"], "id": "primary-swift"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/rebalance_cronjob.pp", "timeout": 300}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/rebalance_cronjob_post.rb"}, "type": "puppet", "cross-depends": [{"role": "self", "name": "/(primary-)?swift/"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/swift/swift_post.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["primary-swift", "swift"], "id": "swift-rebalance-cron"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/swift/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "cross-depends": [{"name": "keystone"}], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["primary-swift"], "type": "puppet", "id": "swift-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/horizon/horizon.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/horizon/horizon_post.rb"}, "type": "puppet", "cross-depends": [{"name": "memcached"}], "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/horizon/horizon_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "requires": ["openstack-controller"], "id": "horizon"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}, "requires": ["openstack-haproxy"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "primary-dns-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-server.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["controller"], "cross-depends": [{"name": "primary-dns-server"}], "requires": ["openstack-haproxy"], "id": "dns-server"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/dns/dns-client.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-mongo", "mongo", "primary-controller", "controller", "compute", "ceph-osd", "cinder", "cinder-vmware"], "required_for": ["ntp-client"], "type": "puppet", "id": "dns-client"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/controller.pp", "timeout": 3600}, "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "controller_remaining_tasks"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/compute.pp", "timeout": 3600}, "type": "puppet", "cross-depends": [{"name": "keystone"}, {"name": "openstack-controller"}, {"name": "/(primary-)?rabbitmq/"}, {"name": "memcached"}], "refresh_on": ["nova_config", "nova_paste_api_ini"], "version": "2.0.0", "groups": ["compute"], "required_for": ["deploy_end"], "requires": ["hosts", "firewall"], "id": "top-role-compute"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/cinder.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["cinder", "cinder-block-device", "cinder-vmware"], "cross-depends": [{"name": "openstack-cinder"}], "requires": ["hosts", "firewall"], "id": "top-role-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/mongo.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "version": "2.0.0", "groups": ["primary-mongo"], "required_for": ["deploy_end"], "type": "puppet", "id": "top-role-primary-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/mongo.pp", "timeout": 3600}, "requires": ["hosts", "firewall"], "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["mongo"], "cross-depends": [{"name": "primary-mongo"}], "type": "puppet", "id": "top-role-mongo"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/roles/ironic-conductor.pp", "timeout": 3600}, "type": "puppet", "required_for": ["deploy_end"], "version": "2.0.0", "groups": ["ironic"], "cross-depends": [{"name": "ironic"}, {"name": "/(primary-)?database/"}, {"name": "/(primary-)?rabbitmq/"}], "requires": ["hosts", "firewall"], "id": "ironic-conductor"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/generate_vms/generate_vms.pp", "timeout": 3600}, "requires": ["netconfig"], "version": "2.0.0", "groups": ["virt"], "required_for": ["deploy_end"], "type": "puppet", "id": "generate_vms"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-network-end"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "neutron-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/keystone.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-network-end"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "keystone"}], "requires": ["primary-keystone", "keystone"], "id": "neutron-keystone"}, {"requires": ["neutron-keystone", "neutron-db", "netconfig", "openstack-controller", "top-role-compute"], "cross-depends": [{"name": "neutron-keystone"}, {"name": "openstack-haproxy"}, {"name": "neutron-db"}], "version": "2.0.0", "groups": ["primary-controller", "controller", "compute"], "required_for": ["openstack-network-common-config"], "type": "skipped", "id": "openstack-network-start"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/common-config.pp", "timeout": 1800}, "requires": ["openstack-network-start"], "version": "2.0.0", "groups": ["primary-controller", "controller", "compute"], "required_for": ["openstack-network-end"], "type": "puppet", "id": "openstack-network-common-config"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/server-config.pp", "timeout": 1800}, "type": "puppet", "refresh_on": ["neutron_plugin_ml2", "neutron_config", "neutron_api_config"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config"], "id": "openstack-network-server-config"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/plugins/ml2.pp", "timeout": 1800}, "type": "puppet", "refresh_on": ["neutron_agent_ovs"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-config"], "id": "primary-openstack-network-plugins-l2"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/plugins/ml2.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "primary-openstack-network-plugins-l2"}], "refresh_on": ["neutron_agent_ovs"], "version": "2.0.0", "groups": ["controller", "compute"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-config"], "id": "openstack-network-plugins-l2"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/networks.pp", "timeout": 1800}, "requires": ["primary-openstack-network-plugins-l2"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "type": "puppet", "id": "openstack-network-networks"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/routers.pp", "timeout": 1800}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-networks"], "id": "openstack-network-routers", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == false"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/routers.pp", "timeout": 1800, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "openstack-network-routers-ha", "condition": "settings:neutron_advanced_configuration.neutron_l3_ha.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/l3.pp", "timeout": 1800}, "type": "puppet", "refresh_on": ["neutron_l3_agent_config"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-networks", "openstack-network-routers", "primary-openstack-network-plugins-l2", "openstack-network-plugins-l2"], "id": "primary-openstack-network-agents-l3"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/l3.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "primary-openstack-network-agents-l3"}], "refresh_on": ["neutron_l3_agent_config"], "version": "2.0.0", "groups": ["controller", "compute"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-networks", "openstack-network-routers", "primary-openstack-network-plugins-l2", "openstack-network-plugins-l2"], "id": "openstack-network-agents-l3"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/server-nova.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-network-end"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "cross-depends": [{"name": "/(primary-)?openstack-network-agents-l3/"}, {"name": "/(primary-)?openstack-network-plugins-l2/"}], "requires": ["openstack-network-agents-l3"], "id": "openstack-network-server-nova"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/dhcp.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?openstack-network-plugins-l2/"}], "refresh_on": ["neutron_dhcp_agent_config"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-nova", "openstack-network-agents-l3"], "id": "primary-openstack-network-agents-dhcp"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/dhcp.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "primary-openstack-network-agents-dhcp"}, {"name": "/(primary-)?openstack-network-plugins-l2/"}], "refresh_on": ["neutron_dhcp_agent_config"], "version": "2.0.0", "groups": ["controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-nova", "openstack-network-agents-l3"], "id": "openstack-network-agents-dhcp"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/metadata.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "/(primary-)?openstack-network-plugins-l2/"}, {"name": "/(primary-)?openstack-network-agents-l3/"}], "refresh_on": ["neutron_metadata_agent_config"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-nova", "openstack-network-agents-l3"], "id": "primary-openstack-network-agents-metadata"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/agents/metadata.pp", "timeout": 1800}, "type": "puppet", "cross-depends": [{"name": "primary-openstack-network-agents-metadata"}, {"name": "/(primary-)?openstack-network-plugins-l2/"}], "refresh_on": ["neutron_metadata_agent_config"], "version": "2.0.0", "groups": ["controller", "compute"], "required_for": ["openstack-network-end"], "requires": ["openstack-network-common-config", "openstack-network-server-nova", "openstack-network-agents-l3"], "id": "openstack-network-agents-metadata"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-network/compute-nova.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-network-end"], "version": "2.0.0", "groups": ["compute"], "cross-depends": [{"name": "/(primary-)?openstack-network-plugins-l2/"}], "requires": ["openstack-network-common-config", "openstack-network-agents-l3", "openstack-network-agents-metadata"], "id": "openstack-network-compute-nova"}, {"requires": [], "version": "2.0.0", "groups": ["primary-controller", "controller", "compute"], "required_for": ["deploy_end"], "type": "skipped", "id": "openstack-network-end"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/apache/apache.pp", "timeout": 1200}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/apache/apache_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["keystone"], "requires": ["openstack-haproxy"], "id": "apache"}, {"reexecute_on": ["deploy_changes"], "parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/firewall/firewall.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_post.rb"}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/firewall/firewall_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "ironic"], "required_for": ["deploy_end"], "requires": ["netconfig"], "id": "firewall"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}, "type": "puppet", "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "virtual_ips", "primary-cluster"], "id": "primary-cluster-haproxy"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy.pp", "timeout": 3600}, "test_post": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/cluster-haproxy/cluster-haproxy_post.rb"}, "type": "puppet", "cross-depends": [{"name": "primary-cluster-haproxy"}], "version": "2.0.0", "groups": ["controller"], "required_for": ["deploy_end"], "requires": ["deploy_start", "virtual_ips", "cluster"], "id": "cluster-haproxy"}, {"reexecute_on": ["deploy_changes"], "parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/globals/globals.pp", "timeout": 3600}, "test_post": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_post.py"}, "type": "puppet", "test_pre": {"cmd": "python /etc/puppet/modules/osnailyfacter/modular/globals/globals_pre.py"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "virt", "ironic"], "required_for": ["deploy_end"], "requires": ["hiera"], "id": "globals"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/openstack-cinder.pp", "timeout": 1200}, "type": "puppet", "required_for": ["deploy_end", "openstack-controller"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "cross-depends": [{"name": "cinder-db"}, {"name": "cinder-keystone"}], "requires": ["primary-rabbitmq", "rabbitmq", "keystone", "hosts", "firewall"], "id": "openstack-cinder"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/db.pp", "timeout": 1800}, "type": "puppet", "required_for": ["openstack-cinder"], "version": "2.0.0", "groups": ["primary-controller"], "cross-depends": [{"name": "/(primary-)?database/"}], "requires": ["primary-database", "database"], "id": "cinder-db"}, {"parameters": {"puppet_modules": "/etc/puppet/modules/", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/keystone.pp", "timeout": 1800}, "requires": ["primary-keystone", "keystone"], "cross-depends": [{"name": "keystone"}], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["openstack-cinder"], "type": "puppet", "id": "cinder-keystone"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/openstack-cinder/create_cinder_types.pp", "timeout": 1200}, "requires": ["openstack-cinder"], "version": "2.0.0", "groups": ["primary-controller"], "required_for": ["deploy_end"], "type": "puppet", "id": "create-cinder-types"}, {"parameters": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/enable_quorum.rb", "timeout": 180}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "enable_quorum"}, {"parameters": {"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/upload_cirros.rb", "timeout": 180, "interval": 20}, "requires": ["enable_quorum"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "upload_cirros"}, {"parameters": {"path": "/etc/hiera/nodes.yaml"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": "*", "type": "upload_file", "id": "upload_nodes_info"}, {"parameters": {"timeout": 180}, "requires": ["override_configuration"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "upload_file", "id": "upload_configuration"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hosts/hosts.pp", "timeout": 3600, "cwd": "/"}, "type": "puppet", "version": "2.0.0", "role": "*", "required_for": ["post_deployment_end"], "requires": ["upload_nodes_info"], "id": "update_hosts"}, {"parameters": {"cmd": "/usr/bin/python /etc/puppet/modules/osnailyfacter/modular/astute/vcenter_hooks.py --create_zones", "timeout": 180}, "requires": ["post_deployment_start", "enable_nova_compute_service"], "version": "2.0.0", "role": ["primary-controller", "compute-vmware"], "required_for": ["post_deployment_end"], "type": "shell", "id": "vcenter_compute_zones_create", "condition": "settings:common.use_vcenter.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/enable_compute.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "refresh_on": ["nova_config", "nova_paste_api_ini"], "version": "2.0.0", "role": ["compute", "compute-vmware"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "enable_nova_compute_service"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/enable_cinder.pp", "timeout": 3600, "cwd": "/"}, "requires": ["cinder", "post_deployment_start"], "version": "2.0.0", "role": ["cinder", "cinder-block-device"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "enable_cinder_volume_service"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/service_token_off.pp", "timeout": 180, "cwd": "/"}, "requires": ["upload_cirros"], "required_for": ["post_deployment_end"], "version": "2.0.0", "role": ["primary-controller", "controller"], "cross-depends": [{"name": "upload_cirros"}], "type": "puppet", "id": "disable_keystone_service_token"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/virtual_ips/public_vip_ping.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "public_vip_ping"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/netconfig/configure_default_route.pp", "timeout": 3600, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-mongo", "mongo", "compute", "compute-vmware", "ceph-osd", "cinder", "cinder-vmware"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "configure_default_route"}, {"parameters": {"src": "rsync://{MASTER_IP}:/puppet/{OPENSTACK_VERSION}/modules/", "dst": "/etc/puppet/modules", "timeout": 180}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "sync", "id": "rsync_core_puppet"}, {"parameters": {"retries": 1, "cmd": "rm -f /etc/hiera/nodes.yaml"}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "shell", "id": "clear_nodes_info"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron.pub", "dst": "/var/lib/astute/neutron/neutron.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/neutron/neutron", "dst": "/var/lib/astute/neutron/neutron"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova.pub", "dst": "/var/lib/astute/nova/nova.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/nova/nova", "dst": "/var/lib/astute/nova/nova"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql.pub", "dst": "/var/lib/astute/mysql/mysql.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mysql/mysql", "dst": "/var/lib/astute/mysql/mysql"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/mongodb/mongodb.key", "dst": "/var/lib/astute/mongodb/mongodb.key"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/0", "dst": "/var/lib/astute/keystone/0"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/fernet-keys/1", "dst": "/var/lib/astute/keystone/1"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "required_for": ["pre_deployment_end"], "version": "2.0.0", "role": "*", "cross-depends": [{"role": "master", "name": "generate_keys"}], "requires": ["generate_keys"], "id": "copy_keys"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_keys.sh -p /var/lib/fuel/keys/ -i {CLUSTER_ID} -o 'mongodb' -s 'neutron nova mysql' -f '0 1'", "timeout": 180}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "master", "required_for": ["copy_keys"], "type": "shell", "id": "generate_keys"}, {"parameters": {"cmd": "sh /etc/puppet/modules/osnailyfacter/modular/astute/generate_haproxy_keys.sh -i {CLUSTER_ID} -h {CN_HOSTNAME} -o 'haproxy' -p /var/lib/fuel/keys/", "timeout": 180}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "master", "required_for": ["copy_haproxy_keys"], "type": "shell", "id": "generate_haproxy_keys", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'self_signed'"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.pem", "dst": "/var/lib/astute/haproxy/public_haproxy.pem"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/haproxy/public_haproxy.crt", "dst": "/etc/pki/tls/certs/public_haproxy.pem"}], "dir_permissions": "0700", "permissions": "0600"}, "type": "copy_files", "required_for": ["pre_deployment_end"], "version": "2.0.0", "role": "*", "cross-depends": [{"role": "master", "name": "generate_haproxy_keys"}], "requires": ["generate_haproxy_keys"], "id": "copy_haproxy_keys", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'self_signed'"}, {"parameters": {"retries": 10, "cmd": "timeout -s9 40 ntpdate -u -v -s $(awk '/^server/ { if ($2 !~ /127\\\\.127\\\\.[0-9]+\\\\.[0-9]+/) {ORS=\\" \\"; print $2}}' /etc/ntp.conf)", "timeout": 300, "interval": 30}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "shell", "id": "sync_time"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/hiera.pp", "timeout": 3600, "cwd": "/"}, "requires": ["pre_deployment_start", "rsync_core_puppet"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "puppet", "id": "pre_hiera_config"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/hiera/override_configuration.pp", "timeout": 180, "cwd": "/"}, "requires": ["pre_hiera_config"], "version": "2.0.0", "role": "*", "required_for": ["pre_deployment_end"], "type": "puppet", "id": "override_configuration"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/astute/dump_rabbitmq_definitions.pp", "timeout": 180, "cwd": "/"}, "requires": ["post_deployment_start"], "version": "2.0.0", "role": ["primary-controller", "controller"], "required_for": ["post_deployment_end"], "type": "puppet", "id": "dump_rabbitmq_definitions"}, {"parameters": {"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/astute/ironic_post_swift_key.rb", "timeout": 180, "interval": 20}, "requires": ["enable_quorum", "enable_rados"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "ironic_post_swift_key", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"retries": 3, "cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ironic/upload_images.rb {CLUSTER_ID}", "timeout": 180, "interval": 20}, "requires": ["enable_quorum", "enable_rados"], "version": "2.0.0", "role": ["primary-controller"], "required_for": ["post_deployment_end"], "type": "shell", "id": "ironic_upload_images", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"files": [{"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic.pub", "dst": "/var/lib/astute/ironic/ironic.pub"}, {"src": "/var/lib/fuel/keys/{CLUSTER_ID}/ironic/ironic", "dst": "/var/lib/astute/ironic/ironic"}], "dir_permissions": "0700", "permissions": "0600"}, "requires": ["pre_deployment_start"], "version": "2.0.0", "role": ["ironic"], "required_for": ["pre_deployment_end"], "type": "copy_files", "id": "ironic_copy_bootstrap_key", "condition": "settings:additional_components.ironic.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving.pp", "timeout": 3600}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "compute", "compute-vmware", "cinder", "cinder-vmware", "primary-mongo", "mongo", "ceph-osd", "virt"], "required_for": ["deploy_end"], "requires": ["firewall"], "id": "ssl-keys-saving", "condition": "(settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true) and settings:public_ssl.cert_source.value == 'user_uploaded'"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_add_trust_chain.pp", "timeout": 3600}, "type": "puppet", "test_pre": {"cmd": "ruby /etc/puppet/modules/osnailyfacter/modular/ssl/ssl_keys_saving_pre.rb"}, "version": "2.0.0", "groups": ["primary-controller", "controller", "compute", "compute-vmware", "cinder", "cinder-vmware", "primary-mongo", "mongo", "ceph-osd", "virt"], "required_for": ["hosts"], "requires": ["firewall", "ssl-keys-saving"], "id": "ssl-add-trust-chain", "condition": "settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/ssl/ssl_dns_setup.pp", "timeout": 3600}, "requires": ["firewall", "ssl-add-trust-chain"], "version": "2.0.0", "groups": ["primary-controller", "controller"], "required_for": ["hosts"], "type": "puppet", "id": "ssl-dns-setup", "condition": "settings:public_ssl.horizon.value == true or settings:public_ssl.services.value == true"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/setup_repositories.pp", "timeout": 600}, "requires": ["hiera"], "version": "2.0.0", "groups": ["/.*/"], "required_for": ["fuel_pkgs"], "type": "puppet", "id": "setup_repositories"}, {"parameters": {"puppet_modules": "/etc/puppet/modules", "puppet_manifest": "/etc/puppet/modules/osnailyfacter/modular/fuel_pkgs/fuel_pkgs.pp", "timeout": 600}, "requires": ["setup_repositories"], "version": "2.0.0", "groups": ["primary-controller", "controller", "cinder", "cinder-block-device", "cinder-vmware", "compute", "ceph-osd", "primary-mongo", "mongo", "ironic"], "required_for": ["globals"], "type": "puppet", "id": "fuel_pkgs"}]	{"editable": {"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "vcenter_password": "", "datastore": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}, "service_name": ""}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "type": "text", "description": "Availability zone name", "name": "az_name", "label": "Availability zone"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"editable_for_deployed": true, "type": "array", "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster", "label": "vSphere cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "type": "text", "description": "Service name", "name": "service_name", "label": "Service name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "type": "text", "description": "Datastore regex", "name": "datastore_regex", "label": "Datastore regex"}, {"type": "select", "description": "Target node for nova-compute service", "name": "target_node", "label": "Target node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "type": "text", "description": "vCenter host or IP", "name": "vcenter_host", "label": "vCenter host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "type": "text", "description": "vCenter username", "name": "vcenter_username", "label": "vCenter username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "type": "password", "description": "vCenter password", "name": "vcenter_password", "label": "vCenter password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "type": "text", "description": "Datacenter", "name": "datacenter", "label": "Datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "type": "text", "description": "Datastore", "name": "datastore", "label": "Datastore"}]}]}}	["ha_compact"]	[{"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "keystone/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "admin/pxe", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "sahara/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceilometer/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "glance/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "heat/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "murano/cfapi", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "horizon", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/memcache", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/database", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/messaging", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mgmt/corosync", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "management_vrouter_vip", "namespace": "vrouter", "name": "vrouter"}, {"alias": "management_vip", "namespace": "haproxy", "name": "management"}], "gateway": false}, "id": "mgmt/vip", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "public_vrouter_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -t nat -A POSTROUTING -o <%INT%> -j MASQUERADE"], "ns_stop": ["iptables -t nat -D POSTROUTING -o <%INT%> -j MASQUERADE"]}}, "namespace": "vrouter", "name": "vrouter_pub"}, {"alias": "public_vip", "namespace": "haproxy", "name": "public"}], "gateway": true}, "id": "public/vip", "default_mapping": "public"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/private", "default_mapping": "private"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "neutron/mesh", "default_mapping": "private"}, {"properties": {"subnet": false, "vip": [], "gateway": false}, "id": "neutron/floating", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "swift/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/public", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/radosgw", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ceph/replication", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "cinder/iscsi", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "mongo/db", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "fw-admin", "default_mapping": "fuelweb_admin"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "management", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": true}, "id": "ex", "default_mapping": "public"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "storage", "default_mapping": "storage"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "nova/migration", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [], "gateway": false}, "id": "ironic/api", "default_mapping": "management"}, {"properties": {"subnet": true, "vip": [{"alias": "baremetal_vip", "vendor_specific": {"iptables_rules": {"ns_start": ["iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -A INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -A INPUT -i <%INT%> -j DROP"], "ns_stop": ["iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -p tcp -m multiport --dports 6385,8080 -m state --state NEW -j ACCEPT", "iptables -D INPUT -i <%INT%> -s <%CIDR%> -d <%IP%> -m state --state ESTABLISHED,RELATED -j ACCEPT", "iptables -D INPUT -i <%INT%> -j DROP"]}}, "namespace": "haproxy", "name": "baremetal"}], "gateway": false}, "id": "ironic/baremetal", "default_mapping": "baremetal"}]	{volume_manager}	[{"name": "hypervisor:qemu", "weight": 5, "default": true, "bind": [["settings:common.libvirt_type.value", "qemu"]], "label": "dialog.create_cluster_wizard.compute.qemu", "compatible": [{"name": "hypervisor:vmware"}], "description": "dialog.create_cluster_wizard.compute.qemu_description"}, {"description": "dialog.create_cluster_wizard.compute.vcenter_description", "weight": 15, "bind": ["settings:common.use_vcenter.value"], "label": "dialog.create_cluster_wizard.compute.vcenter", "compatible": [{"name": "hypervisor:qemu"}], "requires": [{"message": "dialog.create_cluster_wizard.compute.vcenter_warning", "name": "hypervisor:qemu"}], "name": "hypervisor:vmware"}, {"description": "dialog.create_cluster_wizard.network.neutron_ml2_description", "weight": 1000, "default": true, "label": "dialog.create_cluster_wizard.network.neutron_ml2", "compatible": [{"name": "hypervisor:*"}, {"name": "network:neutron:ml2:*"}], "name": "network:neutron:core:ml2"}, {"description": "dialog.create_cluster_wizard.network.neutron_vlan_description", "weight": 5, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:tun"}], "default": true, "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "vlan"]], "label": "common.network.neutron_vlan", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:vlan"}, {"description": "dialog.create_cluster_wizard.network.neutron_tun_description", "weight": 10, "incompatible": [{"message": "dialog.create_cluster_wizard.network.vlan_tun_alert", "name": "network:neutron:ml2:vlan"}, {"message": "dialog.create_cluster_wizard.network.hypervisor_alert", "name": "hypervisor:vmware"}, {"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "additional_service:ironic"}], "bind": [["cluster:net_provider", "neutron"], ["cluster:net_segment_type", "tun"]], "label": "common.network.neutron_tun", "compatible": [{"name": "network:neutron:core:ml2"}, {"name": "hypervisor:qemu"}], "requires": [{"name": "network:neutron:core:ml2"}], "name": "network:neutron:ml2:tun"}, {"description": "dialog.create_cluster_wizard.storage.default_provider", "weight": 5, "incompatible": [{"message": "LVM not compatible with Ceph", "name": "storage:block:ceph"}], "default": true, "bind": ["settings:storage.volumes_lvm.value"], "label": "dialog.create_cluster_wizard.storage.lvm", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}], "name": "storage:block:lvm"}, {"name": "storage:block:ceph", "weight": 10, "incompatible": [{"message": "Ceph not compatible with LVM", "name": "storage:block:lvm"}], "bind": [["settings:storage.volumes_ceph.value", true], ["settings:storage.volumes_lvm.value", false]], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "description": "dialog.create_cluster_wizard.storage.ceph_block"}, {"description": "dialog.create_cluster_wizard.storage.ceph_object", "weight": 10, "bind": ["settings:storage.objects_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:object:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_ephemeral", "weight": 10, "bind": ["settings:storage.ephemeral_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:image:ceph"}], "name": "storage:ephemeral:ceph"}, {"description": "dialog.create_cluster_wizard.storage.ceph_image", "weight": 10, "bind": ["settings:storage.images_ceph.value"], "label": "dialog.create_cluster_wizard.storage.ceph", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}], "name": "storage:image:ceph"}, {"description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "bind": ["settings:additional_components.sahara.value"], "label": "dialog.create_cluster_wizard.additional.install_sahara", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:sahara"}, {"description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": ["settings:additional_components.murano.value"], "label": "dialog.create_cluster_wizard.additional.install_murano", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:ceilometer"}, {"name": "additional_service:ironic"}], "name": "additional_service:murano"}, {"description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "bind": ["settings:additional_components.ceilometer.value"], "label": "dialog.create_cluster_wizard.additional.install_ceilometer", "compatible": [{"name": "hypervisor:qemu"}, {"name": "hypervisor:vmware"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "network:neutron:ml2:tun"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ironic"}], "name": "additional_service:ceilometer"}, {"name": "additional_service:ironic", "weight": 40, "incompatible": [{"message": "dialog.create_cluster_wizard.additional.ironic_network_mode_alert", "name": "network:neutron:ml2:tun"}], "bind": ["settings:additional_components.ironic.value"], "label": "dialog.create_cluster_wizard.additional.install_ironic", "compatible": [{"name": "hypervisor:qemu"}, {"name": "network:neutron:core:ml2"}, {"name": "network:neutron:ml2:vlan"}, {"name": "storage:block:lvm"}, {"name": "storage:block:ceph"}, {"name": "storage:object:ceph"}, {"name": "storage:ephemeral:ceph"}, {"name": "storage:image:ceph"}, {"name": "additional_service:sahara"}, {"name": "additional_service:murano"}, {"name": "additional_service:ceilometer"}], "description": "dialog.create_cluster_wizard.additional.install_ironic_description"}]
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
2	1	f5640b3c-fcfe-4a64-a028-6839966d044b	verify_networks	Repo availability verification using public network failed on following nodes Untitled (be:be).\n Following repos are not available - http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/\n. Check your public network settings and availability of the repositories from public network. Please examine nailgun and astute logs for additional details.	error	100	{"args": {"nodes": [{"status": "discover", "uid": 1, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s5"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s6"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s7"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (16:46)"}, {"status": "discover", "uid": 2, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s5"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s6"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s7"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (50:12)"}, {"status": "discover", "uid": 3, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s5"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s6"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s7"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (be:be)"}, {"status": "discover", "uid": 4, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [101, 102, 103], "iface": "enp0s5"}, {"vlans": [101, 102, 103], "iface": "enp0s6"}, {"vlans": [101, 102, 103], "iface": "enp0s7"}, {"vlans": [101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (8f:8c)"}, {"status": "discover", "uid": 5, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [101, 102, 103], "iface": "enp0s5"}, {"vlans": [101, 102, 103], "iface": "enp0s6"}, {"vlans": [101, 102, 103], "iface": "enp0s7"}, {"vlans": [101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (24:6e)"}], "task_uuid": "f5640b3c-fcfe-4a64-a028-6839966d044b", "offline": 0}, "respond_to": "verify_networks_resp", "subtasks": [{"args": {"nodes": [{"status": "discover", "uid": 1, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s5"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s6"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s7"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (16:46)"}, {"status": "discover", "uid": 2, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s5"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s6"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s7"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (50:12)"}, {"status": "discover", "uid": 3, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s5"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s6"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s7"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (be:be)"}, {"status": "discover", "uid": 4, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [101, 102, 103], "iface": "enp0s5"}, {"vlans": [101, 102, 103], "iface": "enp0s6"}, {"vlans": [101, 102, 103], "iface": "enp0s7"}, {"vlans": [101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (8f:8c)"}, {"status": "discover", "uid": 5, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [101, 102, 103], "iface": "enp0s5"}, {"vlans": [101, 102, 103], "iface": "enp0s6"}, {"vlans": [101, 102, 103], "iface": "enp0s7"}, {"vlans": [101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (24:6e)"}], "task_uuid": "57c08560-28b0-4f98-b554-0aa0a694a094", "offline": 0}, "respond_to": "check_dhcp_resp", "method": "check_dhcp", "api_version": "1"}, {"args": {"nodes": [{"uid": 1}, {"uid": 2}, {"uid": 3}, {"uid": 4}, {"uid": 5}], "task_uuid": "c12cc772-2f9b-4e18-b816-e39b4d69337c", "urls": ["http://10.109.0.2:8080/liberty-8.0/ubuntu/x86_64", "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "http://archive.ubuntu.com/ubuntu/", "http://10.109.0.2:8080/liberty-8.0/ubuntu/auxiliary"]}, "respond_to": "check_repositories_resp", "method": "check_repositories", "api_version": "1"}, {"args": {"nodes": [{"iface": "enp0s5", "uid": "3", "vlan": 0, "urls": ["http://10.109.0.2:8080/liberty-8.0/ubuntu/x86_64", "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "http://archive.ubuntu.com/ubuntu/", "http://10.109.0.2:8080/liberty-8.0/ubuntu/auxiliary"], "gateway": "10.109.1.1", "addr": "10.109.1.2/24"}, {"iface": "enp0s5", "uid": "2", "vlan": 0, "urls": ["http://10.109.0.2:8080/liberty-8.0/ubuntu/x86_64", "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "http://archive.ubuntu.com/ubuntu/", "http://10.109.0.2:8080/liberty-8.0/ubuntu/auxiliary"], "gateway": "10.109.1.1", "addr": "10.109.1.3/24"}, {"iface": "enp0s5", "uid": "1", "vlan": 0, "urls": ["http://10.109.0.2:8080/liberty-8.0/ubuntu/x86_64", "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "http://archive.ubuntu.com/ubuntu/", "http://10.109.0.2:8080/liberty-8.0/ubuntu/auxiliary"], "gateway": "10.109.1.1", "addr": "10.109.1.4/24"}], "task_uuid": "1d55643d-6795-4249-9bb2-6e53ae6ad939"}, "respond_to": "check_repositories_with_setup_resp", "method": "check_repositories_with_setup", "api_version": "1"}], "method": "verify_networks", "api_version": "1"}	[]	\N	1
6	\N	c84dd506-7a97-415f-b78b-41f79e140e36	dump	\N	running	0	{"args": {"task_uuid": "c84dd506-7a97-415f-b78b-41f79e140e36", "settings": {"target": "/var/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "docker images", "to_file": "docker_images.txt", "type": "command"}, {"command": "docker ps", "to_file": "docker_ps.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"command": "rpm -qa", "to_file": "centos_installed_rpms.txt", "type": "command"}, {"command": "for c in $(dockerctl list); do echo Container: ${c}; dockerctl shell ${c} rpm -qa; done;", "to_file": "centos_containers_installed_rpms.txt", "type": "command"}, {"command": "yum repolist", "to_file": "centos_repo_list.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log/docker-logs", "type": "dir"}, {"path": "/var/log/*.log", "type": "file"}, {"path": "/var/log/puppet/bootstrap_admin_node.log", "type": "file"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"command": "uname -a", "to_file": "uname_a.txt", "type": "command"}, {"command": "lsmod", "to_file": "lsmod.txt", "type": "command"}, {"path": "/etc/*-release", "type": "file"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "hostname": "nailgun.test.domain.local", "address": "10.109.0.2"}]}, "controller": {"objects": [{"command": "pcs status", "to_file": "pcs_status.txt", "type": "command"}, {"command": "rabbitmqctl report", "to_file": "rabbitmqctl_report.txt", "type": "command"}, {"path": "/var/log/neutron/neutron-ns-metadata-proxy*.log", "type": "file"}, {"command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip a; done", "to_file": "ip_a_ns.txt", "type": "command"}, {"command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} ip r; done", "to_file": "ip_r_ns.txt", "type": "command"}, {"command": "for ns in $(ip netns list); do echo Namespace: ${ns}; ip netns exec ${ns} netstat -anp; done", "to_file": "netstat_ns.txt", "type": "command"}], "hosts": []}, "local": {"objects": [{"username": "nailgun", "dbhost": "10.109.0.2", "password": "1nCJXHoJ", "type": "postgres", "dbname": "nailgun"}, {"to_file": "cobbler.txt", "type": "xmlrpc", "methods": ["get_distros", "get_profiles", "get_systems"], "server": "http://10.109.0.2:80/cobbler_api"}], "hosts": []}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/etc/hiera", "type": "dir"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/var/lib/puppet/state/last_run_summary.yaml", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/etc/mcollective/server.cfg", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"path": "/var/log/atop/atop_current", "type": "file"}, {"path": "/var/log/cron.log", "type": "file"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "arp -an", "to_file": "arp.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"command": "rpm -qa", "to_file": "centos_installed_rpms.txt", "type": "command"}, {"command": "yum repolist", "to_file": "centos_repo_list.txt", "type": "command"}, {"command": "env COLUMNS=500 dpkg -l|cat", "to_file": "ubuntu_installed_debs.txt", "type": "command"}, {"command": "apt-cache policy", "to_file": "ubuntu_repo_list.txt", "type": "command"}, {"command": "sysctl -a", "to_file": "sysctl.txt", "type": "command"}, {"path": "/var/lib/cloud", "type": "dir"}, {"path": "/var/log/cloud-init*.log", "type": "file"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "to_file": "blkid_o_list.txt", "type": "command"}, {"command": "ceph health", "to_file": "ceph_health.txt", "type": "command"}, {"command": "ceph -s", "to_file": "ceph_s.txt", "type": "command"}, {"command": "ceph osd tree", "to_file": "ceph_osd_tree.txt", "type": "command"}, {"command": "cat /proc/interrupts", "to_file": "proc_interrupts.txt", "type": "command"}, {"command": "uname -a", "to_file": "uname_a.txt", "type": "command"}, {"command": "lsmod", "to_file": "lsmod.txt", "type": "command"}, {"path": "/etc/*-release", "type": "file"}, {"command": "dmesg", "to_file": "dmesg.txt", "type": "command"}, {"path": "/var/log/libvirt/qemu/instance*.log", "type": "file"}, {"path": "/var/log/libvirt/libvirtd.log", "type": "file"}, {"path": "/var/log/neutron", "type": "dir"}, {"path": "/var/log/nova", "type": "dir"}, {"path": "/var/log/*-all.log", "type": "file"}, {"path": "/var/log/syslog", "type": "file"}, {"exclude": ["/disk*"], "type": "dir", "path": "/var/lib/nova/instances/*-*"}], "hosts": []}}, "timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "compression_level": 3, "timeout": 7200}}, "respond_to": "dump_environment_resp", "method": "dump_environment", "api_version": "1"}	{}	\N	1
3	1	57c08560-28b0-4f98-b554-0aa0a694a094	check_dhcp		ready	100	{"args": {"nodes": [{"status": "discover", "uid": 1, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s5"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s6"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s7"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (16:46)"}, {"status": "discover", "uid": 2, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s5"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s6"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s7"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (50:12)"}, {"status": "discover", "uid": 3, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s5"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s6"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s7"}, {"vlans": [0, 101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (be:be)"}, {"status": "discover", "uid": 4, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [101, 102, 103], "iface": "enp0s5"}, {"vlans": [101, 102, 103], "iface": "enp0s6"}, {"vlans": [101, 102, 103], "iface": "enp0s7"}, {"vlans": [101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (8f:8c)"}, {"status": "discover", "uid": 5, "bonds": {"bond0": ["enp0s3", "enp0s4"], "bond1": ["enp0s5", "enp0s6", "enp0s7", "enp0s8"]}, "excluded_networks": [], "networks": [{"vlans": [0], "iface": "enp0s3"}, {"vlans": [0], "iface": "enp0s4"}, {"vlans": [101, 102, 103], "iface": "enp0s5"}, {"vlans": [101, 102, 103], "iface": "enp0s6"}, {"vlans": [101, 102, 103], "iface": "enp0s7"}, {"vlans": [101, 102, 103], "iface": "enp0s8"}], "name": "Untitled (24:6e)"}], "task_uuid": "57c08560-28b0-4f98-b554-0aa0a694a094", "offline": 0}, "respond_to": "check_dhcp_resp", "method": "check_dhcp", "api_version": "1"}	{}	2	1
4	1	c12cc772-2f9b-4e18-b816-e39b4d69337c	check_repo_availability		ready	100	{"args": {"nodes": [{"uid": 1}, {"uid": 2}, {"uid": 3}, {"uid": 4}, {"uid": 5}], "task_uuid": "c12cc772-2f9b-4e18-b816-e39b4d69337c", "urls": ["http://10.109.0.2:8080/liberty-8.0/ubuntu/x86_64", "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "http://archive.ubuntu.com/ubuntu/", "http://10.109.0.2:8080/liberty-8.0/ubuntu/auxiliary"]}, "respond_to": "check_repositories_resp", "method": "check_repositories", "api_version": "1"}	{}	2	1
5	1	1d55643d-6795-4249-9bb2-6e53ae6ad939	check_repo_availability_with_setup	Repo availability verification using public network failed on following nodes Untitled (be:be).\n Following repos are not available - http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/\n. Check your public network settings and availability of the repositories from public network. Please examine nailgun and astute logs for additional details.	error	100	{"args": {"nodes": [{"iface": "enp0s5", "uid": "3", "vlan": 0, "urls": ["http://10.109.0.2:8080/liberty-8.0/ubuntu/x86_64", "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "http://archive.ubuntu.com/ubuntu/", "http://10.109.0.2:8080/liberty-8.0/ubuntu/auxiliary"], "gateway": "10.109.1.1", "addr": "10.109.1.2/24"}, {"iface": "enp0s5", "uid": "2", "vlan": 0, "urls": ["http://10.109.0.2:8080/liberty-8.0/ubuntu/x86_64", "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "http://archive.ubuntu.com/ubuntu/", "http://10.109.0.2:8080/liberty-8.0/ubuntu/auxiliary"], "gateway": "10.109.1.1", "addr": "10.109.1.3/24"}, {"iface": "enp0s5", "uid": "1", "vlan": 0, "urls": ["http://10.109.0.2:8080/liberty-8.0/ubuntu/x86_64", "http://mirror.fuel-infra.org/mos-repos/ubuntu/8.0/", "http://archive.ubuntu.com/ubuntu/", "http://10.109.0.2:8080/liberty-8.0/ubuntu/auxiliary"], "gateway": "10.109.1.1", "addr": "10.109.1.4/24"}], "task_uuid": "1d55643d-6795-4249-9bb2-6e53ae6ad939"}, "respond_to": "check_repositories_with_setup_resp", "method": "check_repositories_with_setup", "api_version": "1"}	{}	2	1
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 6, true);


--
-- Data for Name: vmware_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY vmware_attributes (id, cluster_id, editable) FROM stdin;
1	1	{"value": {"glance": {"vcenter_username": "", "datacenter": "", "vcenter_host": "", "vcenter_password": "", "datastore": ""}, "availability_zones": [{"vcenter_username": "", "az_name": "vcenter", "vcenter_password": "", "vcenter_host": "", "nova_computes": [{"datastore_regex": "", "vsphere_cluster": "", "service_name": "", "target_node": {"current": {"id": "controllers", "label": "controllers"}, "options": [{"id": "controllers", "label": "controllers"}]}}]}]}, "metadata": [{"restrictions": [{"message": "VMware vCenter not enabled for cluster", "condition": "settings:common.use_vcenter.value == false"}], "type": "array", "name": "availability_zones", "fields": [{"regex": {"source": "^(?!nova$)\\\\w+$", "error": "Invalid availability zone name"}, "label": "Availability zone", "type": "text", "description": "Availability zone name", "name": "az_name"}, {"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"type": "array", "editable_for_deployed": true, "name": "nova_computes", "fields": [{"regex": {"source": "\\\\S", "error": "Invalid vSphere cluster"}, "label": "vSphere cluster", "type": "text", "description": "vSphere cluster", "name": "vsphere_cluster"}, {"regex": {"source": "^\\\\w[\\\\w\\\\-]+$", "error": "Invalid service name"}, "label": "Service name", "type": "text", "description": "Service name", "name": "service_name"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore regex"}, "label": "Datastore regex", "type": "text", "description": "Datastore regex", "name": "datastore_regex"}, {"label": "Target node", "type": "select", "description": "Target node for nova-compute service", "name": "target_node"}]}]}, {"restrictions": [{"message": "VMware vCenter datastore for images is not enabled in Settings tab", "condition": "settings:storage.images_vcenter.value == false or settings:common.use_vcenter.value == false"}], "type": "object", "name": "glance", "fields": [{"regex": {"source": "^[a-zA-Z\\\\d]+[-\\\\.\\\\da-zA-Z]*$", "error": "Invalid vCenter host"}, "label": "vCenter host", "type": "text", "description": "vCenter host or IP", "name": "vcenter_host"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter username"}, "label": "vCenter username", "type": "text", "description": "vCenter username", "name": "vcenter_username"}, {"regex": {"source": "\\\\S", "error": "Empty vCenter password"}, "label": "vCenter password", "type": "password", "description": "vCenter password", "name": "vcenter_password"}, {"regex": {"source": "\\\\S", "error": "Invalid datacenter"}, "label": "Datacenter", "type": "text", "description": "Datacenter", "name": "datacenter"}, {"regex": {"source": "\\\\S", "error": "Invalid datastore"}, "label": "Datastore", "type": "text", "description": "Datastore", "name": "datastore"}]}]}
\.


--
-- Name: vmware_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('vmware_attributes_id_seq', 1, true);


--
-- Data for Name: volume_manager_alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY volume_manager_alembic_version (version_num) FROM stdin;
086cde3de7cf
\.


--
-- Data for Name: volume_manager_node_volumes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY volume_manager_node_volumes (id, node_id, volumes) FROM stdin;
1	1	[{"name": "vda", "extra": ["disk/by-id/virtio-c30c1956027044589644"], "free_space": 50444, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 10304, "type": "pv", "lvm_meta_size": 64, "vg": "logs"}, {"size": 20544, "type": "pv", "lvm_meta_size": 64, "vg": "mysql"}, {"size": 1356, "type": "pv", "lvm_meta_size": 64, "vg": "horizon"}], "type": "disk", "id": "vda", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-355b11aa880b471abdf2"], "free_space": 50444, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 192}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "logs"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "mysql"}, {"size": 10036, "type": "pv", "lvm_meta_size": 64, "vg": "horizon"}], "type": "disk", "id": "vdb", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-0845cf76ad474d57ad0b"], "free_space": 50444, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 256}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "logs"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "mysql"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "horizon"}], "type": "disk", "id": "vdc", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "min", "label": "Logs", "min_size": 10240, "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": 10240}], "type": "vg", "id": "logs"}, {"_allocate_size": "min", "label": "Mysql Database", "min_size": 20480, "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": 20480}], "type": "vg", "id": "mysql"}, {"_allocate_size": "min", "label": "Horizon Temp Storage", "min_size": 11264, "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": 11264}], "type": "vg", "id": "horizon"}]
2	2	[{"name": "vda", "extra": ["disk/by-id/virtio-aa53c5f6208f4d07be91"], "free_space": 50444, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 10304, "type": "pv", "lvm_meta_size": 64, "vg": "logs"}, {"size": 20544, "type": "pv", "lvm_meta_size": 64, "vg": "mysql"}, {"size": 1356, "type": "pv", "lvm_meta_size": 64, "vg": "horizon"}], "type": "disk", "id": "vda", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-c8c41c84e124467eb0fe"], "free_space": 50444, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 192}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "logs"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "mysql"}, {"size": 10036, "type": "pv", "lvm_meta_size": 64, "vg": "horizon"}], "type": "disk", "id": "vdb", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-c994ab99aa1d479a84a6"], "free_space": 50444, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 256}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "logs"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "mysql"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "horizon"}], "type": "disk", "id": "vdc", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "min", "label": "Logs", "min_size": 10240, "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": 10240}], "type": "vg", "id": "logs"}, {"_allocate_size": "min", "label": "Mysql Database", "min_size": 20480, "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": 20480}], "type": "vg", "id": "mysql"}, {"_allocate_size": "min", "label": "Horizon Temp Storage", "min_size": 11264, "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": 11264}], "type": "vg", "id": "horizon"}]
3	3	[{"name": "vda", "extra": ["disk/by-id/virtio-bf22395761834515aae0"], "free_space": 50444, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 10304, "type": "pv", "lvm_meta_size": 64, "vg": "logs"}, {"size": 20544, "type": "pv", "lvm_meta_size": 64, "vg": "mysql"}, {"size": 1356, "type": "pv", "lvm_meta_size": 64, "vg": "horizon"}], "type": "disk", "id": "vda", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-f26e90ef82f3446caaa5"], "free_space": 50444, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 192}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "logs"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "mysql"}, {"size": 10036, "type": "pv", "lvm_meta_size": 64, "vg": "horizon"}], "type": "disk", "id": "vdb", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-167447fed4b247b7bc10"], "free_space": 50444, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 256}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "logs"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "mysql"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "horizon"}], "type": "disk", "id": "vdc", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "min", "label": "Logs", "min_size": 10240, "volumes": [{"mount": "/var/log", "type": "lv", "name": "log", "file_system": "ext4", "size": 10240}], "type": "vg", "id": "logs"}, {"_allocate_size": "min", "label": "Mysql Database", "min_size": 20480, "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": 20480}], "type": "vg", "id": "mysql"}, {"_allocate_size": "min", "label": "Horizon Temp Storage", "min_size": 11264, "volumes": [{"mount": "/var/lib/horizon", "type": "lv", "name": "horizontmp", "file_system": "xfs", "size": 11264}], "type": "vg", "id": "horizon"}]
4	4	[{"name": "vda", "extra": ["disk/by-id/virtio-2126f4b84fdf4e3199ce"], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 32204, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "vda", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-e5d95aa180bf42dfb4ef"], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 50572}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "vdb", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-21d401a3007545639909"], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 50572}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "vdc", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 32140}], "type": "vg", "id": "vm"}]
5	5	[{"name": "vda", "extra": ["disk/by-id/virtio-564fa6ff436145538c5f"], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 18496, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 32204, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "vda", "size": 51200}, {"name": "vdb", "extra": ["disk/by-id/virtio-21c1e707d4604148bc49"], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 50572}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "vdb", "size": 51200}, {"name": "vdc", "extra": ["disk/by-id/virtio-b9bfc5a3b6934583b77a"], "free_space": 50572, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 50572}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "vdc", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 18432, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 3072}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 32140}], "type": "vg", "id": "vm"}]
\.


--
-- Name: volume_manager_node_volumes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('volume_manager_node_volumes_id_seq', 5, true);


--
-- Name: _hostname_cluster_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT _hostname_cluster_uc UNIQUE (cluster_id, hostname);


--
-- Name: _name_cluster_uc; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT _name_cluster_uc UNIQUE (cluster_id, name);


--
-- Name: _name_version_unique; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT _name_version_unique UNIQUE (name, version);


--
-- Name: action_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY action_logs
    ADD CONSTRAINT action_logs_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: cluster_plugin_links_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_plugin_links
    ADD CONSTRAINT cluster_plugin_links_pkey PRIMARY KEY (id);


--
-- Name: cluster_plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_pkey PRIMARY KEY (id);


--
-- Name: cluster_upgrade_relations_orig_cluster_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_upgrade_relations
    ADD CONSTRAINT cluster_upgrade_relations_orig_cluster_id_key UNIQUE (orig_cluster_id);


--
-- Name: cluster_upgrade_relations_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_upgrade_relations
    ADD CONSTRAINT cluster_upgrade_relations_pkey PRIMARY KEY (id);


--
-- Name: cluster_upgrade_relations_seed_cluster_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_upgrade_relations
    ADD CONSTRAINT cluster_upgrade_relations_seed_cluster_id_key UNIQUE (seed_cluster_id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_name_key1; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key1 UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: extensions_migration_buffer_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY extensions_migration_buffer
    ADD CONSTRAINT extensions_migration_buffer_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: master_node_settings_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY master_node_settings
    ADD CONSTRAINT master_node_settings_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: nodegroups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: openstack_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY openstack_configs
    ADD CONSTRAINT openstack_configs_pkey PRIMARY KEY (id);


--
-- Name: oswl_stats_cluster_id_created_date_resource_type_unique_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY oswl_stats
    ADD CONSTRAINT oswl_stats_cluster_id_created_date_resource_type_unique_key UNIQUE (cluster_id, created_date, resource_type);


--
-- Name: oswl_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY oswl_stats
    ADD CONSTRAINT oswl_stats_pkey PRIMARY KEY (id);


--
-- Name: plugin_links_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugin_links
    ADD CONSTRAINT plugin_links_pkey PRIMARY KEY (id);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: vmware_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY vmware_attributes
    ADD CONSTRAINT vmware_attributes_pkey PRIMARY KEY (id);


--
-- Name: volume_manager_node_volumes_node_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY volume_manager_node_volumes
    ADD CONSTRAINT volume_manager_node_volumes_node_id_key UNIQUE (node_id);


--
-- Name: volume_manager_node_volumes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY volume_manager_node_volumes
    ADD CONSTRAINT volume_manager_node_volumes_pkey PRIMARY KEY (id);


--
-- Name: cluster_plugin_links_cluster_id_key; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX cluster_plugin_links_cluster_id_key ON cluster_plugin_links USING btree (cluster_id);


--
-- Name: ix_nodegroups_is_default; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_nodegroups_is_default ON nodegroups USING btree (is_default);


--
-- Name: ix_oswl_stats_cluster_id; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_cluster_id ON oswl_stats USING btree (cluster_id);


--
-- Name: ix_oswl_stats_created_date; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_created_date ON oswl_stats USING btree (created_date);


--
-- Name: ix_oswl_stats_is_sent; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_is_sent ON oswl_stats USING btree (is_sent);


--
-- Name: ix_oswl_stats_resource_type; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX ix_oswl_stats_resource_type ON oswl_stats USING btree (resource_type);


--
-- Name: plugin_links_plugin_id_key; Type: INDEX; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE INDEX plugin_links_plugin_id_key ON plugin_links USING btree (plugin_id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: cluster_plugin_links_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugin_links
    ADD CONSTRAINT cluster_plugin_links_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_plugins_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: cluster_plugins_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_plugins
    ADD CONSTRAINT cluster_plugins_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: fk_pending_release_id; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT fk_pending_release_id FOREIGN KEY (pending_release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_nodegroups_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_nodegroups_fk FOREIGN KEY (group_id) REFERENCES nodegroups(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: nodegroups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodegroups
    ADD CONSTRAINT nodegroups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: nodes_nodegroups_fk; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_nodegroups_fk FOREIGN KEY (group_id) REFERENCES nodegroups(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: openstack_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY openstack_configs
    ADD CONSTRAINT openstack_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: openstack_configs_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY openstack_configs
    ADD CONSTRAINT openstack_configs_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: plugin_links_plugin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugin_links
    ADD CONSTRAINT plugin_links_plugin_id_fkey FOREIGN KEY (plugin_id) REFERENCES plugins(id);


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: vmware_attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vmware_attributes
    ADD CONSTRAINT vmware_attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

